/*
  This file contains docstrings for use in the Python bindings.
  Do not edit! They were automatically extracted by OpenColorIO/share/docs/extract_docstrings.py.
 */

#define __EXPAND(x)                                      x
#define __COUNT(_1, _2, _3, _4, _5, _6, _7, COUNT, ...)  COUNT
#define __VA_SIZE(...)                                   __EXPAND(__COUNT(__VA_ARGS__, 7, 6, 5, 4, 3, 2, 1))
#define __CAT1(a, b)                                     a ## b
#define __CAT2(a, b)                                     __CAT1(a, b)
#define __DOC1(n1)                                       __doc_##n1
#define __DOC2(n1, n2)                                   __doc_##n1##_##n2
#define __DOC3(n1, n2, n3)                               __doc_##n1##_##n2##_##n3
#define __DOC4(n1, n2, n3, n4)                           __doc_##n1##_##n2##_##n3##_##n4
#define __DOC5(n1, n2, n3, n4, n5)                       __doc_##n1##_##n2##_##n3##_##n4##_##n5
#define __DOC6(n1, n2, n3, n4, n5, n6)                   __doc_##n1##_##n2##_##n3##_##n4##_##n5##_##n6
#define __DOC7(n1, n2, n3, n4, n5, n6, n7)               __doc_##n1##_##n2##_##n3##_##n4##_##n5##_##n6##_##n7
#define DOC(...)                                         __EXPAND(__EXPAND(__CAT2(__DOC, __VA_SIZE(__VA_ARGS__)))(__VA_ARGS__))

#if defined(__GNUG__)
#pragma GCC diagnostic push
#pragma GCC diagnostic ignored "-Wunused-variable"
#endif

static const char *__doc_AllocationTransform = R"doc(Forward direction wraps the 'expanded' range into the specified, often compressed, range.)doc";

static const char *__doc_AllocationTransform_m_impl = R"doc()doc";

static const char *__doc_AllocationTransform_Create = R"doc()doc";

static const char *__doc_AllocationTransform_createEditableCopy = R"doc()doc";

static const char *__doc_AllocationTransform_getDirection = R"doc()doc";

static const char *__doc_AllocationTransform_setDirection = R"doc(Note that this only affects the evaluation and not the values stored in the object.)doc";

static const char *__doc_AllocationTransform_getTransformType = R"doc()doc";

static const char *__doc_AllocationTransform_validate = R"doc(Will throw if data is not valid.)doc";

static const char *__doc_AllocationTransform_getAllocation = R"doc()doc";

static const char *__doc_AllocationTransform_setAllocation = R"doc()doc";

static const char *__doc_AllocationTransform_getNumVars = R"doc()doc";

static const char *__doc_AllocationTransform_getVars = R"doc()doc";

static const char *__doc_AllocationTransform_setVars = R"doc()doc";

static const char *__doc_AllocationTransform_operator_assign = R"doc()doc";

static const char *__doc_AllocationTransform_AllocationTransform = R"doc(Do not use (needed only for pybind11).)doc";

static const char *__doc_AllocationTransform_AllocationTransform_2 = R"doc()doc";

static const char *__doc_AllocationTransform_AllocationTransform_3 = R"doc()doc";

static const char *__doc_AllocationTransform_getImpl = R"doc()doc";

static const char *__doc_AllocationTransform_getImpl_2 = R"doc()doc";

static const char *__doc_AllocationTransform_deleter = R"doc()doc";

static const char *__doc_Baker =
R"doc(In certain situations it is necessary to serialize transforms into a variety of application specific LUT formats. Note that not all file formats that may be read also support baking.

**Usage Example:** *Bake a CSP sRGB viewer LUT*

.. code-block:: cpp

    OCIO::ConstConfigRcPtr config = OCIO::Config::CreateFromEnv();
    OCIO::BakerRcPtr baker = OCIO::Baker::Create();
    baker->setConfig(config);
    baker->setFormat("csp");
    baker->setInputSpace("lnf");
    baker->setShaperSpace("log");
    baker->setTargetSpace("sRGB");
    auto & metadata = baker->getFormatMetadata();
    metadata.addChildElement(OCIO::METADATA_DESCRIPTION, "A first comment");
    metadata.addChildElement(OCIO::METADATA_DESCRIPTION, "A second comment");
    std::ostringstream out;
    baker->bake(out); // fresh bread anyone!
    std::cout << out.str();)doc";

static const char *__doc_Baker_m_impl = R"doc()doc";

static const char *__doc_Baker_Create = R"doc(Create a new :ref:`Baker`.)doc";

static const char *__doc_Baker_getNumFormats = R"doc(Get the number of LUT bakers.)doc";

static const char *__doc_Baker_getFormatNameByIndex = R"doc(Get the LUT baker format name at index, return empty string if an invalid index is specified.)doc";

static const char *__doc_Baker_getFormatExtensionByIndex = R"doc(Get the LUT baker format extension at index, return empty string if an invalid index is specified.)doc";

static const char *__doc_Baker_createEditableCopy = R"doc(Create a copy of this :ref:`Baker`.)doc";

static const char *__doc_Baker_getConfig = R"doc()doc";

static const char *__doc_Baker_setConfig = R"doc(Set the config to use.)doc";

static const char *__doc_Baker_getFormat = R"doc()doc";

static const char *__doc_Baker_setFormat = R"doc(Set the LUT output format.)doc";

static const char *__doc_Baker_getFormatMetadata = R"doc()doc";

static const char *__doc_Baker_getFormatMetadata_2 = R"doc(Get editable *optional* format metadata. The metadata that will be used varies based on the capability of the given file format. Formats such as CSP, IridasCube, and ResolveCube will create comments in the file header using the value of any first-level children elements of the formatMetadata. The CLF/CTF formats will make use of the top-level "id" and "name" attributes and children elements "Description", "InputDescriptor", "OutputDescriptor", and "Info".)doc";

static const char *__doc_Baker_getInputSpace = R"doc()doc";

static const char *__doc_Baker_setInputSpace = R"doc(Set the input :ref:`ColorSpace` that the LUT will be applied to.)doc";

static const char *__doc_Baker_getShaperSpace = R"doc()doc";

static const char *__doc_Baker_setShaperSpace = R"doc(Set an *optional* :ref:`ColorSpace` or :ref:`NamedTransform` to shape the incoming values of the LUT. When baking 3DLUT, this will correspond to the 1D shaper used to normalise incoming values to the unit range. When baking 1D LUT, this will be used to determine the input range of the LUT.)doc";

static const char *__doc_Baker_getLooks = R"doc()doc";

static const char *__doc_Baker_setLooks = R"doc(Set the looks to be applied during baking. Looks is a potentially comma (or colon) delimited list of lookNames, where +/- prefixes are optionally allowed to denote forward/inverse look specification. (And forward is assumed in the absence of either).)doc";

static const char *__doc_Baker_getTargetSpace = R"doc()doc";

static const char *__doc_Baker_setTargetSpace = R"doc(Set the target (i.e., output) color space for the LUT. Must not be used if setDisplayView is used.)doc";

static const char *__doc_Baker_getDisplay = R"doc()doc";

static const char *__doc_Baker_getView = R"doc()doc";

static const char *__doc_Baker_setDisplayView = R"doc(Set the display and view to apply during the baking. Must not be used if setTargetSpace is used.)doc";

static const char *__doc_Baker_getShaperSize = R"doc()doc";

static const char *__doc_Baker_setShaperSize = R"doc(Override the default shaper LUT size. Default value is -1, which allows each format to use its own most appropriate size. For the CLF format, the default uses a half-domain LUT1D (which is ideal for scene-linear inputs).)doc";

static const char *__doc_Baker_getCubeSize = R"doc()doc";

static const char *__doc_Baker_setCubeSize = R"doc(Override the main LUT (3d or 1d) sample size. Default value is -1, which allows each format to use its own most appropriate size.)doc";

static const char *__doc_Baker_bake = R"doc(Bake the LUT into the output stream.)doc";

static const char *__doc_Baker_Baker = R"doc()doc";

static const char *__doc_Baker_operator_assign = R"doc()doc";

static const char *__doc_Baker_Baker_2 = R"doc(Do not use (needed only for pybind11).)doc";

static const char *__doc_Baker_Baker_3 = R"doc()doc";

static const char *__doc_Baker_getImpl = R"doc()doc";

static const char *__doc_Baker_getImpl_2 = R"doc()doc";

static const char *__doc_Baker_deleter = R"doc()doc";

static const char *__doc_BuiltinConfigRegistry = R"doc(The built-in configs registry contains information about all the existing built-in configs.)doc";

static const char *__doc_BuiltinConfigRegistry_BuiltinConfigRegistry = R"doc()doc";

static const char *__doc_BuiltinConfigRegistry_operator_assign = R"doc()doc";

static const char *__doc_BuiltinConfigRegistry_getNumBuiltinConfigs = R"doc(Get the number of built-in configs available.)doc";

static const char *__doc_BuiltinConfigRegistry_getBuiltinConfigName = R"doc(Get the name of the config at the specified (zero-based) index. Throws for illegal index.)doc";

static const char *__doc_BuiltinConfigRegistry_getBuiltinConfigUIName = R"doc(Throws for illegal index.)doc";

static const char *__doc_BuiltinConfigRegistry_getBuiltinConfig = R"doc(Get Yaml text of the built-in config at the specified index. Throws for illegal index.)doc";

static const char *__doc_BuiltinConfigRegistry_getBuiltinConfigByName = R"doc(Get the Yaml text of the built-in config with the specified name. Throws if the name is not found.)doc";

static const char *__doc_BuiltinConfigRegistry_isBuiltinConfigRecommended =
R"doc(Check if a specific built-in config is recommended. 

For backwards compatibility reasons, configs will remain in the registry even if they have been superseded. If an app is presenting a list of configs to users, it should not include configs that are no longer recommended.

Throws if the name is not found.

:param configIndex: Index of built-in config. 

:return: true if the config is recommended.)doc";

static const char *__doc_BuiltinConfigRegistry_getDefaultBuiltinConfigName =
R"doc(Get the default recommended built-in config. 

Get the name of the built-in config that is currently recommended as the default config to use for applications looking for basic color management.

As the built-in config collection evolves, the default config name will change in future releases.

For backwards compatibility, the name provided here will always work as an argument to other methods so that any previous default config may be recovered.

Throws if the name is not found.

:return: Default's built-in config name.)doc";

static const char *__doc_BuiltinConfigRegistry_Get = R"doc(Get the current built-in configs registry.)doc";

static const char *__doc_BuiltinConfigRegistry_BuiltinConfigRegistry_2 = R"doc()doc";

static const char *__doc_BuiltinConfigRegistry_BuiltinConfigRegistry_3 = R"doc()doc";

static const char *__doc_BuiltinTransform = R"doc(A built-in transform is similar to a :ref:`FileTransform`, but without the file. OCIO knows how to build a set of commonly used transforms on-demand, thus avoiding the need for external files and simplifying config authoring.)doc";

static const char *__doc_BuiltinTransform_Create = R"doc()doc";

static const char *__doc_BuiltinTransform_getTransformType = R"doc()doc";

static const char *__doc_BuiltinTransform_getStyle = R"doc()doc";

static const char *__doc_BuiltinTransform_setStyle = R"doc(Select an existing built-in transform style from the list accessible through :cpp:class:`:ref:`BuiltinTransformRegistry``. The style is the ID string that identifies which transform to apply.)doc";

static const char *__doc_BuiltinTransform_getDescription = R"doc()doc";

static const char *__doc_BuiltinTransform_BuiltinTransform = R"doc(Do not use (needed only for pybind11).)doc";

static const char *__doc_BuiltinTransform_BuiltinTransform_2 = R"doc()doc";

static const char *__doc_BuiltinTransform_BuiltinTransform_3 = R"doc()doc";

static const char *__doc_BuiltinTransform_operator_assign = R"doc()doc";

static const char *__doc_BuiltinTransformRegistry = R"doc(The built-in transform registry contains all the existing built-in transforms which can be used by a configuration (version 2 or higher only).)doc";

static const char *__doc_BuiltinTransformRegistry_BuiltinTransformRegistry = R"doc()doc";

static const char *__doc_BuiltinTransformRegistry_operator_assign = R"doc()doc";

static const char *__doc_BuiltinTransformRegistry_getNumBuiltins = R"doc(Get the number of built-in transforms available.)doc";

static const char *__doc_BuiltinTransformRegistry_getBuiltinStyle = R"doc(Get the style string for the i-th built-in transform. The style is the ID string that identifies a given transform.)doc";

static const char *__doc_BuiltinTransformRegistry_getBuiltinDescription = R"doc(Get the description string for the i-th built-in transform.)doc";

static const char *__doc_BuiltinTransformRegistry_Get = R"doc(Get the current built-in transform registry.)doc";

static const char *__doc_BuiltinTransformRegistry_BuiltinTransformRegistry_2 = R"doc()doc";

static const char *__doc_BuiltinTransformRegistry_BuiltinTransformRegistry_3 = R"doc()doc";

static const char *__doc_CDLTransform =
R"doc(An implementation of the ASC Color Decision List (CDL), based on the ASC v1.2 specification. 

**ASC_SOP**

Slope, offset, power:: out = clamp( (in * slope) + offset ) ^ power

.. note::
   ​ If the config version is 1, negative values are clamped if the power is not 1.0. For config version 2 and higher, the negative handling is controlled by the CDL style.)doc";

static const char *__doc_CDLTransform_Create = R"doc()doc";

static const char *__doc_CDLTransform_CreateFromFile =
R"doc(Load the CDL from the src .cdl, .cc, or .ccc file. 

.. note::
   The cccid can be the ID of a CDL or the index of the CDL (as string). If cccid is NULL or empty the first CDL is returned. The cccid is case-sensitive. The src must be an absolute path reference, no relative directory or envvar resolution is performed. Throws if file does not contain any CDL or if the specified cccid is not found.)doc";

static const char *__doc_CDLTransform_CreateGroupFromFile =
R"doc(Load all of the CDLs in a .cdl or .ccc file into a single :ref:`GroupTransform`. 

.. note::
   This may be useful as a quicker way for applications to check the contents of each of the CDLs. The src must be an absolute path reference, no relative directory or envvar resolution is performed.)doc";

static const char *__doc_CDLTransform_getTransformType = R"doc()doc";

static const char *__doc_CDLTransform_getFormatMetadata = R"doc()doc";

static const char *__doc_CDLTransform_getFormatMetadata_2 = R"doc()doc";

static const char *__doc_CDLTransform_equals = R"doc()doc";

static const char *__doc_CDLTransform_getStyle = R"doc()doc";

static const char *__doc_CDLTransform_setStyle = R"doc(Use CDL_ASC to clamp values to [0,1] per the ASC spec. Use NO_CLAMP to never clamp values (regardless of whether power is 1.0). The NO_CLAMP option passes negatives through unchanged (like the NEGATIVE_PASS_THRU style of :ref:`ExponentTransform`). The default style is CDL_NO_CLAMP.)doc";

static const char *__doc_CDLTransform_getSlope = R"doc()doc";

static const char *__doc_CDLTransform_setSlope = R"doc()doc";

static const char *__doc_CDLTransform_getOffset = R"doc()doc";

static const char *__doc_CDLTransform_setOffset = R"doc()doc";

static const char *__doc_CDLTransform_getPower = R"doc()doc";

static const char *__doc_CDLTransform_setPower = R"doc()doc";

static const char *__doc_CDLTransform_getSOP = R"doc()doc";

static const char *__doc_CDLTransform_setSOP = R"doc()doc";

static const char *__doc_CDLTransform_getSat = R"doc()doc";

static const char *__doc_CDLTransform_setSat = R"doc()doc";

static const char *__doc_CDLTransform_getSatLumaCoefs = R"doc(These are hard-coded, by spec, to r709.)doc";

static const char *__doc_CDLTransform_getID = R"doc(The get/setID methods are now deprecated. The preferred way of interacting with the ID is now via the transform's formatMetadata.)doc";

static const char *__doc_CDLTransform_setID = R"doc()doc";

static const char *__doc_CDLTransform_getFirstSOPDescription = R"doc()doc";

static const char *__doc_CDLTransform_setFirstSOPDescription = R"doc()doc";

static const char *__doc_CDLTransform_CDLTransform = R"doc()doc";

static const char *__doc_CDLTransform_operator_assign = R"doc()doc";

static const char *__doc_CDLTransform_CDLTransform_2 = R"doc(Do not use (needed only for pybind11).)doc";

static const char *__doc_CDLTransform_CDLTransform_3 = R"doc()doc";

static const char *__doc_ColorSpace =
R"doc(The *:ref:`ColorSpace`* is the state of an image with respect to colorimetry and color encoding. Transforming images between different *ColorSpaces* is the primary motivation for this library.

While a complete discussion of color spaces is beyond the scope of header documentation, traditional uses would be to have *ColorSpaces* corresponding to: physical capture devices (known cameras, scanners), and internal 'convenience' spaces (such as scene linear, logarithmic).)doc";

static const char *__doc_ColorSpace_m_impl = R"doc()doc";

static const char *__doc_ColorSpace_Create = R"doc()doc";

static const char *__doc_ColorSpace_Create_2 = R"doc()doc";

static const char *__doc_ColorSpace_createEditableCopy = R"doc()doc";

static const char *__doc_ColorSpace_getName = R"doc()doc";

static const char *__doc_ColorSpace_setName = R"doc(If the name is already an alias, that alias is removed.)doc";

static const char *__doc_ColorSpace_getNumAliases = R"doc()doc";

static const char *__doc_ColorSpace_getAlias = R"doc(Return empty string if idx is out of range.)doc";

static const char *__doc_ColorSpace_addAlias = R"doc(Add an alias for the color space name (the aliases may be used as a synonym for the name). Nothing will be added if the alias is already the color space name, one of its aliases, or the argument is null. The aliases must not conflict with existing roles, color space names, named transform names, or other aliases. This is verified when adding the color space to the config.)doc";

static const char *__doc_ColorSpace_removeAlias = R"doc(Does nothing if alias is not present.)doc";

static const char *__doc_ColorSpace_clearAliases = R"doc()doc";

static const char *__doc_ColorSpace_getFamily = R"doc(Get the family, for use in user interfaces (optional) The family string could use a '/' separator to indicate levels to be used by hierarchical menus.)doc";

static const char *__doc_ColorSpace_setFamily = R"doc(Set the family, for use in user interfaces (optional))doc";

static const char *__doc_ColorSpace_getEqualityGroup = R"doc(Get the :ref:`ColorSpace` group name (used for equality comparisons) This allows no-op transforms between different colorspaces. If an equalityGroup is not defined (an empty string), it will be considered unique (i.e., it will not compare as equal to other ColorSpaces with an empty equality group).)doc";

static const char *__doc_ColorSpace_setEqualityGroup = R"doc()doc";

static const char *__doc_ColorSpace_getDescription = R"doc()doc";

static const char *__doc_ColorSpace_setDescription = R"doc()doc";

static const char *__doc_ColorSpace_getBitDepth = R"doc()doc";

static const char *__doc_ColorSpace_setBitDepth = R"doc()doc";

static const char *__doc_ColorSpace_getReferenceSpaceType = R"doc(A display color space will use the display-referred reference space.)doc";

static const char *__doc_ColorSpace_hasCategory =
R"doc(Return true if the category is present. 

A category is used to allow applications to filter the list of color spaces they display in menus based on what that color space is used for.

Here is an example config entry that could appear under a :ref:`ColorSpace`:

.. code-block:: cpp

    categories: [ file-io, working-space, basic-3d ]

The example contains three categories: 'file-io', 'working-space' and 'basic-3d'.

.. note::
   Category strings are not case-sensitive and the order is not significant.

There is no limit imposed on length or number. Although users may add their own categories, the strings will typically come from a fixed set listed in the documentation (similar to roles).)doc";

static const char *__doc_ColorSpace_addCategory =
R"doc(Add a single category. 

.. note::
   Will do nothing if the category already exists.)doc";

static const char *__doc_ColorSpace_removeCategory =
R"doc(Remove a category. 

.. note::
   Will do nothing if the category is missing.)doc";

static const char *__doc_ColorSpace_getNumCategories = R"doc(Get the number of categories.)doc";

static const char *__doc_ColorSpace_getCategory =
R"doc(Return the category name using its index. 

.. note::
   Will be null if the index is invalid.)doc";

static const char *__doc_ColorSpace_clearCategories = R"doc(Clear all the categories.)doc";

static const char *__doc_ColorSpace_getEncoding =
R"doc(*Encodings*

It is sometimes useful for applications to group color spaces based on how the color values are digitally encoded. For example, images in scene-linear, logarithmic, video, and data color spaces could have different default views. Unlike the Family and EqualityGroup attributes of a color space, the list of Encodings is predefined in the OCIO documentation (rather than being config-specific) to make it easier for applications to utilize.

Here is an example config entry that could appear under a :ref:`ColorSpace`:

.. code-block:: cpp

    encoding: scene-linear

Encoding strings are not case-sensitive. Although users may add their own encodings, the strings will typically come from a fixed set listed in the documentation (similar to roles).)doc";

static const char *__doc_ColorSpace_setEncoding = R"doc()doc";

static const char *__doc_ColorSpace_isData =
R"doc(*Data*

ColorSpaces that are data are treated a bit special. Basically, any colorspace transforms you try to apply to them are ignored. (Think of applying a gamut mapping transform to an ID pass). However, the setDataBypass method on :ref:`ColorSpaceTransform` and :ref:`DisplayViewTransform` allow applications to process data when necessary. (Think of sending mattes to an HDR monitor.)

This is traditionally used for pixel data that represents non-color pixel data, such as normals, point positions, ID information, etc.)doc";

static const char *__doc_ColorSpace_setIsData = R"doc()doc";

static const char *__doc_ColorSpace_getAllocation =
R"doc(*Allocation*

If this colorspace needs to be transferred to a limited dynamic range coding space (such as during display with a GPU path), use this allocation to maximize bit efficiency.)doc";

static const char *__doc_ColorSpace_setAllocation = R"doc()doc";

static const char *__doc_ColorSpace_getAllocationNumVars =
R"doc(Specify the optional variable values to configure the allocation. If no variables are specified, the defaults are used.

ALLOCATION_UNIFORM::

2 vars: [min, max]

ALLOCATION_LG2::

2 vars: [lg2min, lg2max] 3 vars: [lg2min, lg2max, linear_offset])doc";

static const char *__doc_ColorSpace_getAllocationVars = R"doc()doc";

static const char *__doc_ColorSpace_setAllocationVars = R"doc()doc";

static const char *__doc_ColorSpace_getTransform =
R"doc(*:ref:`Transform`*

If a transform in the specified direction has been specified, return it. Otherwise return a null ConstTransformRcPtr)doc";

static const char *__doc_ColorSpace_setTransform = R"doc(Specify the transform for the appropriate direction. Setting the transform to null will clear it.)doc";

static const char *__doc_ColorSpace_ColorSpace = R"doc()doc";

static const char *__doc_ColorSpace_operator_assign = R"doc()doc";

static const char *__doc_ColorSpace_ColorSpace_2 = R"doc(Do not use (needed only for pybind11).)doc";

static const char *__doc_ColorSpace_ColorSpace_3 = R"doc()doc";

static const char *__doc_ColorSpace_ColorSpace_4 = R"doc()doc";

static const char *__doc_ColorSpace_getImpl = R"doc()doc";

static const char *__doc_ColorSpace_getImpl_2 = R"doc()doc";

static const char *__doc_ColorSpace_deleter = R"doc()doc";

static const char *__doc_ColorSpaceMenuHelper =
R"doc(Helper class to create menus for the content of a config.

Menu can list color spaces, roles, named transforms. Each entry has a name, a UI name, a description, and a family. Family can also be accessed as hierarchy levels; levels are created by splitting the family using the 'family separator'. Hierarchy levels are meant to be used as sub-menus.

The UI name is what is intended to be put in application menus seen by the end-user. However, please note that the UI name is not guaranteed to remain stable between releases and so if applications need to save something it should be the 'name' rather than the 'UI name'. Currently, the only difference between the 'name' and 'UI name' is for roles.

The overall ordering of items is: color spaces, named transforms, roles, and additional color spaces. The display color spaces will either come before or after the other color spaces based on where that block of spaces appears in the config. The order of items returned by the menu helper preserves the order of items in the config itself for each type of elements, thus preserving the intent of the config author. For example, if you call getName at idx and idx+1, the name returned at idx+1 will be from farther down in the config than the one at idx as long as both are of the same type. (An application may ask for only the items in one of those blocks if it wants to handle them separately.) If the application makes use of hierarchical menus, that will obviously impose a different order on what the user sees in the menu. Though even with hierarchical menus, applications should try to preserve config ordering (which is equivalent to index ordering) for items within the same sub-menu.)doc";

static const char *__doc_ColorSpaceMenuHelper_Create = R"doc()doc";

static const char *__doc_ColorSpaceMenuHelper_getNumColorSpaces = R"doc(Access to the color spaces (or roles).)doc";

static const char *__doc_ColorSpaceMenuHelper_getName = R"doc(Get the color space (or role) name used in the config for this menu item. Will be empty if the index is out of range.)doc";

static const char *__doc_ColorSpaceMenuHelper_getUIName = R"doc(Get the name to use in the menu UI. This might be different from the config name, for example in the case of roles. Will be empty if the index is out of range.)doc";

static const char *__doc_ColorSpaceMenuHelper_getIndexFromName = R"doc(Get the index of the element of a given name. Return (size_t)-1 name if NULL or empty, or if no element with that name is found.)doc";

static const char *__doc_ColorSpaceMenuHelper_getIndexFromUIName = R"doc()doc";

static const char *__doc_ColorSpaceMenuHelper_getDescription = R"doc()doc";

static const char *__doc_ColorSpaceMenuHelper_getFamily = R"doc()doc";

static const char *__doc_ColorSpaceMenuHelper_getNumHierarchyLevels = R"doc(Hierarchy levels are created from the family string. It is split into levels using the 'family separator'.)doc";

static const char *__doc_ColorSpaceMenuHelper_getHierarchyLevel = R"doc()doc";

static const char *__doc_ColorSpaceMenuHelper_getNameFromUIName = R"doc(Get the color space name from the UI name.)doc";

static const char *__doc_ColorSpaceMenuHelper_getUINameFromName = R"doc(Get the color space UI name from the name.)doc";

static const char *__doc_ColorSpaceMenuHelper_ColorSpaceMenuHelper = R"doc()doc";

static const char *__doc_ColorSpaceMenuHelper_operator_assign = R"doc()doc";

static const char *__doc_ColorSpaceMenuHelper_ColorSpaceMenuHelper_2 = R"doc(Do not use (needed only for pybind11).)doc";

static const char *__doc_ColorSpaceMenuHelper_ColorSpaceMenuHelper_3 = R"doc()doc";

static const char *__doc_ColorSpaceMenuParameters =
R"doc(Parameters controlling which color spaces appear in menus.

The :ref:`ColorSpaceMenuHelper` class is intended to be used by applications to get the list of items to show in color space menus.

The :ref:`ColorSpaceMenuParameters` class is used to configure the behavior as needed for any given menu. Here is the algorithm used to produce a list of "items" (or strings) that will appear in a menu:

1) Use setRole to identify a role that controls a given menu. If the config has this role, then only that color space is returned. The name is set to the color space name, the UIName is presented as "<role name> (<color space name>)". It may be useful for the application to then grey-out the menu or otherwise indicate to the user that the value for this menu is not user selectable since it was pre-determined by the config. If the config does not have that role, the algorithm continues to the remaining steps.

2) The IncludeColorSpaces, SearchReferenceSpaceType, and IncludeNamedTransforms parameters are used to identify a set of items from the config that are potential candidates for use in the menu, as follows:
- IncludeColorSpaces: Set to true to include color spaces in the menu.
- SearchReferenceSpaceType: Use this to control whether the menu should include all color spaces, only display color spaces, or only non-display color spaces.
- IncludeNamedTransforms: Set to true to include named transforms in the menu.

3) The set of items from step 2 is then filtered in step 3 using the following parameters:
- AppCategories: A list of strings specified by the application based on the purpose of the menu. For example, if the menu is used to select a color space for importing an image, the application might specify the 'file-io' category, whereas if it is to select a working color space, it might specify the 'working-space' category. Application developers should document what strings they are using for each menu so that config authors know what categories to use in their configs. Alternatively, an application could let advanced users customize the string to use for a given menu in the application.
- Encodings: A list of strings used to further refine the items selected from the AppCategories. For example, an application might specify 'working-space' as the category and then specify 'scene-linear' as the encoding to only use items that have both of those properties (e.g., only select scene-linear working color spaces).
- UserCategories: A list of strings specified by the end-user of the application. OCIO will check for these strings in an environment variable, or they may be passed in from the application.

Basically the intent is for the filtering to return the intersection of the app categories, encoding, and user categories. However, some fall-backs are in place to ensure that the filtering does not remove all menu items. Here is the detailed description:

3a) The items from step 2 are filtered to generate a list of appItems containing only the ones that contain at least one of the AppCategories strings in their "categories" property and one of the encodings in their "encoding" property. If this list is empty, an attempt is made to generate a non-empty appItems list by only filtering by AppCategories. If that is empty, an attempt is made to only filter by Encodings.

3b) The items from step 2 are filtered to generate a list of userItems containing only the ones that have at least one of the UserCategories strings in their "categories" property.

3c) If both appItems and userItems are non-empty, a list of resultItems will be generated as the intersection of those two lists.

3d) If the resultItems list is empty, the appList will be expanded by only filtering by AppCategories and not encodings. The resultItems will be formed again as the intersection of the appItems and userItems.

3e) If the resultItems is still empty, it will be set to just the appItems from step 3a.

3f) If the resultItems is still empty, it will be set to just the userItems.

3g) If the resultItems is still empty, the items are not filtered and all items from step 2 are returned. The rationale is that if step 2 has produced any items, it is not acceptable for step 3 to remove all of them. An application usually expects to have a non-zero number of items to display in the menu. However, if step 2 produces no items (e.g. the application requests only named transforms and the config has no named transform), then no items will be returned.

4) If IncludeRoles is true, the items from step 3 are extended by including an item for each role. The name is set to the role name, the UIName is presented as "<role name> (<color
    space name>)", and the family is set to "Roles".

5) If AddColorSpace has been used to add any additional items, these are appended to the final list.)doc";

static const char *__doc_ColorSpaceMenuParameters_Create = R"doc()doc";

static const char *__doc_ColorSpaceMenuParameters_setConfig = R"doc(:ref:`Config` is required to be able to create a :ref:`ColorSpaceMenuHelper`.)doc";

static const char *__doc_ColorSpaceMenuParameters_getConfig = R"doc()doc";

static const char *__doc_ColorSpaceMenuParameters_setRole = R"doc(If role is a valid role, other parameters are ignored and menu will contain only that role.)doc";

static const char *__doc_ColorSpaceMenuParameters_getRole = R"doc()doc";

static const char *__doc_ColorSpaceMenuParameters_setIncludeColorSpaces = R"doc(Include all color spaces (or not) to :ref:`ColorSpaceMenuHelper`. Default is to include color spaces.)doc";

static const char *__doc_ColorSpaceMenuParameters_getIncludeColorSpaces = R"doc()doc";

static const char *__doc_ColorSpaceMenuParameters_getSearchReferenceSpaceType = R"doc(Can be used to restrict the search using the ReferenceSpaceType of the color spaces. It has no effect on roles and named transforms.)doc";

static const char *__doc_ColorSpaceMenuParameters_setSearchReferenceSpaceType = R"doc()doc";

static const char *__doc_ColorSpaceMenuParameters_setIncludeNamedTransforms = R"doc(Include all named transforms (or not) to :ref:`ColorSpaceMenuHelper`. Default is not to include named transforms.)doc";

static const char *__doc_ColorSpaceMenuParameters_getIncludeNamedTransforms = R"doc()doc";

static const char *__doc_ColorSpaceMenuParameters_setAppCategories = R"doc(App categories is a comma separated list of categories. If appCategories is not NULL and not empty, all color spaces that have one of the categories will be part of the menu.)doc";

static const char *__doc_ColorSpaceMenuParameters_getAppCategories = R"doc()doc";

static const char *__doc_ColorSpaceMenuParameters_setEncodings = R"doc(Encodings is a comma separated list of encodings. When not empty, is retricting the search to color spaces that are using one of the encodings.)doc";

static const char *__doc_ColorSpaceMenuParameters_getEncodings = R"doc()doc";

static const char *__doc_ColorSpaceMenuParameters_setUserCategories = R"doc(User categories is a comma separated list of categories. If OCIO_USER_CATEGORIES_ENVVAR env. variable is defined and not empty, this parameter is ignored and the value of the env. variable is used for user categories.)doc";

static const char *__doc_ColorSpaceMenuParameters_getUserCategories = R"doc()doc";

static const char *__doc_ColorSpaceMenuParameters_setIncludeRoles = R"doc(Include all roles (or not) to :ref:`ColorSpaceMenuHelper`. Default is not to include roles. Roles are added after color spaces with an single hierarchy level named "Roles".)doc";

static const char *__doc_ColorSpaceMenuParameters_getIncludeRoles = R"doc()doc";

static const char *__doc_ColorSpaceMenuParameters_addColorSpace =
R"doc(Add an additional color space (or named transform) to the menu.

Note that an additional color space could be:
- an inactive color space,
- an active color space not having at least one of the selected categories,
- a newly created color space. Will throw when creating the menu if color space is not part of the config. Nothing is done if it is already part of the menu. It's ok to call this multiple times with the same color space, it will only be added to the menu once. If a role name is passed in, the name in the menu will be the color space name the role points to.)doc";

static const char *__doc_ColorSpaceMenuParameters_getNumAddedColorSpaces = R"doc()doc";

static const char *__doc_ColorSpaceMenuParameters_getAddedColorSpace = R"doc()doc";

static const char *__doc_ColorSpaceMenuParameters_clearAddedColorSpaces = R"doc()doc";

static const char *__doc_ColorSpaceMenuParameters_ColorSpaceMenuParameters = R"doc(Do not use (needed only for pybind11).)doc";

static const char *__doc_ColorSpaceSet =
R"doc(The *:ref:`ColorSpaceSet`* is a set of color spaces (i.e. no color space duplication) which could be the result of :ref:`Config::getColorSpaces` or built from scratch.

.. note::
   The color spaces are decoupled from the config ones, i.e., any changes to the set itself or to its color spaces do not affect the original color spaces from the configuration. If needed, use :ref:`Config::addColorSpace` to update the configuration.)doc";

static const char *__doc_ColorSpaceSet_m_impl = R"doc()doc";

static const char *__doc_ColorSpaceSet_Create = R"doc(Create an empty set of color spaces.)doc";

static const char *__doc_ColorSpaceSet_createEditableCopy = R"doc(Create a set containing a copy of all the color spaces.)doc";

static const char *__doc_ColorSpaceSet_operator_eq =
R"doc(Return true if the two sets are equal. 

.. note::
   The comparison is done on the color space names (not a deep comparison).)doc";

static const char *__doc_ColorSpaceSet_operator_ne = R"doc(Return true if the two sets are different.)doc";

static const char *__doc_ColorSpaceSet_getNumColorSpaces = R"doc(Return the number of color spaces.)doc";

static const char *__doc_ColorSpaceSet_getColorSpaceNameByIndex = R"doc(Return the color space name using its index. This will be null if an invalid index is specified.)doc";

static const char *__doc_ColorSpaceSet_getColorSpaceByIndex = R"doc(Return the color space using its index. This will be empty if an invalid index is specified.)doc";

static const char *__doc_ColorSpaceSet_getColorSpace =
R"doc(.. note::
   Only accepts color space names (i.e. no role name).

Will return null if the name is not found.)doc";

static const char *__doc_ColorSpaceSet_getColorSpaceIndex =
R"doc(Will return -1 if the name is not found.

.. note::
   Only accepts color space names (i.e. no role name).)doc";

static const char *__doc_ColorSpaceSet_hasColorSpace =
R"doc(.. note::
   Only accepts color space names (i.e. no role name)

:param name: 

:return: true 

:return: false)doc";

static const char *__doc_ColorSpaceSet_addColorSpace =
R"doc(Add color space(s). 

.. note::
   If another color space is already registered with the same name, this will overwrite it. This stores a copy of the specified color space(s). Throws if one of the aliases is already assigned as a name or alias to an existing color space.)doc";

static const char *__doc_ColorSpaceSet_addColorSpaces = R"doc()doc";

static const char *__doc_ColorSpaceSet_removeColorSpace =
R"doc(Remove color space(s) using color space names (i.e. no role name). 

.. note::
   The removal of a missing color space does nothing.)doc";

static const char *__doc_ColorSpaceSet_removeColorSpaces = R"doc()doc";

static const char *__doc_ColorSpaceSet_clearColorSpaces = R"doc(Clear all color spaces.)doc";

static const char *__doc_ColorSpaceSet_ColorSpaceSet = R"doc(Do not use (needed only for pybind11).)doc";

static const char *__doc_ColorSpaceSet_ColorSpaceSet_2 = R"doc()doc";

static const char *__doc_ColorSpaceSet_ColorSpaceSet_3 = R"doc()doc";

static const char *__doc_ColorSpaceSet_operator_assign = R"doc()doc";

static const char *__doc_ColorSpaceSet_getImpl = R"doc()doc";

static const char *__doc_ColorSpaceSet_getImpl_2 = R"doc()doc";

static const char *__doc_ColorSpaceSet_deleter = R"doc()doc";

static const char *__doc_ColorSpaceTransform = R"doc()doc";

static const char *__doc_ColorSpaceTransform_m_impl = R"doc()doc";

static const char *__doc_ColorSpaceTransform_Create = R"doc()doc";

static const char *__doc_ColorSpaceTransform_createEditableCopy = R"doc()doc";

static const char *__doc_ColorSpaceTransform_getDirection = R"doc()doc";

static const char *__doc_ColorSpaceTransform_setDirection = R"doc(Note that this only affects the evaluation and not the values stored in the object.)doc";

static const char *__doc_ColorSpaceTransform_getTransformType = R"doc()doc";

static const char *__doc_ColorSpaceTransform_validate = R"doc(Will throw if data is not valid.)doc";

static const char *__doc_ColorSpaceTransform_getSrc = R"doc()doc";

static const char *__doc_ColorSpaceTransform_setSrc = R"doc()doc";

static const char *__doc_ColorSpaceTransform_getDst = R"doc()doc";

static const char *__doc_ColorSpaceTransform_setDst = R"doc()doc";

static const char *__doc_ColorSpaceTransform_getDataBypass = R"doc(Data color spaces do not get processed when true (which is the default).)doc";

static const char *__doc_ColorSpaceTransform_setDataBypass = R"doc()doc";

static const char *__doc_ColorSpaceTransform_operator_assign = R"doc()doc";

static const char *__doc_ColorSpaceTransform_ColorSpaceTransform = R"doc(Do not use (needed only for pybind11).)doc";

static const char *__doc_ColorSpaceTransform_ColorSpaceTransform_2 = R"doc()doc";

static const char *__doc_ColorSpaceTransform_ColorSpaceTransform_3 = R"doc()doc";

static const char *__doc_ColorSpaceTransform_getImpl = R"doc()doc";

static const char *__doc_ColorSpaceTransform_getImpl_2 = R"doc()doc";

static const char *__doc_ColorSpaceTransform_deleter = R"doc()doc";

static const char *__doc_Config =
R"doc(A config defines all the color spaces to be available at runtime. 

The color configuration (:ref:`Config`) is the main object for interacting with this library. It encapsulates all of the information necessary to use customized :ref:`ColorSpaceTransform` and :ref:`DisplayViewTransform` operations.

See the user-guide for more information on selecting, creating, and working with custom color configurations.

For applications interested in using only one color config at a time (this is the vast majority of apps), their API would traditionally get the global configuration and use that, as opposed to creating a new one. This simplifies the use case for plugins and bindings, as it alleviates the need to pass around configuration handles.

An example of an application where this would not be sufficient would be a multi-threaded image proxy server (daemon), which wished to handle multiple show configurations in a single process concurrently. This app would need to keep multiple configurations alive, and to manage them appropriately.

Roughly speaking, a novice user should select a default configuration that most closely approximates the use case (animation, visual effects, etc.), and set the :envvar:`OCIO` environment variable to point at the root of that configuration.

.. note::
   Initialization using environment variables is typically preferable in a multi-app ecosystem, as it allows all applications to be consistently configured.

See developers-usageexamples)doc";

static const char *__doc_Config_m_impl = R"doc()doc";

static const char *__doc_Config_Create =
R"doc(Create an empty config of the current version. 

Note that an empty config will not pass validation since required elements will be missing. :return: The :ref:`Config` object.)doc";

static const char *__doc_Config_CreateRaw =
R"doc(Create a fall-back config. 

This may be useful to allow client apps to launch in cases when the supplied config path is not loadable. :return: The :ref:`Config` object.)doc";

static const char *__doc_Config_CreateFromEnv =
R"doc(Create a configuration using the OCIO environment variable. 

Also supports the OCIO URI format for Built-in configs and supports archived configs. See :ref:`Config::CreateFromFile`.

If the variable is missing or empty, returns the same result as :ref:`Config::CreateRaw`. :return: The :ref:`Config` object.)doc";

static const char *__doc_Config_CreateFromFile =
R"doc(Create a configuration using a specific config file. 

Also supports the following OCIO URI format for Built-in configs: "ocio://default" - Default Built-in config. "ocio://<CONFIG NAME>" - A specific Built-in config. For the list of available <CONFIG NAME> strings, see :ref:`Config::CreateFromBuiltinConfig`.

Also supports archived configs (.ocioz files).

:exception :ref:`Exception`: If the file may not be read or does not parse. 

:return: The :ref:`Config` object.)doc";

static const char *__doc_Config_CreateFromStream =
R"doc(Create a configuration using a stream. 

Note that CreateFromStream does not set the working directory so the caller would need to set that separately in order to resolve FileTransforms. This function is typically only used for self-contained configs (no LUTs).

Configs created from CreateFromStream can not be archived unless the working directory is set and contains any necessary LUT files.

:param istream: Stream to the config. 

:exception :ref:`Exception`: If the stream does not parse. 

:return: The :ref:`Config` object.)doc";

static const char *__doc_Config_CreateFromConfigIOProxy =
R"doc(Create a config from the supplied :ref:`ConfigIOProxy` object. This allows the calling program to directly provide the config and associated LUTs rather than reading them from the standard file system. 

See the :ref:`ConfigIOProxy` class documentation for more info.

:param ciop: :ref:`ConfigIOProxy` object providing access to the config's files. 

:exception :ref:`Exception`: If the config may not be read from the proxy, or does not parse. 

:return: The :ref:`Config` object.)doc";

static const char *__doc_Config_CreateFromBuiltinConfig =
R"doc(Create a configuration using an OCIO built-in config. 

:param configName: Built-in config name.

The available configNames are:

ACES Studio config, contains a more complete collection of color spaces and displays: "studio-config-v1.0.0_aces-v1.3_ocio-v2.1"

ACES CG config, basic color spaces for computer graphics apps: "cg-config-v1.0.0_aces-v1.3_ocio-v2.1"

More information is available at: https://github.com/AcademySoftwareFoundation/OpenColorIO-Config-ACES

Information about the available configs is available from the :ref:`BuiltinConfigRegistry`.

:exception :ref:`Exception`: If the configName is not recognized. 

:return: One of the configs built into the OCIO library.)doc";

static const char *__doc_Config_GetDefaultFamilySeparator = R"doc(Get the default family separator i.e. '/' .)doc";

static const char *__doc_Config_GetProcessorToBuiltinColorSpace =
R"doc(Get a :ref:`Processor` to or from a known external color space. 

These methods provide a way to interface color spaces in a config with known standard external color spaces. The set of external color space are those contained in the current default Built-in config. This includes common spaces such as "Linear Rec.709 (sRGB)", "sRGB - Texture", "ACEScg", and "ACES2065-1".

If the source config defines the necessary Interchange Role (typically "aces_interchange"), then the conversion will be well-defined and equivalent to calling GetProcessorFromConfigs with the source config and the Built-in config

However, if the Interchange Roles are not present, heuristics will be used to try and identify a common color space in the source config that may be used to allow the conversion to proceed. If the heuristics fail to find a suitable space, an exception is thrown. The heuristics may evolve, so the results returned by this function for a given source config and color space may change in future releases of the library. However, the Interchange Roles are required in config versions 2.2 and higher, so it is hoped that the need for the heuristics will decrease over time.

:param srcConfig: The user's source config. 
:param srcColorSpaceName: The name of the color space in the source config. 
:param builtinColorSpaceName: The name of the color space in the current default Built-in config.)doc";

static const char *__doc_Config_GetProcessorFromBuiltinColorSpace =
R"doc(See description of GetProcessorToBuiltinColorSpace. 

:param builtinColorSpaceName: The name of the color space in the current default Built-in config. 
:param srcConfig: The user's source config. 
:param srcColorSpaceName: The name of the color space in the source config.)doc";

static const char *__doc_Config_GetProcessorFromConfigs =
R"doc(Get a processor to convert between color spaces in two separate configs. 

This relies on both configs having the aces_interchange role (when srcName is scene-referred) or the role cie_xyz_d65_interchange (when srcName is display-referred) defined. An exception is thrown if that is not the case.)doc";

static const char *__doc_Config_GetProcessorFromConfigs_2 = R"doc()doc";

static const char *__doc_Config_GetProcessorFromConfigs_3 = R"doc(The srcInterchangeName and dstInterchangeName must refer to a pair of color spaces in the two configs that are the same. A role name may also be used.)doc";

static const char *__doc_Config_GetProcessorFromConfigs_4 = R"doc()doc";

static const char *__doc_Config_createEditableCopy = R"doc()doc";

static const char *__doc_Config_getMajorVersion = R"doc(Get the configuration major version.)doc";

static const char *__doc_Config_setMajorVersion =
R"doc(Set the configuration major version.

Throws if it is not supported. Resets minor to the most recent minor for the given major.)doc";

static const char *__doc_Config_getMinorVersion = R"doc(Get the configuration minor version.)doc";

static const char *__doc_Config_setMinorVersion = R"doc(Set the configuration minor version. Throws if it is not supported for the current major.)doc";

static const char *__doc_Config_setVersion = R"doc(Set the configuration major and minor versions. Throws if version is not supported.)doc";

static const char *__doc_Config_upgradeToLatestVersion = R"doc(Allows an older config to be serialized as the current version.)doc";

static const char *__doc_Config_validate =
R"doc(Performs a thorough validation for the most common user errors. 

This will throw an exception if the config is malformed. The most common error occurs when references are made to colorspaces that do not exist.)doc";

static const char *__doc_Config_getName =
R"doc(Get/set a name string for the config. 

The name string may be used to communicate config update details or similar information to workflows external to OCIO in cases where the config path/filename itself does not provide adequate information.)doc";

static const char *__doc_Config_setName = R"doc()doc";

static const char *__doc_Config_getFamilySeparator =
R"doc(Get the family separator. 

A single character used to separate the family string into tokens for use in hierarchical menus. Defaults to '/'.)doc";

static const char *__doc_Config_setFamilySeparator =
R"doc(Set the family separator. 

Succeeds if the characters is null or a valid character from the ASCII table i.e. from value 32 (i.e. space) to 126 (i.e. '~'); otherwise, it throws an exception.)doc";

static const char *__doc_Config_getDescription = R"doc()doc";

static const char *__doc_Config_setDescription = R"doc()doc";

static const char *__doc_Config_serialize =
R"doc(Returns the string representation of the :ref:`Config` in YAML text form. 

This is typically stored on disk in a file with the extension .ocio. NB: This does not validate the config. Applications should validate before serializing.)doc";

static const char *__doc_Config_getCacheID =
R"doc(This will produce a hash of the all colorspace definitions, etc. All external references, such as files used in FileTransforms, etc., will be incorporated into the cacheID. While the contents of the files are not read, the file system is queried for relevant information (mtime, inode) so that the config's cacheID will change when the underlying luts are updated.

If a context is not provided, the current :ref:`Context` will be used.

If a null context is provided, file references will not be taken into account (this is essentially a hash of :ref:`Config::serialize`).)doc";

static const char *__doc_Config_getCacheID_2 = R"doc()doc";

static const char *__doc_Config_getCurrentContext = R"doc()doc";

static const char *__doc_Config_addEnvironmentVar = R"doc(Add (or update) an environment variable with a default value. But it removes it if the default value is null.)doc";

static const char *__doc_Config_getNumEnvironmentVars = R"doc()doc";

static const char *__doc_Config_getEnvironmentVarNameByIndex = R"doc()doc";

static const char *__doc_Config_getEnvironmentVarDefault = R"doc()doc";

static const char *__doc_Config_clearEnvironmentVars = R"doc()doc";

static const char *__doc_Config_setEnvironmentMode =
R"doc(The EnvironmentMode controls the behavior of loadEnvironment. 

- ENV_ENVIRONMENT_LOAD_PREDEFINED - Only update vars already added to the :ref:`Context`.
- ENV_ENVIRONMENT_LOAD_ALL - Load all env. vars into the :ref:`Context`.

.. note::
   Loading ALL the env. vars may reduce performance and reduce cache efficiency.

Client programs generally will not use these methods because the EnvironmentMode is set automatically when a:ref:`Config` is loaded. If the :ref:`Config` has an "environment" section, the mode is set to LOAD_PREDEFINED, and otherwise set to LOAD_ALL.)doc";

static const char *__doc_Config_getEnvironmentMode = R"doc()doc";

static const char *__doc_Config_loadEnvironment = R"doc(Initialize the environment/context variables in the :ref:`Config`'s :ref:`Context`.)doc";

static const char *__doc_Config_getSearchPath = R"doc()doc";

static const char *__doc_Config_setSearchPath =
R"doc(Set all search paths as a concatenated string, use ':' to separate the paths. 

See :ref:`addSearchPath` for a more robust and platform-agnostic method of setting the search paths.)doc";

static const char *__doc_Config_getNumSearchPaths = R"doc()doc";

static const char *__doc_Config_getSearchPath_2 =
R"doc(Get a search path from the list.

The paths are in the order they will be searched (that is, highest to lowest priority).)doc";

static const char *__doc_Config_clearSearchPaths = R"doc()doc";

static const char *__doc_Config_addSearchPath =
R"doc(Add a single search path to the end of the list. 

Paths may be either absolute or relative. Relative paths are relative to the working directory. Forward slashes will be normalized to reverse for Windows. Environment (context) variables may be used in paths.)doc";

static const char *__doc_Config_getWorkingDir = R"doc()doc";

static const char *__doc_Config_setWorkingDir = R"doc(The working directory defaults to the location of the config file. It is used to convert any relative paths to absolute. If no search paths have been set, the working directory will be used as the fallback search path. No environment (context) variables may be used in the working directory.)doc";

static const char *__doc_Config_getColorSpaces =
R"doc(Get all active color spaces having a specific category in the order they appear in the config file. 

.. note::
   If the category is null or empty, the method returns all the active color spaces like :ref:`Config::getNumColorSpaces` and :ref:`Config::getColorSpaceNameByIndex` do.

.. note::
   It's worth noticing that the method returns a copy of the selected color spaces decoupling the result from the config. Hence, any changes on the config do not affect the existing color space sets, and vice-versa.)doc";

static const char *__doc_Config_getNumColorSpaces = R"doc(Work on the color spaces selected by the reference color space type and visibility.)doc";

static const char *__doc_Config_getColorSpaceNameByIndex =
R"doc(Work on the color spaces selected by the reference color space type and visibility (active or inactive). 

Return empty for invalid index.)doc";

static const char *__doc_Config_getNumColorSpaces_2 =
R"doc(Work on the active color spaces only. 

.. note::
   Only works from the list of active color spaces.)doc";

static const char *__doc_Config_getColorSpaceNameByIndex_2 =
R"doc(Work on the active color spaces only and return null for invalid index.

.. note::
   Only works from the list of active color spaces.)doc";

static const char *__doc_Config_getIndexForColorSpace =
R"doc(Get an index from the active color spaces only and return -1 if the name is not found. 

.. note::
   The fcn accepts either a color space name, role name, or alias. (Color space names take precedence over roles.))doc";

static const char *__doc_Config_getColorSpace =
R"doc(Get the color space from all the color spaces (i.e. active and inactive) and return null if the name is not found. 

.. note::
   The fcn accepts either a color space name, role name, or alias. (Color space names take precedence over roles.))doc";

static const char *__doc_Config_getCanonicalName = R"doc(Accepts an alias, role name, named transform name, or color space name and returns the color space name or the named transform name.)doc";

static const char *__doc_Config_addColorSpace =
R"doc(Add a color space to the configuration. 

.. note::
   If another color space is already present with the same name, this will overwrite it. This stores a copy of the specified color space. 

.. note::
   Adding a color space to a :ref:`Config` does not affect any :ref:`ColorSpaceSet` sets that have already been created.)doc";

static const char *__doc_Config_removeColorSpace =
R"doc(Remove a color space from the configuration. 

.. note::
   It does not throw an exception. Name must be the canonical name. If a role name or alias is provided or if the name is not in the config, nothing is done. 

.. note::
   Removing a color space from a :ref:`Config` does not affect any :ref:`ColorSpaceSet` sets that have already been created.)doc";

static const char *__doc_Config_isColorSpaceUsed =
R"doc(Return true if the color space is used by a transform, a role, or a look.

.. note::
   Name must be the canonical name.)doc";

static const char *__doc_Config_clearColorSpaces =
R"doc(Remove all the color spaces from the configuration. 

.. note::
   Removing color spaces from a :ref:`Config` does not affect any :ref:`ColorSpaceSet` sets that have already been created.)doc";

static const char *__doc_Config_setInactiveColorSpaces =
R"doc(Set/get a list of inactive color space or named transform names. 

Notes:
- List can contain color space and/or named transform names.
- The inactive spaces are color spaces that should not appear in application menus.
- These color spaces will still work in :ref:`Config::getProcessor` calls.
- The argument is a comma-delimited string. A null or empty string empties the list.
- The environment variable OCIO_INACTIVE_COLORSPACES may also be used to set the inactive color space list.
- The env. var. takes precedence over the inactive_colorspaces list in the config file.
- Setting the list via the API takes precedence over either the env. var. or the config file list.)doc";

static const char *__doc_Config_getInactiveColorSpaces = R"doc()doc";

static const char *__doc_Config_isColorSpaceLinear =
R"doc(Return true if the specified color space is linear. 

The determination of linearity is made with respect to one of the two reference spaces (i.e., either the scene-referred one or the display-referred one). If the reference space type of the color space is the opposite of the requested reference space type, false is returned immediately rather than trying to invoke the default view transform to convert between the reference spaces.

Note: This function relies on heuristics that may sometimes give an incorrect result. For example, if the encoding attribute is not set appropriately or the sampled values fail to detect non-linearity.

The algorithm proceeds as follows: -- If the color space isdata attribute is true, return false. -- If the reference space type of the color space differs from the requested reference space type, return false. -- If the color space's encoding attribute is present, return true if it matches the expected reference space type (i.e., "scene-linear" for REFERENCE_SPACE_SCENE or "display-linear" for REFERENCE_SPACE_DISPLAY) and false otherwise. -- If the color space has no to_reference or from_reference transform, return true. -- Evaluate several points through the color space's transform and check if the output only differs by a scale factor (which may be different per channel, e.g. allowing an arbitrary matrix transform, with no offset).

Note that the encoding test happens before the sampled value test to give config authors ultimate control over the linearity determination. For example, they could set the encoding attribute to indicate linearity if they want to ignore some areas of non-linearity (e.g., at extreme values). Or they could set it to indicate that a color space should not be considered linear, even if it is, in a mathematical sense.

:param colorSpace: Color space to evaluate. 
:param referenceSpaceType: Evaluate linearity with respect to the specified reference space (either scene-referred or display-referred).)doc";

static const char *__doc_Config_setRole =
R"doc(.. note::
   Setting the `colorSpaceName` name to a null string unsets it.)doc";

static const char *__doc_Config_getNumRoles = R"doc()doc";

static const char *__doc_Config_hasRole = R"doc(Return true if the role has been defined.)doc";

static const char *__doc_Config_getRoleName =
R"doc(Get the role name at index, this will return values like 'scene_linear', 'compositing_log'. 

Return empty string if index is out of range.)doc";

static const char *__doc_Config_getRoleColorSpace =
R"doc(Get the role color space at index. 

Return empty string if index is out of range.)doc";

static const char *__doc_Config_addSharedView =
R"doc(Will throw if view or colorSpaceName are null or empty. 

Methods related to displays and views.

The following methods only manipulate active displays and views. Active displays and views are defined from an env. variable or from the config file.

Looks is a potentially comma (or colon) delimited list of lookNames, Where +/- prefixes are optionally allowed to denote forward/inverse look specification. (And forward is assumed in the absence of either)

Add shared view (or replace existing one with same name). Shared views are defined at config level and can be referenced by several displays. Either provide a view transform and a display color space or just a color space (and a null view transform). Looks, rule and description are optional, they can be null or empty.

Shared views using a view transform may use the token <USE_DISPLAY_NAME> for the color space (see :c:var:`OCIO_VIEW_USE_DISPLAY_NAME`). In that case, when the view is referenced in a display, the display color space that is used will be the one matching the display name. In other words, the view will be customized based on the display it is used in. :ref:`Config::validate` will throw if the config does not contain the matching display color space.)doc";

static const char *__doc_Config_removeSharedView = R"doc(Remove a shared view. Will throw if the view does not exist.)doc";

static const char *__doc_Config_getDefaultDisplay = R"doc()doc";

static const char *__doc_Config_getNumDisplays = R"doc()doc";

static const char *__doc_Config_getDisplay = R"doc(Will return "" if the index is invalid.)doc";

static const char *__doc_Config_getDefaultView = R"doc()doc";

static const char *__doc_Config_getDefaultView_2 = R"doc()doc";

static const char *__doc_Config_getNumViews = R"doc(Return the number of views attached to the display including the number of shared views if any. Return 0 if display does not exist.)doc";

static const char *__doc_Config_getView = R"doc()doc";

static const char *__doc_Config_getNumViews_2 = R"doc(If the config has :ref:`ViewingRules`, get the number of active Views for this colorspace. (If there are no rules, it returns all of them.))doc";

static const char *__doc_Config_getView_2 = R"doc()doc";

static const char *__doc_Config_getDisplayViewTransformName = R"doc(Returns the view_transform attribute of the (display, view) pair. View can be a shared view of the display. If display is null or empty, config shared views are used.)doc";

static const char *__doc_Config_getDisplayViewColorSpaceName = R"doc(Returns the colorspace attribute of the (display, view) pair. (Note that this may be either a color space or a display color space.))doc";

static const char *__doc_Config_getDisplayViewLooks = R"doc(Returns the looks attribute of a (display, view) pair.)doc";

static const char *__doc_Config_getDisplayViewRule = R"doc(Returns the rule attribute of a (display, view) pair.)doc";

static const char *__doc_Config_getDisplayViewDescription = R"doc(Returns the description attribute of a (display, view) pair.)doc";

static const char *__doc_Config_addDisplayView = R"doc(For the (display, view) pair, specify which color space and look to use. If a look is not desired, then just pass a null or empty string.)doc";

static const char *__doc_Config_addDisplayView_2 =
R"doc(For the (display, view) pair, specify the color space or alternatively specify the view transform and display color space. The looks, viewing rule, and description are optional. Pass a null or empty string for any optional arguments. If the view already exists, it is replaced. 

Will throw if:
- Display, view or colorSpace are null or empty.
- Display already has a shared view with the same name.)doc";

static const char *__doc_Config_addDisplaySharedView =
R"doc(Add a (reference to a) shared view to a display. 

The shared view must be part of the config. See :ref:`Config::addSharedView`

This will throw if:
- Display or view are null or empty.
- Display already has a view (shared or not) with the same name.)doc";

static const char *__doc_Config_removeDisplayView =
R"doc(Remove the view and the display if no more views. 

It does not remove the associated color space. If the view name is a shared view, it only removes the reference to the view from the display but the shared view, remains in the config.

Will throw if the view does not exist.)doc";

static const char *__doc_Config_clearDisplays = R"doc(Clear all the displays.)doc";

static const char *__doc_Config_addVirtualDisplayView =
R"doc(Methods related to the Virtual Display.

... (See descriptions for the non-virtual methods above.)

The virtual display is the way to incorporate the ICC monitor profile for a user's display into OCIO. The views that are defined for the virtual display are the views that are used to create a new display for an ICC profile. They serve as a kind of template that lets OCIO know how to build the new display.

Typically the views will define a View :ref:`Transform` and set the colorSpaceName to "<USE_DISPLAY_NAME>" so that it will use the display color space with the same name as the display, in this case corresponding to the ICC profile.)doc";

static const char *__doc_Config_addVirtualDisplaySharedView = R"doc()doc";

static const char *__doc_Config_getVirtualDisplayNumViews = R"doc(Get the number of views associated to the virtual display.)doc";

static const char *__doc_Config_getVirtualDisplayView = R"doc(Get the view name at a specific index.)doc";

static const char *__doc_Config_getVirtualDisplayViewTransformName = R"doc()doc";

static const char *__doc_Config_getVirtualDisplayViewColorSpaceName = R"doc()doc";

static const char *__doc_Config_getVirtualDisplayViewLooks = R"doc()doc";

static const char *__doc_Config_getVirtualDisplayViewRule = R"doc()doc";

static const char *__doc_Config_getVirtualDisplayViewDescription = R"doc()doc";

static const char *__doc_Config_removeVirtualDisplayView = R"doc(Remove the view from the virtual display.)doc";

static const char *__doc_Config_clearVirtualDisplay = R"doc(Clear the virtual display.)doc";

static const char *__doc_Config_instantiateDisplayFromMonitorName =
R"doc(Instantiate a new display from a virtual display, using the monitor name. 

This method uses the virtual display to create an actual display for the given monitorName. The new display will receive the views from the virtual display.

After the ICC profile is read, a display name will be created by combining the description text from the profile with the monitorName obtained from the OS. Use the :ref:`SystemMonitors` class to obtain the list of monitorName strings for the displays connected to the computer.

A new display color space will also be created using the display name. It will have a from_display_reference transform that is a :ref:`FileTransform` pointing to the ICC profile.

Any instantiated display color spaces for a virtual display are intended to be temporary (i.e. last as long as the current session). By default, they are not saved when writing a config file. If there is a need to make it a permanent color space, it may be desirable to copy the ICC profile somewhere under the config search_path.

Will throw if the config does not have a virtual display or if the monitorName does not exist.

If there is already a display or a display color space with the name monitorName, it will be replaced/updated.

Returns the index of the display.)doc";

static const char *__doc_Config_instantiateDisplayFromICCProfile =
R"doc(Instantiate a new display from a virtual display, using an ICC profile. 

On platforms such as Linux, where the :ref:`SystemMonitors` class is not able to obtain a list of ICC profiles from the OS, this method may be used to manually specify a path to an ICC profile.

Will throw if the virtual display definition is missing from the config.

Returns the index of the display.)doc";

static const char *__doc_Config_setActiveDisplays =
R"doc($OCIO_ACTIVE_DISPLAYS envvar can, at runtime, optionally override the allowed displays. It is a comma or colon delimited list. Active displays that are not in the specified profile will be ignored, and the left-most defined display will be the default. 

Comma-delimited list of names to filter and order the active displays.

.. note::
   The setter does not override the envvar. The getter does not take into account the envvar value and thus may not represent what the user is seeing.)doc";

static const char *__doc_Config_getActiveDisplays = R"doc()doc";

static const char *__doc_Config_setActiveViews =
R"doc($OCIO_ACTIVE_VIEWS envvar can, at runtime, optionally override the allowed views. It is a comma or colon delimited list. Active views that are not in the specified profile will be ignored, and the left-most defined view will be the default. 

Comma-delimited list of names to filter and order the active views.

.. note::
   The setter does not override the envvar. The getter does not take into account the envvar value and thus may not represent what the user is seeing.)doc";

static const char *__doc_Config_getActiveViews = R"doc()doc";

static const char *__doc_Config_getNumDisplaysAll = R"doc(Get all displays in the config, ignoring the active_displays list.)doc";

static const char *__doc_Config_getDisplayAll = R"doc()doc";

static const char *__doc_Config_getDisplayAllByName = R"doc()doc";

static const char *__doc_Config_isDisplayTemporary = R"doc(Will be true for a display that was instantiated from a virtual display. These displays are intended to be temporary (i.e. for the current session) and are not saved to a config file.)doc";

static const char *__doc_Config_getNumViews_3 = R"doc(Get either the shared or display-defined views for a display. The active_views list is ignored. Passing a null or empty display (with type=VIEW_SHARED) returns the contents of the shared_views section of the config. Return 0 if display does not exist.)doc";

static const char *__doc_Config_getView_3 = R"doc()doc";

static const char *__doc_Config_getViewingRules = R"doc(Get read-only version of the viewing rules.)doc";

static const char *__doc_Config_setViewingRules =
R"doc(Set viewing rules. 

.. note::
   The argument is cloned.)doc";

static const char *__doc_Config_getDefaultLumaCoefs =
R"doc(Get the default coefficients for computing luma. 

.. note::
   There is no "1 size fits all" set of luma coefficients. (The values are typically different for each colorspace, and the application of them may be nonsensical depending on the intensity coding anyways). Thus, the 'right' answer is to make these functions on the :ref:`ColorSpace` class. However, it's often useful to have a config-wide default so here it is. We will add the colorspace specific luma call if/when another client is interesting in using it.)doc";

static const char *__doc_Config_setDefaultLumaCoefs = R"doc(These should be normalized (sum to 1.0 exactly).)doc";

static const char *__doc_Config_getLook = R"doc()doc";

static const char *__doc_Config_getNumLooks = R"doc()doc";

static const char *__doc_Config_getLookNameByIndex = R"doc()doc";

static const char *__doc_Config_addLook = R"doc()doc";

static const char *__doc_Config_clearLooks = R"doc()doc";

static const char *__doc_Config_getNumViewTransforms = R"doc()doc";

static const char *__doc_Config_getViewTransform = R"doc()doc";

static const char *__doc_Config_getViewTransformNameByIndex = R"doc()doc";

static const char *__doc_Config_addViewTransform = R"doc()doc";

static const char *__doc_Config_getDefaultSceneToDisplayViewTransform = R"doc(This view transform is the one that will be used by default if a :ref:`ColorSpaceTransform` is needed between a scene-referred and display-referred color space. The config author may specify a transform to use via the default_view_transform entry in the config. If that is not present, or does not return a valid view transform from the scene-referred connection space, the fall-back is to use the first valid view transform in the config. Returns a null ConstTransformRcPtr if there isn't one.)doc";

static const char *__doc_Config_getDefaultViewTransformName =
R"doc(Get or set the default_view_transform string from the config.

Note that if this is not the name of a valid view transform from the scene-referred connection space, it will be ignored.)doc";

static const char *__doc_Config_setDefaultViewTransformName = R"doc()doc";

static const char *__doc_Config_clearViewTransforms = R"doc()doc";

static const char *__doc_Config_getNumNamedTransforms =
R"doc(Work on the named transforms selected by visibility. 

Methods related to named transforms.)doc";

static const char *__doc_Config_getNamedTransformNameByIndex =
R"doc(Work on the named transforms selected by visibility (active or inactive). 

Return an empty string for invalid index.)doc";

static const char *__doc_Config_getNumNamedTransforms_2 = R"doc(Work on the active named transforms only.)doc";

static const char *__doc_Config_getNamedTransformNameByIndex_2 = R"doc(Work on the active named transforms only and return an empty string for invalid index.)doc";

static const char *__doc_Config_getIndexForNamedTransform = R"doc(Get an index from the active named transforms only and return -1 if the name is not found.)doc";

static const char *__doc_Config_getNamedTransform = R"doc(Get the named transform from all the named transforms (i.e. active and inactive) and return null if the name is not found.)doc";

static const char *__doc_Config_addNamedTransform =
R"doc(Add or replace named transform. 

.. note::
   Throws if namedTransform is null, name is missing, or no transform is set. Also throws if the name or the aliases conflict with names or aliases already in the config.)doc";

static const char *__doc_Config_clearNamedTransforms = R"doc(Clear all named transforms.)doc";

static const char *__doc_Config_getFileRules = R"doc(Get read-only version of the file rules.)doc";

static const char *__doc_Config_setFileRules =
R"doc(Set file rules. 

.. note::
   The argument is cloned.)doc";

static const char *__doc_Config_getColorSpaceFromFilepath = R"doc(Get the color space of the first rule that matched filePath. (For v1 configs, this is equivalent to calling parseColorSpaceFromString with strictparsing set to false.))doc";

static const char *__doc_Config_getColorSpaceFromFilepath_2 = R"doc(Most applications will use the preceding method, but this method may be used for applications that want to know which was the highest priority rule to match filePath. :ref:`FileRules::getNumCustomKeys` and custom keys methods may then be used to get additional information about the matching rule.)doc";

static const char *__doc_Config_filepathOnlyMatchesDefaultRule = R"doc(Returns true if the only rule matched by filePath is the default rule. This is a convenience method for applications that want to require the user to manually choose a color space when strictParsing is true and no other rules match.)doc";

static const char *__doc_Config_parseColorSpaceFromString =
R"doc(Given the specified string, get the longest, right-most, colorspace substring that appears.

- If strict parsing is enabled, and no color space is found, return an empty string.
- If strict parsing is disabled, return ROLE_DEFAULT (if defined).
- If the default role is not defined, return an empty string.)doc";

static const char *__doc_Config_isStrictParsingEnabled = R"doc()doc";

static const char *__doc_Config_setStrictParsingEnabled = R"doc()doc";

static const char *__doc_Config_getProcessor = R"doc(Get the processor to apply a :ref:`ColorSpaceTransform` from a source to a destination color space.)doc";

static const char *__doc_Config_getProcessor_2 = R"doc()doc";

static const char *__doc_Config_getProcessor_3 =
R"doc(.. note::
   Names can be colorspace name, role name, or a combination of both.)doc";

static const char *__doc_Config_getProcessor_4 = R"doc()doc";

static const char *__doc_Config_getProcessor_5 = R"doc(Get the processor to apply a :ref:`DisplayViewTransform` for a display and view. Refer to the Display/View Registration section above for more info on the display and view arguments.)doc";

static const char *__doc_Config_getProcessor_6 = R"doc()doc";

static const char *__doc_Config_getProcessor_7 = R"doc(Get the processor to apply a :ref:`NamedTransform` in the specified direction.)doc";

static const char *__doc_Config_getProcessor_8 = R"doc()doc";

static const char *__doc_Config_getProcessor_9 = R"doc()doc";

static const char *__doc_Config_getProcessor_10 = R"doc()doc";

static const char *__doc_Config_getProcessor_11 =
R"doc(Get the processor for the specified transform. 

Not often needed, but will allow for the re-use of atomic OCIO functionality (such as to apply an individual LUT file).)doc";

static const char *__doc_Config_getProcessor_12 = R"doc()doc";

static const char *__doc_Config_getProcessor_13 = R"doc()doc";

static const char *__doc_Config_setConfigIOProxy = R"doc(Set the :ref:`ConfigIOProxy` object used to provision the config and LUTs from somewhere other than the file system. (This is set on the config's embedded :ref:`Context` object.))doc";

static const char *__doc_Config_getConfigIOProxy = R"doc()doc";

static const char *__doc_Config_isArchivable =
R"doc(Verify if the config is archivable. 

A config is not archivable if any of the following are true: -- The working directory is not set -- It contains FileTransforms with a src outside the working directory -- The search path contains paths outside the working directory -- The search path contains paths that start with a context variable

:ref:`Context` variables are allowed but the intent is that they may only resolve to paths that are within or below the working directory. This is because the archiving function will only archive files that are within the working directory in order to ensure that if it is later expanded, that it will not create any files outside this directory.

For example, a context variable on the search path intended to contain the name of a sub-directory under the working directory must have the form "./$DIR_NAME" rather than just "$DIR_NAME" to be considered archivable. This is imperfect since there is no way to prevent the context variable from creating a path outside the working dir, but it should at least draw attention to the fact that the archive would fail if used with context vars that try to abuse the intended functionality.

:return: bool Archivable if true.)doc";

static const char *__doc_Config_archive =
R"doc(Archive the config and its LUTs into the specified output stream. 

The config is archived by serializing the :ref:`Config` object into a file named "config.ocio" and then walking through the current working directory and any sub-directories. Any files that have an extension matching a supported LUT file format are added to the archive. Any files that do not have an extension (or have some unsupported LUT extension, including .ocio), will not be added to the archive. To reiterate, it is the in-memory :ref:`Config` object that is archived, and not any .ocio file in the current working directory. The directory structure relative to the working directory is preserved. No files outside the working directory are archived so that if it is later expanded, no files will be created outside the working dir.

The reason the archive is created using all supported LUT file extensions rather than by trying to resolve all the FileTransforms in the :ref:`Config` to specific files is because of the goal to allow context variables to continue to work.

If a :ref:`Config` is created with CreateFromStream, CreateFromFile with an OCIOZ archive, or CreateFromConfigIOProxy, it cannot be archived unless the working directory is manually set to a directory that contains any necessary LUT files.

The provided output stream must be closed by the caller, if necessary (e.g., an ofstream).

:param ostream: The output stream to write to.)doc";

static const char *__doc_Config_Config = R"doc()doc";

static const char *__doc_Config_operator_assign = R"doc()doc";

static const char *__doc_Config_Config_2 = R"doc(Do not use (needed only for pybind11).)doc";

static const char *__doc_Config_setProcessorCacheFlags =
R"doc(Control the caching of processors in the config instance. By default, caching is on. 
 The flags allow turning caching off entirely or only turning it off if dynamic properties are being used by the processor.)doc";

static const char *__doc_Config_Config_3 = R"doc()doc";

static const char *__doc_Config_getImpl = R"doc()doc";

static const char *__doc_Config_getImpl_2 = R"doc()doc";

static const char *__doc_Config_deleter = R"doc()doc";

static const char *__doc_ConfigIOProxy =
R"doc(:ref:`ConfigIOProxy` is a proxy class to allow the calling program to supply the config and any associated LUT files directly, without relying on the standard file system.

The OCIOZ archive feature is implemented using this mechanism.)doc";

static const char *__doc_ConfigIOProxy_ConfigIOProxy = R"doc()doc";

static const char *__doc_ConfigIOProxy_ConfigIOProxy_2 = R"doc()doc";

static const char *__doc_ConfigIOProxy_getLutData =
R"doc(Provide the contents of a LUT file as a buffer of uint8_t data. 

:param filepath: Fully resolved path to the "file."

The file path is based on the:ref:`Config`'s current working directory and is the same absolute path that would have been provided to the file system.

:return: Vector of uint8 with the content of the LUT.)doc";

static const char *__doc_ConfigIOProxy_getConfigData =
R"doc(Provide the config file Yaml to be parsed. 

:return: String with the config Yaml.)doc";

static const char *__doc_ConfigIOProxy_getFastLutFileHash =
R"doc(Provide a fast unique ID for a LUT file. 

This is intended to supply the string that will be used in OCIO's FileCacheMap. This should be highly performant and typically should not require extensive computation such as calculating the md5 hash of the file, unless it is pre-computed.

If the "file" does not exist, in other words, if the proxy is unable to supply the requested file contents, the function must return an empty string.

:param filepath: Fully resolve the path to the "file."

The file path is based on the:ref:`Config`'s current working directory and is the same absolute path that would have been provided to the file system.

:return: The file hash string.)doc";

static const char *__doc_Context =
R"doc(:ref:`Context`

A context defines some overrides to a :ref:`Config`. For example, it can override the search path or change the value of a context variable.

.. note::
   Only some :ref:`Config::getProcessor` methods accept a custom context; otherwise, the default context instance is used (see Config::getCurrentContext).

:ref:`Context` Variables

The context variables allow changes at runtime using environment variables. For example, a color space name (such as src & dst for the :ref:`ColorSpaceTransform`) or a file name (such as LUT file name for the :ref:`FileTransform`) could be defined by context variables. The color transformation is then customized based on some environment variables.

In a config the context variables support three syntaxes (i.e. ${VAR}, $VAR and VAR%) and the parsing starts from longest to shortest. So, the resolve works like '$TEST_$TESTING_$TE' expands in this order '2 1 3'.

:ref:`Config` authors are recommended to include the "environment" section in their configs. This improves performance as well as making the config more readable. When present, this section must declare all context variables used in the config. It may also provide a default value, in case the variable is not present in the user's environment.

A context variable may only be used in the following places:
- the `ColorSpaceTransform` to define the source and the destination color space names,
- the `FileTransform` to define the source file name (e.g. a LUT file name),
- the search_path,
- the cccid of the `FileTransform` to only extract one specific transform from the CDL & CCC files.

Some specific restrictions are worth calling out:
- they cannot be used as either the name or value of a role,
- the context variable characters $ and % are prohibited in a color space name.)doc";

static const char *__doc_Context_m_impl = R"doc()doc";

static const char *__doc_Context_Create = R"doc()doc";

static const char *__doc_Context_createEditableCopy = R"doc()doc";

static const char *__doc_Context_getCacheID = R"doc()doc";

static const char *__doc_Context_setSearchPath = R"doc()doc";

static const char *__doc_Context_getSearchPath = R"doc()doc";

static const char *__doc_Context_getNumSearchPaths = R"doc()doc";

static const char *__doc_Context_getSearchPath_2 = R"doc()doc";

static const char *__doc_Context_clearSearchPaths = R"doc()doc";

static const char *__doc_Context_addSearchPath = R"doc()doc";

static const char *__doc_Context_setWorkingDir = R"doc()doc";

static const char *__doc_Context_getWorkingDir = R"doc()doc";

static const char *__doc_Context_setStringVar = R"doc(Add (or update) a context variable. But it removes it if the value argument is null. Note that a :ref:`Context` StringVar is the same thing as a :ref:`Config` EnvironmentVar and these are both often referred to as a "context var".)doc";

static const char *__doc_Context_getStringVar = R"doc(Get the context variable value. It returns an empty string if the context variable is null or does not exist.)doc";

static const char *__doc_Context_getNumStringVars = R"doc()doc";

static const char *__doc_Context_getStringVarNameByIndex = R"doc()doc";

static const char *__doc_Context_getStringVarByIndex = R"doc()doc";

static const char *__doc_Context_clearStringVars = R"doc()doc";

static const char *__doc_Context_addStringVars = R"doc(Add to the instance all the context variables from ctx.)doc";

static const char *__doc_Context_setEnvironmentMode = R"doc(See :ref:`Config::setEnvironmentMode`.)doc";

static const char *__doc_Context_getEnvironmentMode = R"doc()doc";

static const char *__doc_Context_loadEnvironment = R"doc(Seed string vars with the current environment, based on the EnvironmentMode setting.)doc";

static const char *__doc_Context_resolveStringVar = R"doc(Resolve all the context variables from the string. It could be color space names or file names. Note that it recursively applies the context variable resolution. Returns the string unchanged if it does not contain any context variable.)doc";

static const char *__doc_Context_resolveStringVar_2 = R"doc(Resolve all the context variables from the string and return all the context variables used to resolve the string (empty if no context variables were used).)doc";

static const char *__doc_Context_resolveFileLocation =
R"doc(Build the resolved and expanded filepath using the search_path when needed, and check if the filepath exists. If it cannot be resolved or found, an exception will be thrown. The method argument is directly from the config file so it can be an absolute or relative file path or a file name.

.. note::
   The filepath existence check could add a performance hit.

.. note::
   The context variable resolution is performed using :cpp:func:`resolveStringVar`.)doc";

static const char *__doc_Context_resolveFileLocation_2 = R"doc(Build the resolved and expanded filepath and return all the context variables used to resolve the filename (empty if no context variables were used).)doc";

static const char *__doc_Context_setConfigIOProxy = R"doc(Set the :ref:`ConfigIOProxy` object used to provision the config and LUTs from somewhere other than the file system.)doc";

static const char *__doc_Context_getConfigIOProxy = R"doc()doc";

static const char *__doc_Context_Context = R"doc()doc";

static const char *__doc_Context_operator_assign = R"doc()doc";

static const char *__doc_Context_Context_2 = R"doc(Do not use (needed only for pybind11).)doc";

static const char *__doc_Context_Context_3 = R"doc()doc";

static const char *__doc_Context_getImpl = R"doc()doc";

static const char *__doc_Context_getImpl_2 = R"doc()doc";

static const char *__doc_Context_deleter = R"doc()doc";

static const char *__doc_CPUProcessor = R"doc()doc";

static const char *__doc_CPUProcessor_m_impl = R"doc()doc";

static const char *__doc_CPUProcessor_isNoOp = R"doc(The in and out bit-depths must be equal for isNoOp to be true.)doc";

static const char *__doc_CPUProcessor_isIdentity = R"doc(Equivalent to isNoOp from the underlying :ref:`Processor`, i.e., it ignores in/out bit-depth differences.)doc";

static const char *__doc_CPUProcessor_hasChannelCrosstalk = R"doc()doc";

static const char *__doc_CPUProcessor_getCacheID = R"doc()doc";

static const char *__doc_CPUProcessor_getInputBitDepth = R"doc(Bit-depth of the input pixel buffer.)doc";

static const char *__doc_CPUProcessor_getOutputBitDepth = R"doc(Bit-depth of the output pixel buffer.)doc";

static const char *__doc_CPUProcessor_getDynamicProperty =
R"doc(The returned pointer may be used to set the value of any dynamic properties of the requested type. Throws if the requested property is not found. Note that if the processor contains several ops that support the requested property, only one can be dynamic.

.. note::
   The dynamic properties in this object are decoupled from the ones in the :ref:`Processor` it was generated from. For each dynamic property in the :ref:`Processor`, there is one in the CPU processor.)doc";

static const char *__doc_CPUProcessor_apply = R"doc(Apply to an image with any kind of channel ordering while respecting the input and output bit-depths.)doc";

static const char *__doc_CPUProcessor_apply_2 = R"doc()doc";

static const char *__doc_CPUProcessor_applyRGB =
R"doc(Apply to a single pixel respecting that the input and output bit-depths be 32-bit float and the image buffer be packed RGB/RGBA.

.. note::
   This is not as efficient as applying to an entire image at once. If you are processing multiple pixels, and have the flexibility, use the above function instead.)doc";

static const char *__doc_CPUProcessor_applyRGBA = R"doc()doc";

static const char *__doc_CPUProcessor_CPUProcessor = R"doc()doc";

static const char *__doc_CPUProcessor_operator_assign = R"doc()doc";

static const char *__doc_CPUProcessor_CPUProcessor_2 = R"doc(Do not use (needed only for pybind11).)doc";

static const char *__doc_CPUProcessor_CPUProcessor_3 = R"doc()doc";

static const char *__doc_CPUProcessor_getImpl = R"doc()doc";

static const char *__doc_CPUProcessor_getImpl_2 = R"doc()doc";

static const char *__doc_CPUProcessor_deleter = R"doc()doc";

static const char *__doc_DisplayViewTransform = R"doc()doc";

static const char *__doc_DisplayViewTransform_m_impl = R"doc()doc";

static const char *__doc_DisplayViewTransform_Create = R"doc()doc";

static const char *__doc_DisplayViewTransform_createEditableCopy = R"doc()doc";

static const char *__doc_DisplayViewTransform_getDirection = R"doc()doc";

static const char *__doc_DisplayViewTransform_setDirection = R"doc(Note that this only affects the evaluation and not the values stored in the object.)doc";

static const char *__doc_DisplayViewTransform_getTransformType = R"doc()doc";

static const char *__doc_DisplayViewTransform_validate = R"doc(Will throw if data is not valid.)doc";

static const char *__doc_DisplayViewTransform_getSrc = R"doc()doc";

static const char *__doc_DisplayViewTransform_setSrc = R"doc(Specify the incoming color space.)doc";

static const char *__doc_DisplayViewTransform_getDisplay = R"doc()doc";

static const char *__doc_DisplayViewTransform_setDisplay = R"doc(Specify which display to use.)doc";

static const char *__doc_DisplayViewTransform_getView = R"doc()doc";

static const char *__doc_DisplayViewTransform_setView = R"doc(Specify which view transform to use.)doc";

static const char *__doc_DisplayViewTransform_getLooksBypass = R"doc()doc";

static const char *__doc_DisplayViewTransform_setLooksBypass = R"doc(Looks will be bypassed when true (the default is false).)doc";

static const char *__doc_DisplayViewTransform_getDataBypass = R"doc()doc";

static const char *__doc_DisplayViewTransform_setDataBypass = R"doc(Data color spaces do not get processed when true (which is the default).)doc";

static const char *__doc_DisplayViewTransform_DisplayViewTransform = R"doc(Do not use (needed only for pybind11).)doc";

static const char *__doc_DisplayViewTransform_DisplayViewTransform_2 = R"doc()doc";

static const char *__doc_DisplayViewTransform_DisplayViewTransform_3 = R"doc()doc";

static const char *__doc_DisplayViewTransform_operator_assign = R"doc()doc";

static const char *__doc_DisplayViewTransform_getImpl = R"doc()doc";

static const char *__doc_DisplayViewTransform_getImpl_2 = R"doc()doc";

static const char *__doc_DisplayViewTransform_deleter = R"doc()doc";

static const char *__doc_DynamicProperty =
R"doc(Allows transform parameter values to be set on-the-fly (after finalization). For example, to modify the exposure in a viewport. Dynamic properties can be accessed from the `:ref:`CPUProcessor`` or `:ref:`GpuShaderCreator`` to change values between processing.

.. code-block:: cpp

    OCIO::ConstConfigRcPtr config = OCIO::GetCurrentConfig();
    OCIO::ConstProcessorRcPtr processor = config->getProcessor(colorSpace1, colorSpace2);
    OCIO::ConstCPUProcessorRcPtr cpuProcessor = processor->getDefaultCPUProcessor();
    
    if (cpuProcessor->hasDynamicProperty(OCIO::DYNAMIC_PROPERTY_EXPOSURE))
    {
        // Get the in-memory implementation of the dynamic property.
        OCIO::DynamicPropertyRcPtr dynProp =
            cpuProcessor->getDynamicProperty(OCIO::DYNAMIC_PROPERTY_EXPOSURE);
        // Get the interface used to change the double value.
        OCIO::DynamicPropertyDoubleRcPtr exposure =
            OCIO::DynamicPropertyValue::AsDouble(dynProp);
        // Update of the dynamic property instance with the new value.
        exposure->setValue(1.1f);
    }
    if (cpuProcessor->hasDynamicProperty(OCIO::DYNAMIC_PROPERTY_GRADING_PRIMARY))
    {
        OCIO::DynamicPropertyRcPtr dynProp =
            cpuProcessor->getDynamicProperty(OCIO::DYNAMIC_PROPERTY_GRADING_PRIMARY);
        OCIO::DynamicPropertyGradingPrimaryRcPtr primaryProp =
            OCIO::DynamicPropertyValue::AsGradingPrimary(dynProp);
        OCIO::GradingPrimary primary = primaryProp->getValue();
        primary.m_saturation += 0.1f;
        rgbCurveProp->setValue(primary);
    }
    if (cpuProcessor->hasDynamicProperty(OCIO::DYNAMIC_PROPERTY_GRADING_RGBCURVE))
    {
        OCIO::DynamicPropertyRcPtr dynProp =
            cpuProcessor->getDynamicProperty(OCIO::DYNAMIC_PROPERTY_GRADING_RGBCURVE);
        OCIO::DynamicPropertyGradingRGBCurveRcPtr rgbCurveProp =
            OCIO::DynamicPropertyValue::AsGradingRGBCurve(dynProp);
        OCIO::ConstGradingRGBCurveRcPtr rgbCurve = rgbCurveProp->getValue()->createEditableCopy();
        OCIO::GradingBSplineCurveRcPtr rCurve = rgbCurve->getCurve(OCIO::RGB_RED);
        rCurve->getControlPoint(1).m_y += 0.1f;
        rgbCurveProp->setValue(rgbCurve);
    })doc";

static const char *__doc_DynamicProperty_getType = R"doc()doc";

static const char *__doc_DynamicProperty_operator_assign = R"doc()doc";

static const char *__doc_DynamicProperty_DynamicProperty = R"doc()doc";

static const char *__doc_DynamicProperty_DynamicProperty_2 = R"doc(Do not use (needed only for pybind11).)doc";

static const char *__doc_DynamicProperty_DynamicProperty_3 = R"doc()doc";

static const char *__doc_DynamicPropertyDouble = R"doc(Interface used to access dynamic property double value.)doc";

static const char *__doc_DynamicPropertyDouble_getValue = R"doc()doc";

static const char *__doc_DynamicPropertyDouble_setValue = R"doc()doc";

static const char *__doc_DynamicPropertyDouble_DynamicPropertyDouble = R"doc()doc";

static const char *__doc_DynamicPropertyDouble_operator_assign = R"doc()doc";

static const char *__doc_DynamicPropertyDouble_DynamicPropertyDouble_2 = R"doc(Do not use (needed only for pybind11).)doc";

static const char *__doc_DynamicPropertyDouble_DynamicPropertyDouble_3 = R"doc()doc";

static const char *__doc_DynamicPropertyGradingPrimary = R"doc(Interface used to access dynamic property :ref:`GradingPrimary` value.)doc";

static const char *__doc_DynamicPropertyGradingPrimary_getValue = R"doc()doc";

static const char *__doc_DynamicPropertyGradingPrimary_setValue = R"doc(Will throw if value is not valid.)doc";

static const char *__doc_DynamicPropertyGradingPrimary_DynamicPropertyGradingPrimary = R"doc()doc";

static const char *__doc_DynamicPropertyGradingPrimary_operator_assign = R"doc()doc";

static const char *__doc_DynamicPropertyGradingPrimary_DynamicPropertyGradingPrimary_2 = R"doc(Do not use (needed only for pybind11).)doc";

static const char *__doc_DynamicPropertyGradingPrimary_DynamicPropertyGradingPrimary_3 = R"doc()doc";

static const char *__doc_DynamicPropertyGradingRGBCurve = R"doc(Interface used to access dynamic property ConstGradingRGBCurveRcPtr value.)doc";

static const char *__doc_DynamicPropertyGradingRGBCurve_getValue = R"doc()doc";

static const char *__doc_DynamicPropertyGradingRGBCurve_setValue = R"doc(Will throw if value is not valid.)doc";

static const char *__doc_DynamicPropertyGradingRGBCurve_DynamicPropertyGradingRGBCurve = R"doc()doc";

static const char *__doc_DynamicPropertyGradingRGBCurve_operator_assign = R"doc()doc";

static const char *__doc_DynamicPropertyGradingRGBCurve_DynamicPropertyGradingRGBCurve_2 = R"doc(Do not use (needed only for pybind11).)doc";

static const char *__doc_DynamicPropertyGradingRGBCurve_DynamicPropertyGradingRGBCurve_3 = R"doc()doc";

static const char *__doc_DynamicPropertyGradingTone = R"doc(Interface used to access dynamic property :ref:`GradingTone` value.)doc";

static const char *__doc_DynamicPropertyGradingTone_getValue = R"doc()doc";

static const char *__doc_DynamicPropertyGradingTone_setValue = R"doc(Will throw if value is not valid.)doc";

static const char *__doc_DynamicPropertyGradingTone_DynamicPropertyGradingTone = R"doc()doc";

static const char *__doc_DynamicPropertyGradingTone_operator_assign = R"doc()doc";

static const char *__doc_DynamicPropertyGradingTone_DynamicPropertyGradingTone_2 = R"doc(Do not use (needed only for pybind11).)doc";

static const char *__doc_DynamicPropertyGradingTone_DynamicPropertyGradingTone_3 = R"doc()doc";

static const char *__doc_Exception =
R"doc(An exception class to throw for errors detected at runtime. 

.. warning::
   All functions in the :ref:`Config` class can potentially throw this exception.)doc";

static const char *__doc_Exception_Exception = R"doc()doc";

static const char *__doc_Exception_Exception_2 = R"doc(Constructor that takes a string as the exception message.)doc";

static const char *__doc_Exception_Exception_3 = R"doc(Constructor that takes an existing exception.)doc";

static const char *__doc_Exception_operator_assign = R"doc()doc";

static const char *__doc_Exception_Exception_4 = R"doc()doc";

static const char *__doc_ExceptionMissingFile =
R"doc(An exception class for errors detected at runtime. 

Thrown when OCIO cannot find a file that is expected to exist. This is provided as a custom type to distinguish cases where one wants to continue looking for missing files, but wants to properly fail for other error conditions.)doc";

static const char *__doc_ExceptionMissingFile_ExceptionMissingFile = R"doc()doc";

static const char *__doc_ExceptionMissingFile_ExceptionMissingFile_2 = R"doc(Constructor that takes a string as the exception message.)doc";

static const char *__doc_ExceptionMissingFile_ExceptionMissingFile_3 = R"doc(Constructor that takes an existing exception.)doc";

static const char *__doc_ExceptionMissingFile_operator_assign = R"doc()doc";

static const char *__doc_ExceptionMissingFile_ExceptionMissingFile_4 = R"doc()doc";

static const char *__doc_ExponentTransform =
R"doc(Represents exponent transform: pow( clamp(color), value ). 

.. note::
   For configs with version == 1: Negative style is ignored and if the exponent is 1.0, this will not clamp. Otherwise, the input color will be clamped between [0.0, inf]. For configs with version > 1: Negative value handling may be specified via setNegativeStyle.)doc";

static const char *__doc_ExponentTransform_Create = R"doc()doc";

static const char *__doc_ExponentTransform_getTransformType = R"doc()doc";

static const char *__doc_ExponentTransform_getFormatMetadata = R"doc()doc";

static const char *__doc_ExponentTransform_getFormatMetadata_2 = R"doc()doc";

static const char *__doc_ExponentTransform_equals = R"doc(Checks if this exactly equals other.)doc";

static const char *__doc_ExponentTransform_getValue = R"doc()doc";

static const char *__doc_ExponentTransform_setValue = R"doc()doc";

static const char *__doc_ExponentTransform_getNegativeStyle =
R"doc(Specifies how negative values are handled. Legal values:

- NEGATIVE_CLAMP -- Clamp negative values (default).
- NEGATIVE_MIRROR -- Positive curve is rotated 180 degrees around the origin to handle negatives.
- NEGATIVE_PASS_THRU -- Negative values are passed through unchanged.)doc";

static const char *__doc_ExponentTransform_setNegativeStyle = R"doc()doc";

static const char *__doc_ExponentTransform_ExponentTransform = R"doc()doc";

static const char *__doc_ExponentTransform_operator_assign = R"doc()doc";

static const char *__doc_ExponentTransform_ExponentTransform_2 = R"doc(Do not use (needed only for pybind11).)doc";

static const char *__doc_ExponentTransform_ExponentTransform_3 = R"doc()doc";

static const char *__doc_ExponentWithLinearTransform =
R"doc(Represents power functions with a linear section in the shadows such as sRGB and L*.

The basic formula is::

pow( (x + offset)/(1 + offset), gamma ) with the breakpoint at offset/(gamma - 1).

Negative values are never clamped.)doc";

static const char *__doc_ExponentWithLinearTransform_Create = R"doc()doc";

static const char *__doc_ExponentWithLinearTransform_getTransformType = R"doc()doc";

static const char *__doc_ExponentWithLinearTransform_getFormatMetadata = R"doc()doc";

static const char *__doc_ExponentWithLinearTransform_getFormatMetadata_2 = R"doc()doc";

static const char *__doc_ExponentWithLinearTransform_equals = R"doc(Checks if this exactly equals other.)doc";

static const char *__doc_ExponentWithLinearTransform_getGamma = R"doc()doc";

static const char *__doc_ExponentWithLinearTransform_setGamma =
R"doc(Set the exponent value for the power function for R, G, B, A.

.. note::
   The gamma values must be in the range of [1, 10]. Set the transform direction to inverse to obtain the effect of values less than 1.)doc";

static const char *__doc_ExponentWithLinearTransform_getOffset = R"doc()doc";

static const char *__doc_ExponentWithLinearTransform_setOffset =
R"doc(Set the offset value for the power function for R, G, B, A.

.. note::
   The offset values must be in the range [0, 0.9].)doc";

static const char *__doc_ExponentWithLinearTransform_getNegativeStyle =
R"doc(Specifies how negative values are handled. Legal values:

- NEGATIVE_LINEAR -- Linear segment continues into negatives (default).
- NEGATIVE_MIRROR -- Positive curve is rotated 180 degrees around the origin to handle negatives.)doc";

static const char *__doc_ExponentWithLinearTransform_setNegativeStyle = R"doc()doc";

static const char *__doc_ExponentWithLinearTransform_ExponentWithLinearTransform = R"doc()doc";

static const char *__doc_ExponentWithLinearTransform_operator_assign = R"doc()doc";

static const char *__doc_ExponentWithLinearTransform_ExponentWithLinearTransform_2 = R"doc(Do not use (needed only for pybind11).)doc";

static const char *__doc_ExponentWithLinearTransform_ExponentWithLinearTransform_3 = R"doc()doc";

static const char *__doc_ExposureContrastTransform = R"doc(Applies exposure, gamma, and pivoted contrast adjustments. Adjusts the math to be appropriate for linear, logarithmic, or video color spaces.)doc";

static const char *__doc_ExposureContrastTransform_Create = R"doc()doc";

static const char *__doc_ExposureContrastTransform_getTransformType = R"doc()doc";

static const char *__doc_ExposureContrastTransform_getFormatMetadata = R"doc()doc";

static const char *__doc_ExposureContrastTransform_getFormatMetadata_2 = R"doc()doc";

static const char *__doc_ExposureContrastTransform_equals = R"doc(Checks if this exactly equals other.)doc";

static const char *__doc_ExposureContrastTransform_getStyle = R"doc()doc";

static const char *__doc_ExposureContrastTransform_setStyle = R"doc(Select the algorithm for linear, video or log color spaces.)doc";

static const char *__doc_ExposureContrastTransform_getExposure = R"doc()doc";

static const char *__doc_ExposureContrastTransform_setExposure = R"doc(Applies an exposure adjustment. The value is in units of stops (regardless of style), for example, a value of -1 would be equivalent to reducing the lighting by one half.)doc";

static const char *__doc_ExposureContrastTransform_isExposureDynamic = R"doc(Exposure can be made dynamic so the value can be changed through the CPU or GPU processor, but if there are several :ref:`ExposureContrastTransform` only one can have a dynamic exposure.)doc";

static const char *__doc_ExposureContrastTransform_makeExposureDynamic = R"doc()doc";

static const char *__doc_ExposureContrastTransform_makeExposureNonDynamic = R"doc()doc";

static const char *__doc_ExposureContrastTransform_getContrast = R"doc()doc";

static const char *__doc_ExposureContrastTransform_setContrast = R"doc(Applies a contrast/gamma adjustment around a pivot point. The contrast and gamma are mathematically the same, but two controls are provided to enable the use of separate dynamic parameters. Contrast is usually a scene-referred adjustment that pivots around gray whereas gamma is usually a display-referred adjustment that pivots around white.)doc";

static const char *__doc_ExposureContrastTransform_isContrastDynamic = R"doc(Contrast can be made dynamic so the value can be changed through the CPU or GPU processor, but if there are several :ref:`ExposureContrastTransform` only one can have a dynamic contrast.)doc";

static const char *__doc_ExposureContrastTransform_makeContrastDynamic = R"doc()doc";

static const char *__doc_ExposureContrastTransform_makeContrastNonDynamic = R"doc()doc";

static const char *__doc_ExposureContrastTransform_getGamma = R"doc()doc";

static const char *__doc_ExposureContrastTransform_setGamma = R"doc()doc";

static const char *__doc_ExposureContrastTransform_isGammaDynamic = R"doc(Gamma can be made dynamic so the value can be changed through the CPU or GPU processor, but if there are several :ref:`ExposureContrastTransform` only one can have a dynamic gamma.)doc";

static const char *__doc_ExposureContrastTransform_makeGammaDynamic = R"doc()doc";

static const char *__doc_ExposureContrastTransform_makeGammaNonDynamic = R"doc()doc";

static const char *__doc_ExposureContrastTransform_getPivot = R"doc()doc";

static const char *__doc_ExposureContrastTransform_setPivot = R"doc(Set the pivot point around which the contrast and gamma controls will work. Regardless of whether linear/video/log-style is being used, the pivot is always expressed in linear. In other words, a pivot of 0.18 is always mid-gray.)doc";

static const char *__doc_ExposureContrastTransform_getLogExposureStep = R"doc()doc";

static const char *__doc_ExposureContrastTransform_setLogExposureStep = R"doc(Set the increment needed to move one stop for the log-style algorithm. For example, ACEScct is 0.057, LogC is roughly 0.074, and Cineon is roughly 90/1023 = 0.088. The default value is 0.088.)doc";

static const char *__doc_ExposureContrastTransform_getLogMidGray = R"doc()doc";

static const char *__doc_ExposureContrastTransform_setLogMidGray = R"doc(Set the position of 18% gray for use by the log-style algorithm. For example, ACEScct is about 0.41, LogC is about 0.39, and ADX10 is 445/1023 = 0.435. The default value is 0.435.)doc";

static const char *__doc_ExposureContrastTransform_ExposureContrastTransform = R"doc(Do not use (needed only for pybind11).)doc";

static const char *__doc_ExposureContrastTransform_ExposureContrastTransform_2 = R"doc()doc";

static const char *__doc_ExposureContrastTransform_ExposureContrastTransform_3 = R"doc()doc";

static const char *__doc_ExposureContrastTransform_operator_assign = R"doc()doc";

static const char *__doc_FileRules =
R"doc(The File Rules are a set of filepath to color space mappings that are evaluated from first to last. The first rule to match is what determines which color space is returned. There are four types of rules available. Each rule type has a name key that may be used by applications to refer to that rule. Name values must be unique i.e. using a case insensitive comparison. The other keys depend on the rule type: 

- *Basic Rule*: This is the basic rule type that uses Unix glob style pattern matching and is thus very easy to use. It contains the keys:
- name: Name of the rule
- colorspace: Color space name to be returned.
- pattern: Glob pattern to be used for the main part of the name/path.
- extension: Glob pattern to be used for the file extension. Note that if glob tokens are not used, the extension will be used in a non-case-sensitive way by default.

- *Regex Rule*: This is similar to the basic rule but allows additional capabilities for power-users. It contains the keys:
- name: Name of the rule
- colorspace: Color space name to be returned.
- regex: Regular expression to be evaluated.

- *OCIO v1 style Rule*: This rule allows the use of the OCIO v1 style, where the string is searched for color space names from the config. This rule may occur 0 or 1 times in the list. The position in the list prioritizes it with respect to the other rules. StrictParsing is not used. If no color space is found in the path, the rule will not match and the next rule will be considered. see :ref:`insertPathSearchRule`. It has the key:
- name: Must be "ColorSpaceNamePathSearch".

- *Default Rule*: The file_rules must always end with this rule. If no prior rules match, this rule specifies the color space applications will use. see :ref:`setDefaultRuleColorSpace`. It has the keys:
- name: must be "Default".
- colorspace : Color space name to be returned.

Custom string keys and associated string values may be used to convey app or workflow-specific information, e.g. whether the color space should be left as is or converted into a working space.

Getters and setters are using the rule position, they will throw if the position is not valid. If the rule at the specified position does not implement the requested property getter will return NULL and setter will throw.

When loading a v1 config, a set of :ref:`FileRules` are created with ColorSpaceNamePathSearch followed by the Default rule pointing to the default role. This allows getColorSpaceFromFilepath to emulate OCIO v1 code that used parseColorSpaceFromString with strictparsing set to false.)doc";

static const char *__doc_FileRules_DefaultRuleName = R"doc(Reserved rule name for the default rule.)doc";

static const char *__doc_FileRules_FilePathSearchRuleName =
R"doc(Reserved rule name for the file path search rule. 

.. see::
   :ref:`FileRules::insertPathSearchRule`.)doc";

static const char *__doc_FileRules_m_impl = R"doc()doc";

static const char *__doc_FileRules_Create = R"doc(Creates :ref:`FileRules` for a :ref:`Config`. File rules will contain the default rule using the default role. The default rule cannot be removed.)doc";

static const char *__doc_FileRules_createEditableCopy = R"doc(The method clones the content decoupling the two instances.)doc";

static const char *__doc_FileRules_getNumEntries = R"doc(Does include default rule. Result will be at least 1.)doc";

static const char *__doc_FileRules_getIndexForRule = R"doc(Get the index from the rule name.)doc";

static const char *__doc_FileRules_getName = R"doc(Get name of the rule.)doc";

static const char *__doc_FileRules_getPattern = R"doc(Setting pattern will erase regex.)doc";

static const char *__doc_FileRules_setPattern = R"doc()doc";

static const char *__doc_FileRules_getExtension = R"doc(Setting extension will erase regex.)doc";

static const char *__doc_FileRules_setExtension = R"doc()doc";

static const char *__doc_FileRules_getRegex = R"doc(Setting a regex will erase pattern & extension.)doc";

static const char *__doc_FileRules_setRegex = R"doc()doc";

static const char *__doc_FileRules_getColorSpace = R"doc(Set the rule's color space (may also be a role).)doc";

static const char *__doc_FileRules_setColorSpace = R"doc()doc";

static const char *__doc_FileRules_getNumCustomKeys = R"doc(Get number of key/value pairs.)doc";

static const char *__doc_FileRules_getCustomKeyName = R"doc(Get name of key.)doc";

static const char *__doc_FileRules_getCustomKeyValue = R"doc(Get value for the key.)doc";

static const char *__doc_FileRules_setCustomKey = R"doc(Adds a key/value or replace value if key exists. Setting a NULL or an empty value will erase the key.)doc";

static const char *__doc_FileRules_insertRule =
R"doc(Insert a rule at a given ruleIndex. 

Rule currently at ruleIndex will be pushed to index: ruleIndex + 1. Name must be unique.
- "Default" is a reserved name for the default rule. The default rule is automatically added and can't be removed. (see :ref:`FileRules::setDefaultRuleColorSpace` ).
- "ColorSpaceNamePathSearch" is also a reserved name (see :ref:`FileRules::insertPathSearchRule` ).

Will throw if pattern, extension or regex is a null or empty string.

Will throw if ruleIndex is not less than :ref:`FileRules::getNumEntries` .)doc";

static const char *__doc_FileRules_insertRule_2 = R"doc()doc";

static const char *__doc_FileRules_insertPathSearchRule =
R"doc(Helper function to insert a rule. 

Uses Config:parseColorSpaceFromString to search the path for any of the color spaces named in the config (as per OCIO v1).)doc";

static const char *__doc_FileRules_setDefaultRuleColorSpace = R"doc(Helper function to set the color space for the default rule.)doc";

static const char *__doc_FileRules_removeRule =
R"doc(.. note::
   Default rule can't be removed. Will throw if ruleIndex + 1 is not less than :ref:`FileRules::getNumEntries` .)doc";

static const char *__doc_FileRules_increaseRulePriority = R"doc(Move a rule closer to the start of the list by one position.)doc";

static const char *__doc_FileRules_decreaseRulePriority = R"doc(Move a rule closer to the end of the list by one position.)doc";

static const char *__doc_FileRules_isDefault = R"doc(Check if there is only the default rule using default role and no custom key. This is the default :ref:`FileRules` state when creating a new config.)doc";

static const char *__doc_FileRules_FileRules = R"doc()doc";

static const char *__doc_FileRules_operator_assign = R"doc()doc";

static const char *__doc_FileRules_FileRules_2 = R"doc(Do not use (needed only for pybind11).)doc";

static const char *__doc_FileRules_FileRules_3 = R"doc()doc";

static const char *__doc_FileRules_getImpl = R"doc()doc";

static const char *__doc_FileRules_getImpl_2 = R"doc()doc";

static const char *__doc_FileRules_deleter = R"doc()doc";

static const char *__doc_FileTransform = R"doc()doc";

static const char *__doc_FileTransform_m_impl = R"doc()doc";

static const char *__doc_FileTransform_Create = R"doc()doc";

static const char *__doc_FileTransform_GetNumFormats = R"doc(Get the number of LUT readers.)doc";

static const char *__doc_FileTransform_GetFormatNameByIndex = R"doc(Get the LUT readers at index, return empty string if an invalid index is specified.)doc";

static const char *__doc_FileTransform_GetFormatExtensionByIndex = R"doc(Get the LUT reader extension at index, return empty string if an invalid index is specified.)doc";

static const char *__doc_FileTransform_createEditableCopy = R"doc()doc";

static const char *__doc_FileTransform_getDirection = R"doc()doc";

static const char *__doc_FileTransform_setDirection = R"doc(Note that this only affects the evaluation and not the values stored in the object.)doc";

static const char *__doc_FileTransform_getTransformType = R"doc()doc";

static const char *__doc_FileTransform_validate = R"doc(Will throw if data is not valid.)doc";

static const char *__doc_FileTransform_getSrc = R"doc()doc";

static const char *__doc_FileTransform_setSrc = R"doc()doc";

static const char *__doc_FileTransform_getCCCId = R"doc(The cccid can be the ID of a CDL or the index of the CDL (as string). If cccid is NULL or empty the first CDL is returned. The cccid is case-sensitive.)doc";

static const char *__doc_FileTransform_setCCCId = R"doc()doc";

static const char *__doc_FileTransform_getCDLStyle = R"doc()doc";

static const char *__doc_FileTransform_setCDLStyle = R"doc(Can be used with CDL, CC & CCC formats to specify the clamping behavior of the :ref:`CDLTransform`. Default is CDL_NO_CLAMP.)doc";

static const char *__doc_FileTransform_getInterpolation = R"doc(The file parsers that care about interpolation (LUTs) will try to make use of the requested interpolation method when loading the file. In these cases, if the requested method could not be used, a warning is logged. If no method is provided, or a method cannot be used, INTERP_DEFAULT is used.)doc";

static const char *__doc_FileTransform_setInterpolation = R"doc()doc";

static const char *__doc_FileTransform_operator_assign = R"doc()doc";

static const char *__doc_FileTransform_FileTransform = R"doc(Do not use (needed only for pybind11).)doc";

static const char *__doc_FileTransform_FileTransform_2 = R"doc()doc";

static const char *__doc_FileTransform_FileTransform_3 = R"doc()doc";

static const char *__doc_FileTransform_getImpl = R"doc()doc";

static const char *__doc_FileTransform_getImpl_2 = R"doc()doc";

static const char *__doc_FileTransform_deleter = R"doc()doc";

static const char *__doc_FixedFunctionTransform = R"doc(Provides a set of hard-coded algorithmic building blocks that are needed to accurately implement various common color transformations.)doc";

static const char *__doc_FixedFunctionTransform_Create = R"doc()doc";

static const char *__doc_FixedFunctionTransform_Create_2 = R"doc()doc";

static const char *__doc_FixedFunctionTransform_getTransformType = R"doc()doc";

static const char *__doc_FixedFunctionTransform_getFormatMetadata = R"doc()doc";

static const char *__doc_FixedFunctionTransform_getFormatMetadata_2 = R"doc()doc";

static const char *__doc_FixedFunctionTransform_equals = R"doc(Checks if this exactly equals other.)doc";

static const char *__doc_FixedFunctionTransform_getStyle = R"doc()doc";

static const char *__doc_FixedFunctionTransform_setStyle = R"doc(Select which algorithm to use.)doc";

static const char *__doc_FixedFunctionTransform_getNumParams = R"doc()doc";

static const char *__doc_FixedFunctionTransform_getParams = R"doc()doc";

static const char *__doc_FixedFunctionTransform_setParams = R"doc(Set the parameters (for functions that require them).)doc";

static const char *__doc_FixedFunctionTransform_FixedFunctionTransform = R"doc()doc";

static const char *__doc_FixedFunctionTransform_operator_assign = R"doc()doc";

static const char *__doc_FixedFunctionTransform_FixedFunctionTransform_2 = R"doc(Do not use (needed only for pybind11).)doc";

static const char *__doc_FixedFunctionTransform_FixedFunctionTransform_3 = R"doc()doc";

static const char *__doc_FormatMetadata =
R"doc(The :ref:`FormatMetadata` class is intended to be a generic container to hold metadata from various file formats.

This class provides a hierarchical metadata container. A metadata object is similar to an element in XML. The top level element is named "ROOT" and can't be renamed. Several transforms have a :ref:`FormatMetadata`. The root element and all of the sub-elements may contain:
- A name string (e.g. "ROOT", "Description"...). Name can't be empty.
- A value string (e.g. "updated viewing LUT"). Value can be empty.
- A list of attributes (name, value) string pairs (e.g. "version", "1.5"). There are helper functions to get and set "id" and "name" attributes. Attribute names are unique.
- And a list of child sub-elements, which are also objects implementing :ref:`FormatMetadata`. There can be several sub-elements with the same name.)doc";

static const char *__doc_FormatMetadata_getElementName = R"doc()doc";

static const char *__doc_FormatMetadata_setElementName = R"doc(Name has to be a non-empty string. Top-level element can't be renamed. 'ROOT' is reserved.)doc";

static const char *__doc_FormatMetadata_getElementValue = R"doc()doc";

static const char *__doc_FormatMetadata_setElementValue = R"doc()doc";

static const char *__doc_FormatMetadata_getNumAttributes = R"doc()doc";

static const char *__doc_FormatMetadata_getAttributeName = R"doc(Get the name of a attribute ("" if attribute does not exist).)doc";

static const char *__doc_FormatMetadata_getAttributeValue = R"doc(Get the value of a attribute ("" if attribute does not exist).)doc";

static const char *__doc_FormatMetadata_getAttributeValue_2 = R"doc(Get the value of a attribute of a given name ("" if attribute does not exist).)doc";

static const char *__doc_FormatMetadata_addAttribute = R"doc(Add an attribute with a given name and value. If an attribute with the same name already exists, its value is replaced. Throw if name is NULL or empty.)doc";

static const char *__doc_FormatMetadata_getNumChildrenElements = R"doc()doc";

static const char *__doc_FormatMetadata_getChildElement =
R"doc(Access a child element.

.. note::
   Adding siblings might cause a reallocation of the container and thus might make the reference unusable. Index i has to be positive and less than getNumChildrenElements() or the function will throw.)doc";

static const char *__doc_FormatMetadata_getChildElement_2 = R"doc()doc";

static const char *__doc_FormatMetadata_addChildElement =
R"doc(Add a child element with a given name and value.

Name has to be non-empty. Value may be empty, particularly if this element will have children. Element is added after all existing children. Use getChildElement(getNumChildrenElements()-1) to access the added element.)doc";

static const char *__doc_FormatMetadata_clear = R"doc(Remove all children, all attributes and the value.)doc";

static const char *__doc_FormatMetadata_operator_assign = R"doc()doc";

static const char *__doc_FormatMetadata_getName = R"doc(Convenience method to easily get/set the 'name' attribute. This corresponds to the ProcessNode name attribute from a CLF / CTF file or the name key of a transform in the config YAML.)doc";

static const char *__doc_FormatMetadata_setName = R"doc()doc";

static const char *__doc_FormatMetadata_getID = R"doc(Convenience method to easily get/set the 'id' attribute. This corresponds to the ProcessNode id attribute from a CLF/CTF file or the ColorCorrection id attribute from a CC/CCC/CDL file.)doc";

static const char *__doc_FormatMetadata_setID = R"doc()doc";

static const char *__doc_FormatMetadata_FormatMetadata = R"doc()doc";

static const char *__doc_FormatMetadata_FormatMetadata_2 = R"doc(Do not use (needed only for pybind11).)doc";

static const char *__doc_FormatMetadata_FormatMetadata_3 = R"doc()doc";

static const char *__doc_GPUProcessor = R"doc()doc";

static const char *__doc_GPUProcessor_m_impl = R"doc()doc";

static const char *__doc_GPUProcessor_isNoOp = R"doc()doc";

static const char *__doc_GPUProcessor_hasChannelCrosstalk = R"doc()doc";

static const char *__doc_GPUProcessor_getCacheID = R"doc()doc";

static const char *__doc_GPUProcessor_extractGpuShaderInfo = R"doc(Extract & Store the shader information to implement the color processing.)doc";

static const char *__doc_GPUProcessor_extractGpuShaderInfo_2 = R"doc(Extract the shader information using a custom :ref:`GpuShaderCreator` class.)doc";

static const char *__doc_GPUProcessor_GPUProcessor = R"doc()doc";

static const char *__doc_GPUProcessor_operator_assign = R"doc()doc";

static const char *__doc_GPUProcessor_GPUProcessor_2 = R"doc(Do not use (needed only for pybind11).)doc";

static const char *__doc_GPUProcessor_GPUProcessor_3 = R"doc()doc";

static const char *__doc_GPUProcessor_getImpl = R"doc()doc";

static const char *__doc_GPUProcessor_getImpl_2 = R"doc()doc";

static const char *__doc_GPUProcessor_deleter = R"doc()doc";

static const char *__doc_GpuShaderCreator =
R"doc(Inherit from the class to fully customize the implementation of a GPU shader program from a color transformation.

When no customizations are needed and the intermediate in-memory step is acceptable then the :ref:`GpuShaderDesc` is a better choice.

.. note::
   To better decouple the DynamicProperties from their GPU implementation, the code provides several addUniform() methods i.e. one per access function types. For example, an :ref:`ExposureContrastTransform` instance owns three DynamicProperties and they are all implemented by a double. When creating the GPU fragment shader program, the addUniform() with :ref:`GpuShaderCreator::DoubleGetter` is called when property is dynamic, up to three times.

**An OCIO shader program could contain:**

- A declaration part e.g., uniform sampled3D tex3;
- Some helper methods
- The OCIO shader function may be broken down as:
- The function header e.g., void OCIODisplay(in vec4 inColor) {
- The function body e.g., vec4 outColor.rgb = texture3D(tex3, inColor.rgb).rgb;
- The function footer e.g., return outColor; }

**Usage Example:**

Below is a code snippet to highlight the different parts of the OCIO shader program.

.. code-block:: cpp

    // All global declarations
    uniform sampled3D tex3;
    
    // All helper methods
    vec3 computePosition(vec3 color)
    {
       vec3 coords = color;
       // Some processing...
       return coords;
    }
    
    // The shader function
    vec4 OCIODisplay(in vec4 inColor)     //
    {                                     // Function Header
       vec4 outColor = inColor;           //
    
       outColor.rgb = texture3D(tex3, computePosition(inColor.rgb)).rgb;
    
       return outColor;                   // Function Footer
    }                                     //)doc";

static const char *__doc_GpuShaderCreator_TextureType = R"doc()doc";

static const char *__doc_GpuShaderCreator_TextureType_TEXTURE_RED_CHANNEL = R"doc(Only need a red channel texture.)doc";

static const char *__doc_GpuShaderCreator_TextureType_TEXTURE_RGB_CHANNEL = R"doc(Need a RGB texture.)doc";

static const char *__doc_GpuShaderCreator_m_impl = R"doc()doc";

static const char *__doc_GpuShaderCreator_clone = R"doc()doc";

static const char *__doc_GpuShaderCreator_getUniqueID = R"doc()doc";

static const char *__doc_GpuShaderCreator_setUniqueID = R"doc()doc";

static const char *__doc_GpuShaderCreator_getLanguage = R"doc()doc";

static const char *__doc_GpuShaderCreator_setLanguage = R"doc(Set the shader program language.)doc";

static const char *__doc_GpuShaderCreator_getFunctionName = R"doc()doc";

static const char *__doc_GpuShaderCreator_setFunctionName = R"doc()doc";

static const char *__doc_GpuShaderCreator_getPixelName = R"doc()doc";

static const char *__doc_GpuShaderCreator_setPixelName = R"doc(Set the pixel name variable holding the color values.)doc";

static const char *__doc_GpuShaderCreator_getResourcePrefix =
R"doc(.. note::
   Some applications require that textures, uniforms, and helper methods be uniquely named because several processor instances could coexist.)doc";

static const char *__doc_GpuShaderCreator_setResourcePrefix = R"doc(Set a prefix to the resource name.)doc";

static const char *__doc_GpuShaderCreator_getCacheID = R"doc()doc";

static const char *__doc_GpuShaderCreator_begin = R"doc(Start to collect the shader data.)doc";

static const char *__doc_GpuShaderCreator_end = R"doc(End to collect the shader data.)doc";

static const char *__doc_GpuShaderCreator_setTextureMaxWidth = R"doc(Some graphic cards could have 1D & 2D textures with size limitations.)doc";

static const char *__doc_GpuShaderCreator_getTextureMaxWidth = R"doc()doc";

static const char *__doc_GpuShaderCreator_getNextResourceIndex = R"doc(To avoid global texture sampler and uniform name clashes always append an increasing index to the resource name.)doc";

static const char *__doc_GpuShaderCreator_addUniform = R"doc()doc";

static const char *__doc_GpuShaderCreator_addUniform_2 = R"doc()doc";

static const char *__doc_GpuShaderCreator_addUniform_3 = R"doc()doc";

static const char *__doc_GpuShaderCreator_addUniform_4 = R"doc()doc";

static const char *__doc_GpuShaderCreator_addUniform_5 = R"doc()doc";

static const char *__doc_GpuShaderCreator_addDynamicProperty = R"doc(Adds the property (used internally).)doc";

static const char *__doc_GpuShaderCreator_getNumDynamicProperties = R"doc(Dynamic Property related methods.)doc";

static const char *__doc_GpuShaderCreator_getDynamicProperty = R"doc()doc";

static const char *__doc_GpuShaderCreator_hasDynamicProperty = R"doc()doc";

static const char *__doc_GpuShaderCreator_getDynamicProperty_2 = R"doc(Dynamic properties allow changes once the fragment shader program has been created. The steps are to get the appropriate :ref:`DynamicProperty` instance, and then change its value.)doc";

static const char *__doc_GpuShaderCreator_addTexture =
R"doc(Add a 2D texture (1D texture if height equals 1).

.. note::
   The 'values' parameter contains the LUT data which must be used as-is as the dimensions and origin are hard-coded in the fragment shader program. So, it means one GPU texture per entry.)doc";

static const char *__doc_GpuShaderCreator_add3DTexture =
R"doc(Add a 3D texture with RGB channel type.

.. note::
   The 'values' parameter contains the 3D LUT data which must be used as-is as the dimension and origin are hard-coded in the fragment shader program. So, it means one GPU 3D texture per entry.)doc";

static const char *__doc_GpuShaderCreator_addToDeclareShaderCode = R"doc()doc";

static const char *__doc_GpuShaderCreator_addToHelperShaderCode = R"doc()doc";

static const char *__doc_GpuShaderCreator_addToFunctionHeaderShaderCode = R"doc()doc";

static const char *__doc_GpuShaderCreator_addToFunctionShaderCode = R"doc()doc";

static const char *__doc_GpuShaderCreator_addToFunctionFooterShaderCode = R"doc()doc";

static const char *__doc_GpuShaderCreator_createShaderText =
R"doc(Create the OCIO shader program. 

.. note::
   The OCIO shader program is decomposed to allow a specific implementation to change some parts. Some product integrations add the color processing within a client shader program, imposing constraints requiring this flexibility.)doc";

static const char *__doc_GpuShaderCreator_finalize = R"doc()doc";

static const char *__doc_GpuShaderCreator_GpuShaderCreator = R"doc()doc";

static const char *__doc_GpuShaderCreator_operator_assign = R"doc()doc";

static const char *__doc_GpuShaderCreator_GpuShaderCreator_2 = R"doc(Do not use (needed only for pybind11).)doc";

static const char *__doc_GpuShaderCreator_GpuShaderCreator_3 = R"doc()doc";

static const char *__doc_GpuShaderCreator_getImpl = R"doc()doc";

static const char *__doc_GpuShaderCreator_getImpl_2 = R"doc()doc";

static const char *__doc_GpuShaderDesc =
R"doc(This class holds the GPU-related information needed to build a shader program from a specific processor. 

This class defines the interface and there are two implementations provided. The "legacy" mode implements the OCIO v1 approach of baking certain ops in order to have at most one 3D-LUT. The "generic" mode is the v2 default and allows all the ops to be processed as-is, without baking, like the CPU renderer. Custom implementations could be written to accommodate the GPU needs of a specific client app.

The complete fragment shader program is decomposed in two main parts: the OCIO shader program for the color processing and the client shader program which consumes the pixel color processing.

The OCIO shader program is fully described by the :ref:`GpuShaderDesc` independently from the client shader program. The only critical point is the agreement on the OCIO function shader name.

To summarize, the complete shader program is:

.. code-block:: cpp

    
    //                                                                    //
    //               The complete fragment shader program                 //
    //                                                                    //
    //                                                                    //
    //   //////////////////////////////////////////////////////////////   //
    //   //                                                          //   //
    //   //               The OCIO shader program                    //   //
    //   //                                                          //   //
    //   //////////////////////////////////////////////////////////////   //
    //   //                                                          //   //
    //   //   // All global declarations                             //   //
    //   //   uniform sampled3D tex3;                                //   //
    //   //                                                          //   //
    //   //   // All helper methods                                  //   //
    //   //   vec3 computePos(vec3 color)                            //   //
    //   //   {                                                      //   //
    //   //      vec3 coords = color;                                //   //
    //   //      ...                                                 //   //
    //   //      return coords;                                      //   //
    //   //   }                                                      //   //
    //   //                                                          //   //
    //   //   // The OCIO shader function                            //   //
    //   //   vec4 OCIODisplay(in vec4 inColor)                      //   //
    //   //   {                                                      //   //
    //   //      vec4 outColor = inColor;                            //   //
    //   //      ...                                                 //   //
    //   //      outColor.rbg                                        //   //
    //   //         = texture3D(tex3, computePos(inColor.rgb)).rgb;  //   //
    //   //      ...                                                 //   //
    //   //      return outColor;                                    //   //
    //   //   }                                                      //   //
    //   //                                                          //   //
    //   //////////////////////////////////////////////////////////////   //
    //                                                                    //
    //   //////////////////////////////////////////////////////////////   //
    //   //                                                          //   //
    //   //             The client shader program                    //   //
    //   //                                                          //   //
    //   //////////////////////////////////////////////////////////////   //
    //   //                                                          //   //
    //   //   uniform sampler2D image;                               //   //
    //   //                                                          //   //
    //   //   void main()                                            //   //
    //   //   {                                                      //   //
    //   //      vec4 inColor = texture2D(image, gl_TexCoord[0].st); //   //
    //   //      ...                                                 //   //
    //   //      vec4 outColor = OCIODisplay(inColor);               //   //
    //   //      ...                                                 //   //
    //   //      gl_FragColor = outColor;                            //   //
    //   //   }                                                      //   //
    //   //                                                          //   //
    //   //////////////////////////////////////////////////////////////   //
    //                                                                    //
    

**Usage Example:** *Building a GPU shader*

This example is based on the code in: src/apps/ociodisplay/main.cpp

.. code-block:: cpp

    // Get the processor
    //
    OCIO::ConstConfigRcPtr config = OCIO::Config::CreateFromEnv();
    OCIO::ConstProcessorRcPtr processor
       = config->getProcessor("ACES - ACEScg", "Output - sRGB");
    
    // Step 1: Create a GPU shader description
    //
    // The two potential scenarios are:
    //
    //   1. Instantiate the generic shader description.  The color processor
    //      is used as-is (i.e. without any baking step) and could contain
    //      any number of 1D & 3D luts.
    //
    //      This is the default OCIO v2 behavior and allows a much better
    //      match between the CPU and GPU renderers.
    //
    OCIO::GpuShaderDescRcPtr shaderDesc = OCIO::GpuShaderDesc::Create();
    //
    //   2. Instantiate a custom shader description.
    //
    //      Writing a custom shader description is a way to tailor the shaders
    //      to the needs of a given client program.  This involves writing a
    //      new class inheriting from the pure virtual class GpuShaderDesc.
    //
    //      Please refer to the GenericGpuShaderDesc class for an example.
    //
    OCIO::GpuShaderDescRcPtr shaderDesc = MyCustomGpuShader::Create();
    
    shaderDesc->setLanguage(OCIO::GPU_LANGUAGE_GLSL_1_2);
    shaderDesc->setFunctionName("OCIODisplay");
    
    // Step 2: Collect the shader program information for a specific processor
    //
    processor->extractGpuShaderInfo(shaderDesc);
    
    // Step 3: Create a helper to build the shader. Here we use a helper for
    //         OpenGL but there will also be helpers for other languages.
    //
    OpenGLBuilderRcPtr oglBuilder = OpenGLBuilder::Create(shaderDesc);
    
    // Step 4: Allocate & upload all the LUTs
    //
    oglBuilder->allocateAllTextures();
    
    // Step 5: Build the complete fragment shader program using
    //         g_fragShaderText which is the client shader program.
    //
    g_programId = oglBuilder->buildProgram(g_fragShaderText);
    
    // Step 6: Enable the fragment shader program, and all needed textures
    //
    glUseProgram(g_programId);
    glUniform1i(glGetUniformLocation(g_programId, "tex1"), 1);  // image texture
    oglBuilder->useAllTextures(g_programId);                    // LUT textures
    
    // Step 7: Update uniforms from dynamic property instances.
    m_oglBuilder->useAllUniforms();)doc";

static const char *__doc_GpuShaderDesc_CreateShaderDesc = R"doc(Create the default shader description.)doc";

static const char *__doc_GpuShaderDesc_clone = R"doc()doc";

static const char *__doc_GpuShaderDesc_getNumUniforms = R"doc()doc";

static const char *__doc_GpuShaderDesc_getUniform = R"doc(Returns name of uniform and data as parameter.)doc";

static const char *__doc_GpuShaderDesc_getNumTextures = R"doc()doc";

static const char *__doc_GpuShaderDesc_getTexture = R"doc()doc";

static const char *__doc_GpuShaderDesc_getTextureValues = R"doc()doc";

static const char *__doc_GpuShaderDesc_getNum3DTextures = R"doc()doc";

static const char *__doc_GpuShaderDesc_get3DTexture = R"doc()doc";

static const char *__doc_GpuShaderDesc_get3DTextureValues = R"doc()doc";

static const char *__doc_GpuShaderDesc_getShaderText = R"doc(Get the complete OCIO shader program.)doc";

static const char *__doc_GpuShaderDesc_GpuShaderDesc = R"doc()doc";

static const char *__doc_GpuShaderDesc_operator_assign = R"doc()doc";

static const char *__doc_GpuShaderDesc_GpuShaderDesc_2 = R"doc(Do not use (needed only for pybind11).)doc";

static const char *__doc_GpuShaderDesc_GpuShaderDesc_3 = R"doc()doc";

static const char *__doc_GradingBSplineCurve = R"doc(A BSpline curve defined with :ref:`GradingControlPoint`.)doc";

static const char *__doc_GradingBSplineCurve_Create = R"doc(Create a BSpline curve with a specified number of control points.)doc";

static const char *__doc_GradingBSplineCurve_Create_2 = R"doc(Create a BSpline curve with a list of control points.)doc";

static const char *__doc_GradingBSplineCurve_createEditableCopy = R"doc()doc";

static const char *__doc_GradingBSplineCurve_getNumControlPoints = R"doc()doc";

static const char *__doc_GradingBSplineCurve_setNumControlPoints = R"doc()doc";

static const char *__doc_GradingBSplineCurve_getControlPoint = R"doc()doc";

static const char *__doc_GradingBSplineCurve_getControlPoint_2 = R"doc()doc";

static const char *__doc_GradingBSplineCurve_getSlope = R"doc()doc";

static const char *__doc_GradingBSplineCurve_setSlope = R"doc()doc";

static const char *__doc_GradingBSplineCurve_slopesAreDefault = R"doc()doc";

static const char *__doc_GradingBSplineCurve_validate = R"doc()doc";

static const char *__doc_GradingBSplineCurve_GradingBSplineCurve = R"doc()doc";

static const char *__doc_GradingBSplineCurve_operator_assign = R"doc()doc";

static const char *__doc_GradingBSplineCurve_GradingBSplineCurve_2 = R"doc(Do not use (needed only for pybind11).)doc";

static const char *__doc_GradingBSplineCurve_GradingBSplineCurve_3 = R"doc()doc";

static const char *__doc_GradingControlPoint = R"doc(2D control point used by :ref:`GradingBSplineCurve`.)doc";

static const char *__doc_GradingControlPoint_m_x = R"doc()doc";

static const char *__doc_GradingControlPoint_m_y = R"doc()doc";

static const char *__doc_GradingControlPoint_GradingControlPoint = R"doc()doc";

static const char *__doc_GradingControlPoint_GradingControlPoint_2 = R"doc()doc";

static const char *__doc_GradingPrimary = R"doc(Grading primary values.)doc";

static const char *__doc_GradingPrimary_m_brightness = R"doc()doc";

static const char *__doc_GradingPrimary_m_contrast = R"doc()doc";

static const char *__doc_GradingPrimary_m_gamma = R"doc()doc";

static const char *__doc_GradingPrimary_m_offset = R"doc()doc";

static const char *__doc_GradingPrimary_m_exposure = R"doc()doc";

static const char *__doc_GradingPrimary_m_lift = R"doc()doc";

static const char *__doc_GradingPrimary_m_gain = R"doc()doc";

static const char *__doc_GradingPrimary_m_saturation = R"doc()doc";

static const char *__doc_GradingPrimary_m_pivot = R"doc()doc";

static const char *__doc_GradingPrimary_m_pivotBlack = R"doc()doc";

static const char *__doc_GradingPrimary_m_pivotWhite = R"doc()doc";

static const char *__doc_GradingPrimary_m_clampBlack = R"doc()doc";

static const char *__doc_GradingPrimary_m_clampWhite = R"doc()doc";

static const char *__doc_GradingPrimary_GradingPrimary = R"doc()doc";

static const char *__doc_GradingPrimary_GradingPrimary_2 = R"doc()doc";

static const char *__doc_GradingPrimary_validate = R"doc(The valid range for each parameter varies.)doc";

static const char *__doc_GradingPrimary_NoClampBlack = R"doc()doc";

static const char *__doc_GradingPrimary_NoClampWhite = R"doc()doc";

static const char *__doc_GradingPrimaryTransform =
R"doc(Primary color correction controls.

This transform is for making basic color correction adjustments to an image such as brightness, contrast, or saturation.

The controls are customized for linear, logarithmic, and video color encodings.
- Linear controls: Exposure, Contrast, Pivot, Offset, Saturation, Black Clip, White Clip.
- Log controls: Brightness, Contrast, Pivot, Log Gamma, Saturation, Black Clip, White Clip, Black Pivot White Pivot.
- Video controls : Lift, Gamma, Gain, Offset, Saturation, Black Clip, White Clip, Black Pivot White Pivot.

The controls are dynamic, so they may be adjusted even after the :ref:`Transform` has been included in a :ref:`Processor`.)doc";

static const char *__doc_GradingPrimaryTransform_Create = R"doc(Creates an instance of :ref:`GradingPrimaryTransform`.)doc";

static const char *__doc_GradingPrimaryTransform_getTransformType = R"doc()doc";

static const char *__doc_GradingPrimaryTransform_getFormatMetadata = R"doc()doc";

static const char *__doc_GradingPrimaryTransform_getFormatMetadata_2 = R"doc()doc";

static const char *__doc_GradingPrimaryTransform_equals = R"doc(Checks if this equals other.)doc";

static const char *__doc_GradingPrimaryTransform_getStyle = R"doc(Adjusts the behavior of the transform for log, linear, or video color space encodings.)doc";

static const char *__doc_GradingPrimaryTransform_setStyle = R"doc(Will reset value to style's defaults if style is not the current style.)doc";

static const char *__doc_GradingPrimaryTransform_getValue = R"doc()doc";

static const char *__doc_GradingPrimaryTransform_setValue = R"doc(Throws if value is not valid.)doc";

static const char *__doc_GradingPrimaryTransform_isDynamic = R"doc(Parameters can be made dynamic so the values can be changed through the CPU or GPU processor, but if there are several :ref:`GradingPrimaryTransform` only one can have dynamic parameters.)doc";

static const char *__doc_GradingPrimaryTransform_makeDynamic = R"doc()doc";

static const char *__doc_GradingPrimaryTransform_makeNonDynamic = R"doc()doc";

static const char *__doc_GradingPrimaryTransform_GradingPrimaryTransform = R"doc()doc";

static const char *__doc_GradingPrimaryTransform_operator_assign = R"doc()doc";

static const char *__doc_GradingPrimaryTransform_GradingPrimaryTransform_2 = R"doc(Do not use (needed only for pybind11).)doc";

static const char *__doc_GradingPrimaryTransform_GradingPrimaryTransform_3 = R"doc()doc";

static const char *__doc_GradingRGBCurve = R"doc(A set of red, green, blue and master curves. It is used by RGBCurveTransform and can be used as a dynamic property (see :ref:`DynamicPropertyGradingRGBCurve`).)doc";

static const char *__doc_GradingRGBCurve_Create = R"doc()doc";

static const char *__doc_GradingRGBCurve_Create_2 = R"doc()doc";

static const char *__doc_GradingRGBCurve_Create_3 = R"doc()doc";

static const char *__doc_GradingRGBCurve_createEditableCopy = R"doc()doc";

static const char *__doc_GradingRGBCurve_validate = R"doc()doc";

static const char *__doc_GradingRGBCurve_isIdentity = R"doc()doc";

static const char *__doc_GradingRGBCurve_getCurve = R"doc()doc";

static const char *__doc_GradingRGBCurve_getCurve_2 = R"doc()doc";

static const char *__doc_GradingRGBCurve_GradingRGBCurve = R"doc(Do not use (needed only for pybind11).)doc";

static const char *__doc_GradingRGBCurve_GradingRGBCurve_2 = R"doc()doc";

static const char *__doc_GradingRGBCurveTransform =
R"doc(RGB curve color correction controls.

This transform allows for modifying tone reproduction via B-spline curves.

There is an R, G, and B curve along with a Master curve (that applies to R, G, and B). Each curve is specified via the x and y coordinates of its control points. A monotonic spline is fit to the control points. The x coordinates must be non-decreasing. When the grading style is linear, the units for the control points are photographic stops relative to 0.18.

The control points are dynamic, so they may be adjusted even after the :ref:`Transform` is included in a :ref:`Processor`.)doc";

static const char *__doc_GradingRGBCurveTransform_Create = R"doc(Creates an instance of :ref:`GradingPrimaryTransform`.)doc";

static const char *__doc_GradingRGBCurveTransform_getTransformType = R"doc()doc";

static const char *__doc_GradingRGBCurveTransform_getFormatMetadata = R"doc()doc";

static const char *__doc_GradingRGBCurveTransform_getFormatMetadata_2 = R"doc()doc";

static const char *__doc_GradingRGBCurveTransform_equals = R"doc(Checks if this equals other.)doc";

static const char *__doc_GradingRGBCurveTransform_getStyle = R"doc(Adjusts the behavior of the transform for log, linear, or video color space encodings.)doc";

static const char *__doc_GradingRGBCurveTransform_setStyle = R"doc(Will reset value to style's defaults if style is not the current style.)doc";

static const char *__doc_GradingRGBCurveTransform_getValue = R"doc()doc";

static const char *__doc_GradingRGBCurveTransform_setValue = R"doc(Throws if value is not valid.)doc";

static const char *__doc_GradingRGBCurveTransform_getSlope = R"doc(It is possible to provide a desired slope value for each control point. The number of slopes is always the same as the number of control points and so the control points must be set before setting the slopes. The slopes are primarily intended for use by config authors looking to match a specific shape with as few control points as possible, they are not intended to be exposed to a user interface for direct manipulation. When a curve is being generated for creative purposes it is better to let OCIO calculate the slopes automatically.)doc";

static const char *__doc_GradingRGBCurveTransform_setSlope = R"doc()doc";

static const char *__doc_GradingRGBCurveTransform_slopesAreDefault = R"doc()doc";

static const char *__doc_GradingRGBCurveTransform_getBypassLinToLog = R"doc(The scene-linear grading style applies a lin-to-log transform to the pixel values before going through the curve. However, in some cases (e.g. drawing curves in a UI) it may be useful to bypass the lin-to-log. Default value is false.)doc";

static const char *__doc_GradingRGBCurveTransform_setBypassLinToLog = R"doc()doc";

static const char *__doc_GradingRGBCurveTransform_isDynamic = R"doc(Parameters can be made dynamic so the values can be changed through the CPU or GPU processor, but if there are several :ref:`GradingRGBCurveTransform` only one can have dynamic parameters.)doc";

static const char *__doc_GradingRGBCurveTransform_makeDynamic = R"doc()doc";

static const char *__doc_GradingRGBCurveTransform_makeNonDynamic = R"doc()doc";

static const char *__doc_GradingRGBCurveTransform_GradingRGBCurveTransform = R"doc()doc";

static const char *__doc_GradingRGBCurveTransform_operator_assign = R"doc()doc";

static const char *__doc_GradingRGBCurveTransform_GradingRGBCurveTransform_2 = R"doc(Do not use (needed only for pybind11).)doc";

static const char *__doc_GradingRGBCurveTransform_GradingRGBCurveTransform_3 = R"doc()doc";

static const char *__doc_GradingRGBM = R"doc(Used by the grading transforms to hold the red, green, blue, and master components of a single parameter. The master component affects all three channels (RGB).)doc";

static const char *__doc_GradingRGBM_m_red = R"doc()doc";

static const char *__doc_GradingRGBM_m_green = R"doc()doc";

static const char *__doc_GradingRGBM_m_blue = R"doc()doc";

static const char *__doc_GradingRGBM_m_master = R"doc()doc";

static const char *__doc_GradingRGBM_GradingRGBM = R"doc()doc";

static const char *__doc_GradingRGBM_GradingRGBM_2 = R"doc()doc";

static const char *__doc_GradingRGBM_GradingRGBM_3 = R"doc()doc";

static const char *__doc_GradingRGBMSW = R"doc(Used by the grading tone transforms to hold the red, green, blue, master, start, and width components of a single parameter. The master component affects all three channels (RGB). The start and width components control the range of tones affected. Although this struct simply uses "start" and "width" for all the range values, the actual user-facing name changes based on the parameter.)doc";

static const char *__doc_GradingRGBMSW_m_red = R"doc()doc";

static const char *__doc_GradingRGBMSW_m_green = R"doc()doc";

static const char *__doc_GradingRGBMSW_m_blue = R"doc()doc";

static const char *__doc_GradingRGBMSW_m_master = R"doc()doc";

static const char *__doc_GradingRGBMSW_m_start = R"doc()doc";

static const char *__doc_GradingRGBMSW_m_width = R"doc()doc";

static const char *__doc_GradingRGBMSW_GradingRGBMSW = R"doc()doc";

static const char *__doc_GradingRGBMSW_GradingRGBMSW_2 = R"doc()doc";

static const char *__doc_GradingRGBMSW_GradingRGBMSW_3 = R"doc()doc";

static const char *__doc_GradingRGBMSW_GradingRGBMSW_4 = R"doc()doc";

static const char *__doc_GradingTone = R"doc(Grading tone values.)doc";

static const char *__doc_GradingTone_m_blacks = R"doc()doc";

static const char *__doc_GradingTone_m_shadows = R"doc()doc";

static const char *__doc_GradingTone_m_midtones = R"doc()doc";

static const char *__doc_GradingTone_m_highlights = R"doc()doc";

static const char *__doc_GradingTone_m_whites = R"doc()doc";

static const char *__doc_GradingTone_m_scontrast = R"doc()doc";

static const char *__doc_GradingTone_GradingTone = R"doc()doc";

static const char *__doc_GradingTone_GradingTone_2 = R"doc()doc";

static const char *__doc_GradingTone_validate = R"doc(The valid range for each parameter varies. The client is expected to enforce these bounds in the UI.)doc";

static const char *__doc_GradingToneTransform =
R"doc(Tonal color correction controls.

This transform is for making fine adjustments to tone reproduction in specific tonal ranges.

There are five tonal controls and each one has two parameters to control its range:
- Blacks (start, width)
- Shadows(start, pivot)
- Midtones(center, width)
- Highlights(start, pivot)
- Whites(start, width)

The transform has three styles that adjust the response and default ranges for linear, logarithimic, and video color encodings. The defaults vary based on the style. When the style is linear, the units for start/width/etc. are photographic stops relative to 0.18.

Each control allows R, G, B adjustments and a Master adjustment.

There is also an S-contrast control for imparting an S-shape curve.

The controls are dynamic, so they may be adjusted even after the :ref:`Transform` has been included in a :ref:`Processor`.)doc";

static const char *__doc_GradingToneTransform_Create = R"doc(Creates an instance of :ref:`GradingToneTransform`.)doc";

static const char *__doc_GradingToneTransform_getTransformType = R"doc()doc";

static const char *__doc_GradingToneTransform_getFormatMetadata = R"doc()doc";

static const char *__doc_GradingToneTransform_getFormatMetadata_2 = R"doc()doc";

static const char *__doc_GradingToneTransform_equals = R"doc()doc";

static const char *__doc_GradingToneTransform_getStyle = R"doc(Adjusts the behavior of the transform for log, linear, or video color space encodings.)doc";

static const char *__doc_GradingToneTransform_setStyle = R"doc(Will reset value to style's defaults if style is not the current style.)doc";

static const char *__doc_GradingToneTransform_getValue = R"doc()doc";

static const char *__doc_GradingToneTransform_setValue = R"doc()doc";

static const char *__doc_GradingToneTransform_isDynamic = R"doc(Parameters can be made dynamic so the values can be changed through the CPU or GPU processor, but if there are several :ref:`GradingToneTransform` only one can have dynamic parameters.)doc";

static const char *__doc_GradingToneTransform_makeDynamic = R"doc()doc";

static const char *__doc_GradingToneTransform_makeNonDynamic = R"doc()doc";

static const char *__doc_GradingToneTransform_GradingToneTransform = R"doc()doc";

static const char *__doc_GradingToneTransform_operator_assign = R"doc()doc";

static const char *__doc_GradingToneTransform_GradingToneTransform_2 = R"doc(Do not use (needed only for pybind11).)doc";

static const char *__doc_GradingToneTransform_GradingToneTransform_3 = R"doc()doc";

static const char *__doc_GroupTransform = R"doc()doc";

static const char *__doc_GroupTransform_Create = R"doc()doc";

static const char *__doc_GroupTransform_GetNumWriteFormats = R"doc(Get the number of writers.)doc";

static const char *__doc_GroupTransform_GetFormatNameByIndex = R"doc(Get the writer at index, return empty string if an invalid index is specified.)doc";

static const char *__doc_GroupTransform_GetFormatExtensionByIndex = R"doc()doc";

static const char *__doc_GroupTransform_getFormatMetadata = R"doc()doc";

static const char *__doc_GroupTransform_getFormatMetadata_2 = R"doc()doc";

static const char *__doc_GroupTransform_getTransform = R"doc(Throws if index is not allowed.)doc";

static const char *__doc_GroupTransform_getTransform_2 = R"doc(Throws if index is not allowed.)doc";

static const char *__doc_GroupTransform_getNumTransforms = R"doc(Return number of transforms.)doc";

static const char *__doc_GroupTransform_appendTransform = R"doc(Adds a transform to the end of the group.)doc";

static const char *__doc_GroupTransform_prependTransform = R"doc(Add a transform at the beginning of the group.)doc";

static const char *__doc_GroupTransform_write =
R"doc(Write the transforms comprising the group to the stream. 

Writing (as opposed to Baking) is a lossless process. An exception is thrown if the processor cannot be losslessly written to the specified file format. Transforms such as :ref:`FileTransform` or :ref:`ColorSpaceTransform` are resolved into write-able simple transforms using the config and context. Supported formats include CTF, CLF, and CDL. All available formats can be listed with the following: .. code-block:: cpp

    // What are the allowed writing output formats?
    std::ostringstream formats;
    formats << "Formats to write to: ";
    for (int i = 0; i < :ref:`GroupTransform::GetNumWriteFormats`(); ++i)
    {
       if (i != 0) formats << ", ";
       formats << :ref:`GroupTransform::GetFormatNameByIndex`(i);
       formats << " (." << GroupTransform::GetFormatExtensionByIndex(i) << ")";
    })doc";

static const char *__doc_GroupTransform_GroupTransform = R"doc()doc";

static const char *__doc_GroupTransform_operator_assign = R"doc()doc";

static const char *__doc_GroupTransform_GroupTransform_2 = R"doc(Do not use (needed only for pybind11).)doc";

static const char *__doc_GroupTransform_GroupTransform_3 = R"doc()doc";

static const char *__doc_ImageDesc = R"doc(This is a light-weight wrapper around an image, that provides a context for pixel access. This does NOT claim ownership of the pixels or copy image data.)doc";

static const char *__doc_ImageDesc_ImageDesc = R"doc()doc";

static const char *__doc_ImageDesc_ImageDesc_2 = R"doc()doc";

static const char *__doc_ImageDesc_getRData = R"doc(Get a pointer to the red channel of the first pixel.)doc";

static const char *__doc_ImageDesc_getGData = R"doc(Get a pointer to the green channel of the first pixel.)doc";

static const char *__doc_ImageDesc_getBData = R"doc(Get a pointer to the blue channel of the first pixel.)doc";

static const char *__doc_ImageDesc_getAData = R"doc(Get a pointer to the alpha channel of the first pixel or null as alpha channel is optional.)doc";

static const char *__doc_ImageDesc_getBitDepth = R"doc(Get the bit-depth.)doc";

static const char *__doc_ImageDesc_getWidth = R"doc(Get the width to process (where x position starts at 0 and ends at width-1).)doc";

static const char *__doc_ImageDesc_getHeight = R"doc(Get the height to process (where y position starts at 0 and ends at height-1).)doc";

static const char *__doc_ImageDesc_getXStrideBytes = R"doc(Get the step in bytes to find the same color channel of the next pixel.)doc";

static const char *__doc_ImageDesc_getYStrideBytes = R"doc(Get the step in bytes to find the same color channel of the pixel at the same position in the next line.)doc";

static const char *__doc_ImageDesc_isRGBAPacked = R"doc(Is the image buffer in packed mode with the 4 color channels? ("Packed" here means that XStrideBytes is 4x the bytes per channel, so it is more specific than simply any :ref:`PackedImageDesc`.))doc";

static const char *__doc_ImageDesc_isFloat = R"doc(Is the image buffer 32-bit float?)doc";

static const char *__doc_ImageDesc_ImageDesc_3 = R"doc()doc";

static const char *__doc_ImageDesc_operator_assign = R"doc()doc";

static const char *__doc_LegacyViewingPipeline =
R"doc(Whereas the :ref:`DisplayViewTransform` simply applies a specific view from an OCIO display, the :ref:`LegacyViewingPipeline` provides an example of a complete viewing pipeline of the sort that could be used to implement a viewport in a typical application. It therefore adds, around the :ref:`DisplayViewTransform`, various optional color correction steps and RGBA channel view swizzling. The direction of the DisplayViewTranform is used as the direction of the pipeline. Note: The :ref:`LegacyViewingPipeline` class provides the same functionality as the OCIO v1 DisplayTransform.

Legacy viewing pipeline:
- Start in display transform input color space.
- If linearCC is provided:
- Go to scene_linear colorspace.
- Apply linearCC transform.

- If colorTimingCC is provided:
- Go to color_timing colorspace.
- Apply colorTimingCC transform.

- Apply looks (from display transform or from looks override).
- Go to first look color space.
- Apply first look transform.
- Iterate for all looks.

- Apply channelView transform.
- Apply display transform (without looks).
- Apply displayCC. Note that looks are applied even if the display transform involves data color spaces.)doc";

static const char *__doc_LegacyViewingPipeline_Create = R"doc()doc";

static const char *__doc_LegacyViewingPipeline_getDisplayViewTransform = R"doc()doc";

static const char *__doc_LegacyViewingPipeline_setDisplayViewTransform = R"doc()doc";

static const char *__doc_LegacyViewingPipeline_getLinearCC = R"doc()doc";

static const char *__doc_LegacyViewingPipeline_setLinearCC = R"doc()doc";

static const char *__doc_LegacyViewingPipeline_getColorTimingCC = R"doc()doc";

static const char *__doc_LegacyViewingPipeline_setColorTimingCC = R"doc()doc";

static const char *__doc_LegacyViewingPipeline_getChannelView = R"doc()doc";

static const char *__doc_LegacyViewingPipeline_setChannelView = R"doc()doc";

static const char *__doc_LegacyViewingPipeline_getDisplayCC = R"doc()doc";

static const char *__doc_LegacyViewingPipeline_setDisplayCC = R"doc()doc";

static const char *__doc_LegacyViewingPipeline_setLooksOverrideEnabled = R"doc(Specify whether the lookOverride should be used, or not. This is a separate flag, as it's often useful to override "looks" to an empty string.)doc";

static const char *__doc_LegacyViewingPipeline_getLooksOverrideEnabled = R"doc()doc";

static const char *__doc_LegacyViewingPipeline_setLooksOverride =
R"doc(A user can optionally override the looks that are, by default, used with the expected display / view combination. A common use case for this functionality is in an image viewing app, where per-shot looks are supported. If for some reason a per-shot look is not defined for the current :ref:`Context`, the :ref:`Config::getProcessor` fcn will not succeed by default. Thus, with this mechanism the viewing app could override to looks = "", and this will allow image display to continue (though hopefully) the interface would reflect this fallback option.

Looks is a potentially comma (or colon) delimited list of lookNames, where +/- prefixes are optionally allowed to denote forward/inverse look specification (and forward is assumed in the absence of either).)doc";

static const char *__doc_LegacyViewingPipeline_getLooksOverride = R"doc()doc";

static const char *__doc_LegacyViewingPipeline_getProcessor = R"doc()doc";

static const char *__doc_LegacyViewingPipeline_getProcessor_2 = R"doc()doc";

static const char *__doc_LegacyViewingPipeline_LegacyViewingPipeline = R"doc()doc";

static const char *__doc_LegacyViewingPipeline_operator_assign = R"doc()doc";

static const char *__doc_LegacyViewingPipeline_LegacyViewingPipeline_2 = R"doc(Do not use (needed only for pybind11).)doc";

static const char *__doc_LegacyViewingPipeline_LegacyViewingPipeline_3 = R"doc()doc";

static const char *__doc_LogAffineTransform =
R"doc(Applies a logarithm with an affine transform before and after. Represents the Cineon lin-to-log type transforms::

logSideSlope * log( linSideSlope * color + linSideOffset, base) + logSideOffset

- Default values are: 1. * log( 1. * color + 0., 2.) + 0.
- The alpha channel is not affected.)doc";

static const char *__doc_LogAffineTransform_Create = R"doc()doc";

static const char *__doc_LogAffineTransform_getTransformType = R"doc()doc";

static const char *__doc_LogAffineTransform_getFormatMetadata = R"doc()doc";

static const char *__doc_LogAffineTransform_getFormatMetadata_2 = R"doc()doc";

static const char *__doc_LogAffineTransform_equals = R"doc(Checks if this exactly equals other.)doc";

static const char *__doc_LogAffineTransform_getBase = R"doc()doc";

static const char *__doc_LogAffineTransform_setBase = R"doc()doc";

static const char *__doc_LogAffineTransform_getLogSideSlopeValue = R"doc()doc";

static const char *__doc_LogAffineTransform_setLogSideSlopeValue = R"doc()doc";

static const char *__doc_LogAffineTransform_getLogSideOffsetValue = R"doc()doc";

static const char *__doc_LogAffineTransform_setLogSideOffsetValue = R"doc()doc";

static const char *__doc_LogAffineTransform_getLinSideSlopeValue = R"doc()doc";

static const char *__doc_LogAffineTransform_setLinSideSlopeValue = R"doc()doc";

static const char *__doc_LogAffineTransform_getLinSideOffsetValue = R"doc()doc";

static const char *__doc_LogAffineTransform_setLinSideOffsetValue = R"doc()doc";

static const char *__doc_LogAffineTransform_LogAffineTransform = R"doc()doc";

static const char *__doc_LogAffineTransform_operator_assign = R"doc()doc";

static const char *__doc_LogAffineTransform_LogAffineTransform_2 = R"doc(Do not use (needed only for pybind11).)doc";

static const char *__doc_LogAffineTransform_LogAffineTransform_3 = R"doc()doc";

static const char *__doc_LogCameraTransform =
R"doc(Same as :ref:`LogAffineTransform` but with the addition of a linear segment near black. This formula is used for many camera logs (e.g., LogC) as well as ACEScct.

- The linSideBreak specifies the point on the linear axis where the log and linear segments meet. It must be set (there is no default). 

- The linearSlope specifies the slope of the linear segment of the forward (linToLog) transform. By default it is set equal to the slope of the log curve at the break point.)doc";

static const char *__doc_LogCameraTransform_Create = R"doc(LinSideBreak must be set for the transform to be valid (there is no default).)doc";

static const char *__doc_LogCameraTransform_getTransformType = R"doc()doc";

static const char *__doc_LogCameraTransform_getFormatMetadata = R"doc()doc";

static const char *__doc_LogCameraTransform_getFormatMetadata_2 = R"doc()doc";

static const char *__doc_LogCameraTransform_equals = R"doc(Checks if this exactly equals other.)doc";

static const char *__doc_LogCameraTransform_getBase = R"doc()doc";

static const char *__doc_LogCameraTransform_setBase = R"doc()doc";

static const char *__doc_LogCameraTransform_getLogSideSlopeValue = R"doc(Get/Set values for the R, G, B components.)doc";

static const char *__doc_LogCameraTransform_setLogSideSlopeValue = R"doc()doc";

static const char *__doc_LogCameraTransform_getLogSideOffsetValue = R"doc()doc";

static const char *__doc_LogCameraTransform_setLogSideOffsetValue = R"doc()doc";

static const char *__doc_LogCameraTransform_getLinSideSlopeValue = R"doc()doc";

static const char *__doc_LogCameraTransform_setLinSideSlopeValue = R"doc()doc";

static const char *__doc_LogCameraTransform_getLinSideOffsetValue = R"doc()doc";

static const char *__doc_LogCameraTransform_setLinSideOffsetValue = R"doc()doc";

static const char *__doc_LogCameraTransform_getLinSideBreakValue = R"doc()doc";

static const char *__doc_LogCameraTransform_setLinSideBreakValue = R"doc()doc";

static const char *__doc_LogCameraTransform_getLinearSlopeValue = R"doc(Return true if LinearSlope values were set, false if they were not.)doc";

static const char *__doc_LogCameraTransform_setLinearSlopeValue =
R"doc(Set LinearSlope value. 

.. note::
   You must call setLinSideBreakValue before calling this.)doc";

static const char *__doc_LogCameraTransform_unsetLinearSlopeValue = R"doc(Remove LinearSlope values so that default values are used.)doc";

static const char *__doc_LogCameraTransform_LogCameraTransform = R"doc()doc";

static const char *__doc_LogCameraTransform_operator_assign = R"doc()doc";

static const char *__doc_LogCameraTransform_LogCameraTransform_2 = R"doc(Do not use (needed only for pybind11).)doc";

static const char *__doc_LogCameraTransform_LogCameraTransform_3 = R"doc()doc";

static const char *__doc_LogTransform =
R"doc(Represents log transform: log(color, base)

- The input will be clamped for negative numbers.
- Default base is 2.0.
- The alpha channel is not affected.)doc";

static const char *__doc_LogTransform_Create = R"doc()doc";

static const char *__doc_LogTransform_getTransformType = R"doc()doc";

static const char *__doc_LogTransform_getFormatMetadata = R"doc()doc";

static const char *__doc_LogTransform_getFormatMetadata_2 = R"doc()doc";

static const char *__doc_LogTransform_equals = R"doc(Checks if this exactly equals other.)doc";

static const char *__doc_LogTransform_getBase = R"doc()doc";

static const char *__doc_LogTransform_setBase = R"doc()doc";

static const char *__doc_LogTransform_LogTransform = R"doc()doc";

static const char *__doc_LogTransform_operator_assign = R"doc()doc";

static const char *__doc_LogTransform_LogTransform_2 = R"doc(Do not use (needed only for pybind11).)doc";

static const char *__doc_LogTransform_LogTransform_3 = R"doc()doc";

static const char *__doc_Look = R"doc(The *:ref:`Look`* is an 'artistic' image modification, in a specified image state. The processSpace defines the :ref:`ColorSpace` the image is required to be in, for the math to apply correctly.)doc";

static const char *__doc_Look_m_impl = R"doc()doc";

static const char *__doc_Look_Create = R"doc()doc";

static const char *__doc_Look_createEditableCopy = R"doc()doc";

static const char *__doc_Look_getName = R"doc()doc";

static const char *__doc_Look_setName = R"doc()doc";

static const char *__doc_Look_getProcessSpace = R"doc()doc";

static const char *__doc_Look_setProcessSpace = R"doc()doc";

static const char *__doc_Look_getTransform = R"doc()doc";

static const char *__doc_Look_setTransform = R"doc(Setting a transform to a non-null call makes it allowed.)doc";

static const char *__doc_Look_getInverseTransform = R"doc()doc";

static const char *__doc_Look_setInverseTransform = R"doc(Setting a transform to a non-null call makes it allowed.)doc";

static const char *__doc_Look_getDescription = R"doc()doc";

static const char *__doc_Look_setDescription = R"doc()doc";

static const char *__doc_Look_Look = R"doc()doc";

static const char *__doc_Look_operator_assign = R"doc()doc";

static const char *__doc_Look_Look_2 = R"doc(Do not use (needed only for pybind11).)doc";

static const char *__doc_Look_Look_3 = R"doc()doc";

static const char *__doc_Look_getImpl = R"doc()doc";

static const char *__doc_Look_getImpl_2 = R"doc()doc";

static const char *__doc_Look_deleter = R"doc()doc";

static const char *__doc_LookTransform = R"doc()doc";

static const char *__doc_LookTransform_m_impl = R"doc()doc";

static const char *__doc_LookTransform_Create = R"doc()doc";

static const char *__doc_LookTransform_GetLooksResultColorSpace = R"doc(Return the name of the color space after applying looks in the forward direction but without converting to the destination color space. This is equivalent to the process space of the last look in the look sequence (and takes into account that a look fall-back may be used).)doc";

static const char *__doc_LookTransform_createEditableCopy = R"doc()doc";

static const char *__doc_LookTransform_getDirection = R"doc()doc";

static const char *__doc_LookTransform_setDirection = R"doc(Note that this only affects the evaluation and not the values stored in the object.)doc";

static const char *__doc_LookTransform_getTransformType = R"doc()doc";

static const char *__doc_LookTransform_validate = R"doc(Will throw if data is not valid.)doc";

static const char *__doc_LookTransform_getSrc = R"doc()doc";

static const char *__doc_LookTransform_setSrc = R"doc()doc";

static const char *__doc_LookTransform_getDst = R"doc()doc";

static const char *__doc_LookTransform_setDst = R"doc()doc";

static const char *__doc_LookTransform_getLooks = R"doc()doc";

static const char *__doc_LookTransform_setLooks = R"doc(Specify looks to apply. Looks is a potentially comma (or colon) delimited list of look names, Where +/- prefixes are optionally allowed to denote forward/inverse look specification. (And forward is assumed in the absence of either))doc";

static const char *__doc_LookTransform_getSkipColorSpaceConversion = R"doc()doc";

static const char *__doc_LookTransform_setSkipColorSpaceConversion = R"doc()doc";

static const char *__doc_LookTransform_operator_assign = R"doc()doc";

static const char *__doc_LookTransform_LookTransform = R"doc(Do not use (needed only for pybind11).)doc";

static const char *__doc_LookTransform_LookTransform_2 = R"doc()doc";

static const char *__doc_LookTransform_LookTransform_3 = R"doc()doc";

static const char *__doc_LookTransform_getImpl = R"doc()doc";

static const char *__doc_LookTransform_getImpl_2 = R"doc()doc";

static const char *__doc_LookTransform_deleter = R"doc()doc";

static const char *__doc_Lut1DTransform = R"doc(Represents a 1D-LUT transform.)doc";

static const char *__doc_Lut1DTransform_Create = R"doc(Create an identity 1D-LUT of length two.)doc";

static const char *__doc_Lut1DTransform_Create_2 = R"doc(Create an identity 1D-LUT with specific length and half-domain setting. Will throw for lengths longer than 1024x1024.)doc";

static const char *__doc_Lut1DTransform_getTransformType = R"doc()doc";

static const char *__doc_Lut1DTransform_getFileOutputBitDepth = R"doc()doc";

static const char *__doc_Lut1DTransform_setFileOutputBitDepth = R"doc(Get the bit-depth associated with the LUT values read from a file or set the bit-depth of values to be written to a file (for file formats such as CLF that support multiple bit-depths). However, note that the values stored in the object are always normalized.)doc";

static const char *__doc_Lut1DTransform_getFormatMetadata = R"doc()doc";

static const char *__doc_Lut1DTransform_getFormatMetadata_2 = R"doc()doc";

static const char *__doc_Lut1DTransform_equals = R"doc(Checks if this exactly equals other.)doc";

static const char *__doc_Lut1DTransform_getLength = R"doc()doc";

static const char *__doc_Lut1DTransform_setLength = R"doc(Changing the length will reset the LUT to identity. Will throw for lengths longer than 1024x1024.)doc";

static const char *__doc_Lut1DTransform_getValue = R"doc()doc";

static const char *__doc_Lut1DTransform_setValue =
R"doc(Set the values of a LUT1D. Will throw if the index is outside of the range from 0 to (length-1).

The LUT values are always for the "forward" LUT, regardless of how the transform direction is set.

These values are normalized relative to what may be stored in any given LUT files. For example in a CLF file using a "10i" output depth, a value of 1023 in the file is normalized to 1.0. The values here are unclamped and may extend outside [0,1].

LUTs in various file formats may only provide values for one channel where R, G, B are the same. Even in that case, you should provide three equal values to the setter.)doc";

static const char *__doc_Lut1DTransform_getInputHalfDomain = R"doc()doc";

static const char *__doc_Lut1DTransform_setInputHalfDomain = R"doc(In a half-domain LUT, the contents of the LUT specify the desired value of the function for each half-float value. Therefore, the length of the LUT must be 65536 entries or else :ref:`validate()` will throw.)doc";

static const char *__doc_Lut1DTransform_getOutputRawHalfs = R"doc()doc";

static const char *__doc_Lut1DTransform_setOutputRawHalfs = R"doc(Set OutputRawHalfs to true if you want to output the LUT contents as 16-bit floating point values expressed as unsigned 16-bit integers representing the equivalent bit pattern. For example, the value 1.0 would be written as the integer 15360 because it has the same bit-pattern. Note that this implies the values will be quantized to a 16-bit float. Note that this setting only controls the output formatting (where supported) and not the values for getValue/setValue. The only file formats that currently support this are CLF and CTF.)doc";

static const char *__doc_Lut1DTransform_getHueAdjust = R"doc()doc";

static const char *__doc_Lut1DTransform_setHueAdjust = R"doc(The 1D-LUT transform optionally supports a hue adjustment feature that was used in some versions of ACES. This adjusts the hue of the result to approximately match the input.)doc";

static const char *__doc_Lut1DTransform_getInterpolation = R"doc()doc";

static const char *__doc_Lut1DTransform_setInterpolation = R"doc()doc";

static const char *__doc_Lut1DTransform_Lut1DTransform = R"doc()doc";

static const char *__doc_Lut1DTransform_operator_assign = R"doc()doc";

static const char *__doc_Lut1DTransform_Lut1DTransform_2 = R"doc(Do not use (needed only for pybind11).)doc";

static const char *__doc_Lut1DTransform_Lut1DTransform_3 = R"doc()doc";

static const char *__doc_Lut3DTransform = R"doc(Represents a 3D-LUT transform.)doc";

static const char *__doc_Lut3DTransform_Create = R"doc(Create an identity 3D-LUT of size 2x2x2.)doc";

static const char *__doc_Lut3DTransform_Create_2 = R"doc(Create an identity 3D-LUT with specific grid size. Will throw for grid size larger than 129.)doc";

static const char *__doc_Lut3DTransform_getTransformType = R"doc()doc";

static const char *__doc_Lut3DTransform_getFileOutputBitDepth = R"doc()doc";

static const char *__doc_Lut3DTransform_setFileOutputBitDepth = R"doc(Get the bit-depth associated with the LUT values read from a file or set the bit-depth of values to be written to a file (for file formats such as CLF that support multiple bit-depths). However, note that the values stored in the object are always normalized.)doc";

static const char *__doc_Lut3DTransform_getFormatMetadata = R"doc()doc";

static const char *__doc_Lut3DTransform_getFormatMetadata_2 = R"doc()doc";

static const char *__doc_Lut3DTransform_equals = R"doc(Checks if this exactly equals other.)doc";

static const char *__doc_Lut3DTransform_getGridSize = R"doc()doc";

static const char *__doc_Lut3DTransform_setGridSize = R"doc(Changing the grid size will reset the LUT to identity. Will throw for grid sizes larger than 129.)doc";

static const char *__doc_Lut3DTransform_getValue = R"doc()doc";

static const char *__doc_Lut3DTransform_setValue =
R"doc(Set the values of a 3D-LUT. Will throw if an index is outside of the range from 0 to (gridSize-1).

The LUT values are always for the "forward" LUT, regardless of how the transform direction is set.

These values are normalized relative to what may be stored in any given LUT files. For example in a CLF file using a "10i" output depth, a value of 1023 in the file is normalized to 1.0. The values here are unclamped and may extend outside [0,1].)doc";

static const char *__doc_Lut3DTransform_getInterpolation = R"doc()doc";

static const char *__doc_Lut3DTransform_setInterpolation = R"doc()doc";

static const char *__doc_Lut3DTransform_Lut3DTransform = R"doc()doc";

static const char *__doc_Lut3DTransform_operator_assign = R"doc()doc";

static const char *__doc_Lut3DTransform_Lut3DTransform_2 = R"doc(Do not use (needed only for pybind11).)doc";

static const char *__doc_Lut3DTransform_Lut3DTransform_3 = R"doc()doc";

static const char *__doc_MatrixTransform =
R"doc(Represents an MX+B Matrix transform.

.. note::
   For singular matrices, an inverse direction will throw an exception during finalization.)doc";

static const char *__doc_MatrixTransform_Create = R"doc()doc";

static const char *__doc_MatrixTransform_Fit =
R"doc(**Convenience functions**

Build the matrix and offset corresponding to higher-level concepts.

.. note::
   These can throw an exception if for any component `oldmin == oldmax. (divide by 0)`)doc";

static const char *__doc_MatrixTransform_Identity = R"doc()doc";

static const char *__doc_MatrixTransform_Sat = R"doc()doc";

static const char *__doc_MatrixTransform_Scale = R"doc()doc";

static const char *__doc_MatrixTransform_View = R"doc()doc";

static const char *__doc_MatrixTransform_getTransformType = R"doc()doc";

static const char *__doc_MatrixTransform_getFormatMetadata = R"doc()doc";

static const char *__doc_MatrixTransform_getFormatMetadata_2 = R"doc()doc";

static const char *__doc_MatrixTransform_equals = R"doc(Checks if this exactly equals other.)doc";

static const char *__doc_MatrixTransform_getMatrix = R"doc()doc";

static const char *__doc_MatrixTransform_setMatrix =
R"doc(Get or set the values of a Matrix. Expects 16 values, where the first four are the coefficients to generate the R output channel from R, G, B, A input channels.

The Matrix values are always for the "forward" Matrix, regardless of how the transform direction is set.

These values are normalized relative to what may be stored in file formats such as CLF. For example in a CLF file using a "32f" input depth and "10i" output depth, a value of 1023 in the file is normalized to 1.0. The values here are unclamped and may extend outside [0,1].)doc";

static const char *__doc_MatrixTransform_getOffset = R"doc()doc";

static const char *__doc_MatrixTransform_setOffset =
R"doc(Get or set the R, G, B, A offsets to be applied after the matrix.

These values are normalized relative to what may be stored in file formats such as CLF. For example, in a CLF file using a "10i" output depth, a value of 1023 in the file is normalized to 1.0. The values here are unclamped and may extend outside [0,1].)doc";

static const char *__doc_MatrixTransform_getFileInputBitDepth =
R"doc(Get the bit-depths associated with the matrix values read from a file or set the bit-depths of values to be written to a file (for file formats such as CLF that support multiple bit-depths).

In a format such as CLF, the matrix values are scaled to take pixels at the specified inBitDepth to pixels at the specified outBitDepth. This complicates the interpretation of the matrix values and so this object always holds normalized values and scaling is done on the way from or to file formats such as CLF.)doc";

static const char *__doc_MatrixTransform_setFileInputBitDepth = R"doc()doc";

static const char *__doc_MatrixTransform_getFileOutputBitDepth = R"doc()doc";

static const char *__doc_MatrixTransform_setFileOutputBitDepth = R"doc()doc";

static const char *__doc_MatrixTransform_MatrixTransform = R"doc()doc";

static const char *__doc_MatrixTransform_operator_assign = R"doc()doc";

static const char *__doc_MatrixTransform_MatrixTransform_2 = R"doc(Do not use (needed only for pybind11).)doc";

static const char *__doc_MatrixTransform_MatrixTransform_3 = R"doc()doc";

static const char *__doc_MixingColorSpaceManager = R"doc(Used to mix (or pick/choose) colors.)doc";

static const char *__doc_MixingColorSpaceManager_Create = R"doc()doc";

static const char *__doc_MixingColorSpaceManager_getNumMixingSpaces = R"doc(Access to the mixing spaces.)doc";

static const char *__doc_MixingColorSpaceManager_getMixingSpaceUIName = R"doc()doc";

static const char *__doc_MixingColorSpaceManager_getSelectedMixingSpaceIdx = R"doc()doc";

static const char *__doc_MixingColorSpaceManager_setSelectedMixingSpaceIdx = R"doc()doc";

static const char *__doc_MixingColorSpaceManager_setSelectedMixingSpace = R"doc()doc";

static const char *__doc_MixingColorSpaceManager_isPerceptuallyUniform = R"doc()doc";

static const char *__doc_MixingColorSpaceManager_getNumMixingEncodings = R"doc(Access to the mixing encodings.)doc";

static const char *__doc_MixingColorSpaceManager_getMixingEncodingName = R"doc()doc";

static const char *__doc_MixingColorSpaceManager_getSelectedMixingEncodingIdx = R"doc()doc";

static const char *__doc_MixingColorSpaceManager_setSelectedMixingEncodingIdx = R"doc()doc";

static const char *__doc_MixingColorSpaceManager_setSelectedMixingEncoding = R"doc()doc";

static const char *__doc_MixingColorSpaceManager_refresh = R"doc(Refresh the instance (i.e. needed following a configuration change for example).)doc";

static const char *__doc_MixingColorSpaceManager_getProcessor = R"doc()doc";

static const char *__doc_MixingColorSpaceManager_getSlider = R"doc()doc";

static const char *__doc_MixingColorSpaceManager_getSlider_2 = R"doc()doc";

static const char *__doc_MixingColorSpaceManager_MixingColorSpaceManager = R"doc()doc";

static const char *__doc_MixingColorSpaceManager_operator_assign = R"doc()doc";

static const char *__doc_MixingColorSpaceManager_MixingColorSpaceManager_2 = R"doc(Do not use (needed only for pybind11).)doc";

static const char *__doc_MixingColorSpaceManager_MixingColorSpaceManager_3 = R"doc()doc";

static const char *__doc_MixingSlider =
R"doc(The :ref:`MixingSlider` and :ref:`MixingColorSpaceManager` classes are to help applications implement correct color pickers. The term "color mixing" is used here to describe what is done in a typical application "color picker" user interface.

A user may want to mix colors in different color spaces. The two most common mixing space options are a scene-linear working space or the display space.

Since scene-linear color spaces are not perceptually uniform, it is necessary to compensate UI widgets such as sliders. For example, it is nice if mid-gray falls near the center of mixing controls rather than way over near the black end. This may be done by using a mapping from linear into an approximately perceptually uniform space.

Also note that a color picking/mixing UI may want to present a given color space in several different encodings. The most common two encodings for color mixing are RGB and HSV.

Note that these helpers anticipate that a user may want to mix colors using values that extend outside the typical [0,1] domain.)doc";

static const char *__doc_MixingSlider_setSliderMinEdge = R"doc(Set the minimum edge of a UI slider for conversion to mixing space.)doc";

static const char *__doc_MixingSlider_getSliderMinEdge = R"doc(Minimum edge of a UI slider for conversion to mixing space.)doc";

static const char *__doc_MixingSlider_setSliderMaxEdge = R"doc(Set the maximum edge of a UI slider for conversion to mixing space.)doc";

static const char *__doc_MixingSlider_getSliderMaxEdge = R"doc(Maximum edge of a UI slider for conversion to mixing space.)doc";

static const char *__doc_MixingSlider_sliderToMixing = R"doc(Convert from units in distance along the slider to mixing space units.)doc";

static const char *__doc_MixingSlider_mixingToSlider = R"doc(Convert from mixing space units to distance along the slider.)doc";

static const char *__doc_MixingSlider_MixingSlider = R"doc()doc";

static const char *__doc_MixingSlider_operator_assign = R"doc()doc";

static const char *__doc_MixingSlider_MixingSlider_2 = R"doc(Do not use (needed only for pybind11).)doc";

static const char *__doc_MixingSlider_MixingSlider_3 = R"doc()doc";

static const char *__doc_NamedTransform =
R"doc(:ref:`NamedTransform`. 

A :ref:`NamedTransform` provides a way for config authors to include a set of color transforms that are independent of the color space being processed. For example a "utility
curve" transform where there is no need to convert to or from a reference space.)doc";

static const char *__doc_NamedTransform_Create = R"doc()doc";

static const char *__doc_NamedTransform_GetTransform = R"doc(Will create the transform from the inverse direction if the transform for requested direction is missing.)doc";

static const char *__doc_NamedTransform_createEditableCopy = R"doc()doc";

static const char *__doc_NamedTransform_getName = R"doc()doc";

static const char *__doc_NamedTransform_setName = R"doc()doc";

static const char *__doc_NamedTransform_getNumAliases = R"doc(Aliases can be used instead of the name. They must be unique within the config.)doc";

static const char *__doc_NamedTransform_getAlias = R"doc(Return empty string if idx is out of range.)doc";

static const char *__doc_NamedTransform_addAlias = R"doc(Nothing is done if alias is NULL or empty, if it is already there, or if it is already the named transform name.)doc";

static const char *__doc_NamedTransform_removeAlias = R"doc(Does nothing if alias is not present.)doc";

static const char *__doc_NamedTransform_clearAliases = R"doc()doc";

static const char *__doc_NamedTransform_getFamily =
R"doc(.. see::
   :ref:`ColorSpace::getFamily`)doc";

static const char *__doc_NamedTransform_setFamily =
R"doc(.. see::
   :ref:`ColorSpace::setFamily`)doc";

static const char *__doc_NamedTransform_getDescription = R"doc()doc";

static const char *__doc_NamedTransform_setDescription = R"doc()doc";

static const char *__doc_NamedTransform_hasCategory =
R"doc(.. see::
   :ref:`ColorSpace::hasCategory`)doc";

static const char *__doc_NamedTransform_addCategory =
R"doc(.. see::
   :ref:`ColorSpace::addCategory`)doc";

static const char *__doc_NamedTransform_removeCategory =
R"doc(.. see::
   :ref:`ColorSpace::removeCategory`)doc";

static const char *__doc_NamedTransform_getNumCategories =
R"doc(.. see::
   :ref:`ColorSpace::getNumCategories`)doc";

static const char *__doc_NamedTransform_getCategory =
R"doc(.. see::
   :ref:`ColorSpace::getCategory`)doc";

static const char *__doc_NamedTransform_clearCategories =
R"doc(.. see::
   :ref:`ColorSpace::clearCategories`)doc";

static const char *__doc_NamedTransform_getEncoding = R"doc(A :ref:`NamedTransform` is not a color space and does not have an encoding in the same sense. However, it may be useful to associate a color space encoding that the transform is intended to be used with, for organizational purposes.)doc";

static const char *__doc_NamedTransform_setEncoding = R"doc()doc";

static const char *__doc_NamedTransform_getTransform = R"doc()doc";

static const char *__doc_NamedTransform_setTransform = R"doc()doc";

static const char *__doc_NamedTransform_NamedTransform = R"doc()doc";

static const char *__doc_NamedTransform_operator_assign = R"doc()doc";

static const char *__doc_NamedTransform_NamedTransform_2 = R"doc()doc";

static const char *__doc_NamedTransform_NamedTransform_3 = R"doc()doc";

static const char *__doc_PackedImageDesc =
R"doc(All the constructors expect a pointer to packed image data (such as rgbrgbrgb or rgbargbargba) starting at the first color channel of the first pixel to process (which does not need to be the first pixel of the image). The number of channels must be greater than or equal to 3. If a 4th channel is specified, it is assumed to be alpha information. Channels > 4 will be ignored.

.. note::
   The methods assume the :ref:`CPUProcessor` bit-depth type for the data pointer.)doc";

static const char *__doc_PackedImageDesc_m_impl = R"doc()doc";

static const char *__doc_PackedImageDesc_PackedImageDesc =
R"doc(.. note::
   numChannels must be 3 (RGB) or 4 (RGBA).)doc";

static const char *__doc_PackedImageDesc_PackedImageDesc_2 =
R"doc(.. note::
   numChannels must be 3 (RGB) or 4 (RGBA).)doc";

static const char *__doc_PackedImageDesc_PackedImageDesc_3 = R"doc()doc";

static const char *__doc_PackedImageDesc_PackedImageDesc_4 = R"doc()doc";

static const char *__doc_PackedImageDesc_PackedImageDesc_5 = R"doc()doc";

static const char *__doc_PackedImageDesc_getChannelOrder = R"doc(Get the channel ordering of all the pixels.)doc";

static const char *__doc_PackedImageDesc_getBitDepth = R"doc(Get the bit-depth.)doc";

static const char *__doc_PackedImageDesc_getData = R"doc(Get a pointer to the first color channel of the first pixel.)doc";

static const char *__doc_PackedImageDesc_getRData = R"doc(Get a pointer to the red channel of the first pixel.)doc";

static const char *__doc_PackedImageDesc_getGData = R"doc(Get a pointer to the green channel of the first pixel.)doc";

static const char *__doc_PackedImageDesc_getBData = R"doc(Get a pointer to the blue channel of the first pixel.)doc";

static const char *__doc_PackedImageDesc_getAData = R"doc(Get a pointer to the alpha channel of the first pixel or null as alpha channel is optional.)doc";

static const char *__doc_PackedImageDesc_getWidth = R"doc(Get the width to process (where x position starts at 0 and ends at width-1).)doc";

static const char *__doc_PackedImageDesc_getHeight = R"doc(Get the height to process (where y position starts at 0 and ends at height-1).)doc";

static const char *__doc_PackedImageDesc_getNumChannels = R"doc()doc";

static const char *__doc_PackedImageDesc_getChanStrideBytes = R"doc()doc";

static const char *__doc_PackedImageDesc_getXStrideBytes = R"doc(Get the step in bytes to find the same color channel of the next pixel.)doc";

static const char *__doc_PackedImageDesc_getYStrideBytes = R"doc(Get the step in bytes to find the same color channel of the pixel at the same position in the next line.)doc";

static const char *__doc_PackedImageDesc_isRGBAPacked = R"doc(Is the image buffer in packed mode with the 4 color channels? ("Packed" here means that XStrideBytes is 4x the bytes per channel, so it is more specific than simply any :ref:`PackedImageDesc`.))doc";

static const char *__doc_PackedImageDesc_isFloat = R"doc(Is the image buffer 32-bit float?)doc";

static const char *__doc_PackedImageDesc_getImpl = R"doc()doc";

static const char *__doc_PackedImageDesc_getImpl_2 = R"doc()doc";

static const char *__doc_PackedImageDesc_PackedImageDesc_6 = R"doc()doc";

static const char *__doc_PackedImageDesc_PackedImageDesc_7 = R"doc()doc";

static const char *__doc_PackedImageDesc_operator_assign = R"doc()doc";

static const char *__doc_PlanarImageDesc =
R"doc(All the constructors expect pointers to the specified image planes (i.e. rrrr gggg bbbb) starting at the first color channel of the first pixel to process (which need not be the first pixel of the image). Pass NULL for aData if no alpha exists (r/g/bData must not be NULL).

.. note::
   The methods assume the :ref:`CPUProcessor` bit-depth type for the R/G/B/A data pointers.)doc";

static const char *__doc_PlanarImageDesc_m_impl = R"doc()doc";

static const char *__doc_PlanarImageDesc_PlanarImageDesc = R"doc()doc";

static const char *__doc_PlanarImageDesc_PlanarImageDesc_2 = R"doc(Note that although :ref:`PlanarImageDesc` is powerful enough to also describe all :ref:`PackedImageDesc` scenarios, it is recommended to use a :ref:`PackedImageDesc` where possible since that allows for additional optimizations.)doc";

static const char *__doc_PlanarImageDesc_PlanarImageDesc_3 = R"doc()doc";

static const char *__doc_PlanarImageDesc_getRData = R"doc(Get a pointer to the red channel of the first pixel.)doc";

static const char *__doc_PlanarImageDesc_getGData = R"doc(Get a pointer to the green channel of the first pixel.)doc";

static const char *__doc_PlanarImageDesc_getBData = R"doc(Get a pointer to the blue channel of the first pixel.)doc";

static const char *__doc_PlanarImageDesc_getAData = R"doc(Get a pointer to the alpha channel of the first pixel or null as alpha channel is optional.)doc";

static const char *__doc_PlanarImageDesc_getBitDepth = R"doc(Get the bit-depth.)doc";

static const char *__doc_PlanarImageDesc_getWidth = R"doc(Get the width to process (where x position starts at 0 and ends at width-1).)doc";

static const char *__doc_PlanarImageDesc_getHeight = R"doc(Get the height to process (where y position starts at 0 and ends at height-1).)doc";

static const char *__doc_PlanarImageDesc_getXStrideBytes = R"doc(Get the step in bytes to find the same color channel of the next pixel.)doc";

static const char *__doc_PlanarImageDesc_getYStrideBytes = R"doc(Get the step in bytes to find the same color channel of the pixel at the same position in the next line.)doc";

static const char *__doc_PlanarImageDesc_isRGBAPacked = R"doc(Is the image buffer in packed mode with the 4 color channels? ("Packed" here means that XStrideBytes is 4x the bytes per channel, so it is more specific than simply any :ref:`PackedImageDesc`.))doc";

static const char *__doc_PlanarImageDesc_isFloat = R"doc(Is the image buffer 32-bit float?)doc";

static const char *__doc_PlanarImageDesc_getImpl = R"doc()doc";

static const char *__doc_PlanarImageDesc_getImpl_2 = R"doc()doc";

static const char *__doc_PlanarImageDesc_PlanarImageDesc_4 = R"doc()doc";

static const char *__doc_PlanarImageDesc_PlanarImageDesc_5 = R"doc()doc";

static const char *__doc_PlanarImageDesc_operator_assign = R"doc()doc";

static const char *__doc_Processor = R"doc(The *:ref:`Processor`* represents a specific color transformation which is the result of :ref:`Config::getProcessor`.)doc";

static const char *__doc_Processor_m_impl = R"doc()doc";

static const char *__doc_Processor_isNoOp = R"doc()doc";

static const char *__doc_Processor_hasChannelCrosstalk = R"doc(True if the image transformation is non-separable. For example, if a change in red may also cause a change in green or blue.)doc";

static const char *__doc_Processor_getCacheID = R"doc()doc";

static const char *__doc_Processor_getProcessorMetadata = R"doc(The :ref:`ProcessorMetadata` contains technical information such as the number of files and looks used in the processor.)doc";

static const char *__doc_Processor_getFormatMetadata = R"doc(Get a :ref:`FormatMetadata` containing the top level metadata for the processor. For a processor from a CLF file, this corresponds to the ProcessList metadata.)doc";

static const char *__doc_Processor_getNumTransforms = R"doc(Get the number of transforms that comprise the processor. Each transform has a (potentially empty) :ref:`FormatMetadata`.)doc";

static const char *__doc_Processor_getTransformFormatMetadata = R"doc(Get a :ref:`FormatMetadata` containing the metadata for a transform within the processor. For a processor from a CLF file, this corresponds to the metadata associated with an individual process node.)doc";

static const char *__doc_Processor_createGroupTransform = R"doc(Return a :ref:`GroupTransform` that contains a copy of the transforms that comprise the processor. (Changes to it will not modify the original processor.) Note that the :ref:`GroupTransform::write` method may be used to serialize a :ref:`Processor`. Serializing to CTF format is a useful technique for debugging :ref:`Processor` contents.)doc";

static const char *__doc_Processor_getDynamicProperty =
R"doc(The returned pointer may be used to set the default value of any dynamic properties of the requested type. Throws if the requested property is not found. Note that if the processor contains several ops that support the requested property, only one can be dynamic and only this one will be controlled.

.. note::
   The dynamic properties are a convenient way to change on-the-fly values without generating again and again a CPU or GPU processor instance. Color transformations can contain dynamic properties from a :ref:`ExposureContrastTransform` for example. So, :ref:`Processor`, :ref:`CPUProcessor` and :ref:`GpuShaderCreator` all have ways to manage dynamic properties. However, the transform dynamic properties are decoupled between the types of processor instances so that the same :ref:`Processor` can generate several independent CPU and/or GPU processor instances i.e. changing the value of the exposure dynamic property from a CPU processor instance does not affect the corresponding GPU processor instance. :ref:`Processor` creation will log a warning if there are more than one property of a given type. There may be more than one property of a given type, but only one will respond to parameter updates, the others will use their original parameter values.)doc";

static const char *__doc_Processor_hasDynamicProperty = R"doc(True if at least one dynamic property of that type exists.)doc";

static const char *__doc_Processor_isDynamic = R"doc(True if at least one dynamic property of any type exists and is dynamic.)doc";

static const char *__doc_Processor_getOptimizedProcessor = R"doc(Run the optimizer on a :ref:`Processor` to create a new :ref:`Processor`. It is usually not necessary to call this since getting a :ref:`CPUProcessor` or :ref:`GPUProcessor` will also optimize. However if you need both, calling this method first makes getting a CPU and GPU :ref:`Processor` faster since the optimization is effectively only done once.)doc";

static const char *__doc_Processor_getOptimizedProcessor_2 = R"doc(Create a :ref:`Processor` that is optimized for a specific in and out bit-depth (as :ref:`CPUProcessor` would do). This method is provided primarily for diagnostic purposes.)doc";

static const char *__doc_Processor_getDefaultGPUProcessor = R"doc(Get an optimized :ref:`GPUProcessor` instance.)doc";

static const char *__doc_Processor_getOptimizedGPUProcessor = R"doc()doc";

static const char *__doc_Processor_getOptimizedLegacyGPUProcessor = R"doc(Get an optimized :ref:`GPUProcessor` instance that will emulate the OCIO v1 GPU path. This approach bakes some of the ops into a single Lut3D and so is less accurate than the current GPU processing methods.)doc";

static const char *__doc_Processor_getDefaultCPUProcessor =
R"doc(Get an optimized :ref:`CPUProcessor` instance.

.. note::
   This may provide higher fidelity than anticipated due to internal optimizations. For example, if the inputColorSpace and the outputColorSpace are members of the same equalitygroup, no conversion will be applied, even though strictly speaking quantization should be added.

.. note::
   The typical use case to apply color processing to an image is:

.. code-block:: cpp

    OCIO::ConstConfigRcPtr config = OCIO::GetCurrentConfig();
    
    OCIO::ConstProcessorRcPtr processor
        = config->getProcessor(colorSpace1, colorSpace2);
    
    OCIO::ConstCPUProcessorRcPtr cpuProcessor
        = processor->getDefaultCPUProcessor();
    
    OCIO::PackedImageDesc img(imgDataPtr, imgWidth, imgHeight, imgChannels);
    cpuProcessor->apply(img);)doc";

static const char *__doc_Processor_getOptimizedCPUProcessor = R"doc()doc";

static const char *__doc_Processor_getOptimizedCPUProcessor_2 = R"doc()doc";

static const char *__doc_Processor_Processor = R"doc()doc";

static const char *__doc_Processor_operator_assign = R"doc()doc";

static const char *__doc_Processor_Processor_2 = R"doc(Do not use (needed only for pybind11).)doc";

static const char *__doc_Processor_Processor_3 = R"doc()doc";

static const char *__doc_Processor_getImpl = R"doc()doc";

static const char *__doc_Processor_getImpl_2 = R"doc()doc";

static const char *__doc_Processor_Create = R"doc()doc";

static const char *__doc_Processor_deleter = R"doc()doc";

static const char *__doc_ProcessorMetadata = R"doc(This class contains meta information about the process that generated this processor. The results of these functions do not impact the pixel processing.)doc";

static const char *__doc_ProcessorMetadata_m_impl = R"doc()doc";

static const char *__doc_ProcessorMetadata_Create = R"doc()doc";

static const char *__doc_ProcessorMetadata_getNumFiles = R"doc()doc";

static const char *__doc_ProcessorMetadata_getFile = R"doc()doc";

static const char *__doc_ProcessorMetadata_getNumLooks = R"doc()doc";

static const char *__doc_ProcessorMetadata_getLook = R"doc()doc";

static const char *__doc_ProcessorMetadata_addFile = R"doc()doc";

static const char *__doc_ProcessorMetadata_addLook = R"doc()doc";

static const char *__doc_ProcessorMetadata_ProcessorMetadata = R"doc()doc";

static const char *__doc_ProcessorMetadata_operator_assign = R"doc()doc";

static const char *__doc_ProcessorMetadata_ProcessorMetadata_2 = R"doc(Do not use (needed only for pybind11).)doc";

static const char *__doc_ProcessorMetadata_ProcessorMetadata_3 = R"doc()doc";

static const char *__doc_ProcessorMetadata_getImpl = R"doc()doc";

static const char *__doc_ProcessorMetadata_getImpl_2 = R"doc()doc";

static const char *__doc_ProcessorMetadata_deleter = R"doc()doc";

static const char *__doc_PyOpenColorIO = R"doc()doc";

static const char *__doc_RangeTransform =
R"doc(Represents a range transform

The Range is used to apply an affine transform (scale & offset) and clamps values to min/max bounds on all color components except the alpha. The scale and offset values are computed from the input and output bounds.

Refer to section 7.2.4 in specification S-2014-006 "A Common File Format
for Look-Up Tables" from the Academy of Motion Picture Arts and Sciences and the American Society of Cinematographers.

.. note::
   The "noClamp" style described in the specification S-2014-006 becomes a MatrixOp at the processor level.

.. note::
   Changing the transform direction does not modify the in/out values -- they are always specified with respect to the "forward" direction.)doc";

static const char *__doc_RangeTransform_Create = R"doc(Creates an instance of :ref:`RangeTransform`.)doc";

static const char *__doc_RangeTransform_getTransformType = R"doc()doc";

static const char *__doc_RangeTransform_getStyle = R"doc()doc";

static const char *__doc_RangeTransform_setStyle = R"doc(Set the Range style to clamp or not input values.)doc";

static const char *__doc_RangeTransform_getFormatMetadata = R"doc()doc";

static const char *__doc_RangeTransform_getFormatMetadata_2 = R"doc()doc";

static const char *__doc_RangeTransform_equals = R"doc(Checks if this equals other.)doc";

static const char *__doc_RangeTransform_getFileInputBitDepth =
R"doc(**File bit-depth**

In a format such as CLF, the range values are scaled to take pixels at the specified inBitDepth to pixels at the specified outBitDepth. This complicates the interpretation of the range values and so this object always holds normalized values and scaling is done on the way from or to file formats such as CLF. Get the bit-depths associated with the range values read from a file or set the bit-depths of values to be written to a file (for file formats such as CLF that support multiple bit-depths).)doc";

static const char *__doc_RangeTransform_setFileInputBitDepth = R"doc()doc";

static const char *__doc_RangeTransform_getFileOutputBitDepth = R"doc()doc";

static const char *__doc_RangeTransform_setFileOutputBitDepth = R"doc()doc";

static const char *__doc_RangeTransform_getMinInValue =
R"doc(Get the minimum value for the input. 

**Range values**

These values are normalized relative to what may be stored in file formats such as CLF. For example in a CLF file using a "10i" input depth, a MaxInValue of 1023 in the file is normalized to 1.0. Likewise, for an output depth of "12i", a MaxOutValue of 4095 in the file is normalized to 1.0. The values here are unclamped and may extend outside [0,1].)doc";

static const char *__doc_RangeTransform_setMinInValue = R"doc(Set the minimum value for the input.)doc";

static const char *__doc_RangeTransform_hasMinInValue = R"doc(Is the minimum value for the input set?)doc";

static const char *__doc_RangeTransform_unsetMinInValue = R"doc(Unset the minimum value for the input.)doc";

static const char *__doc_RangeTransform_setMaxInValue = R"doc(Set the maximum value for the input.)doc";

static const char *__doc_RangeTransform_getMaxInValue = R"doc(Get the maximum value for the input.)doc";

static const char *__doc_RangeTransform_hasMaxInValue = R"doc(Is the maximum value for the input set?)doc";

static const char *__doc_RangeTransform_unsetMaxInValue = R"doc(Unset the maximum value for the input.)doc";

static const char *__doc_RangeTransform_setMinOutValue = R"doc(Set the minimum value for the output.)doc";

static const char *__doc_RangeTransform_getMinOutValue = R"doc(Get the minimum value for the output.)doc";

static const char *__doc_RangeTransform_hasMinOutValue = R"doc(Is the minimum value for the output set?)doc";

static const char *__doc_RangeTransform_unsetMinOutValue = R"doc(Unset the minimum value for the output.)doc";

static const char *__doc_RangeTransform_setMaxOutValue = R"doc(Set the maximum value for the output.)doc";

static const char *__doc_RangeTransform_getMaxOutValue = R"doc(Get the maximum value for the output.)doc";

static const char *__doc_RangeTransform_hasMaxOutValue = R"doc(Is the maximum value for the output set?)doc";

static const char *__doc_RangeTransform_unsetMaxOutValue = R"doc(Unset the maximum value for the output.)doc";

static const char *__doc_RangeTransform_RangeTransform = R"doc()doc";

static const char *__doc_RangeTransform_operator_assign = R"doc()doc";

static const char *__doc_RangeTransform_RangeTransform_2 = R"doc(Do not use (needed only for pybind11).)doc";

static const char *__doc_RangeTransform_RangeTransform_3 = R"doc()doc";

static const char *__doc_SystemMonitors = R"doc(Provides access to the ICC monitor profile provided by the operating system for each active display.)doc";

static const char *__doc_SystemMonitors_SystemMonitors = R"doc()doc";

static const char *__doc_SystemMonitors_operator_assign = R"doc()doc";

static const char *__doc_SystemMonitors_isSupported = R"doc(True if the OS is able to provide ICC profiles for the attached monitors (macOS, Windows) and false otherwise.)doc";

static const char *__doc_SystemMonitors_getNumMonitors =
R"doc(Get the number of active monitors reported by the operating system. 

Methods to access some information of the attached and active monitors.)doc";

static const char *__doc_SystemMonitors_getMonitorName =
R"doc(Get the monitor profile name. 

Get the string describing the monitor. It is used as an argument to instantiateDisplay. It may also be used in a UI to ask a user which of several monitors they want to instantiate a display for.)doc";

static const char *__doc_SystemMonitors_getProfileFilepath = R"doc(Get the ICC profile path associated to the monitor.)doc";

static const char *__doc_SystemMonitors_Get = R"doc(Get the existing instance.)doc";

static const char *__doc_SystemMonitors_SystemMonitors_2 = R"doc()doc";

static const char *__doc_SystemMonitors_SystemMonitors_3 = R"doc()doc";

static const char *__doc_Transform = R"doc(Base class for all the transform classes.)doc";

static const char *__doc_Transform_createEditableCopy = R"doc()doc";

static const char *__doc_Transform_getDirection = R"doc()doc";

static const char *__doc_Transform_setDirection = R"doc(Note that this only affects the evaluation and not the values stored in the object.)doc";

static const char *__doc_Transform_getTransformType = R"doc()doc";

static const char *__doc_Transform_validate = R"doc(Will throw if data is not valid.)doc";

static const char *__doc_Transform_Transform = R"doc()doc";

static const char *__doc_Transform_operator_assign = R"doc()doc";

static const char *__doc_Transform_Transform_2 = R"doc(Do not use (needed only for pybind11).)doc";

static const char *__doc_Transform_Transform_3 = R"doc()doc";

static const char *__doc_UniformData =
R"doc(Used to retrieve uniform information. :ref:`UniformData` m_type indicates the type of uniform and what member of the structure should be used:
- UNIFORM_DOUBLE: m_getDouble.
- UNIFORM_BOOL: m_getBool.
- UNIFORM_FLOAT3: m_getFloat3.
- UNIFORM_VECTOR_FLOAT: m_vectorFloat.
- UNIFORM_VECTOR_INT: m_vectorInt.)doc";

static const char *__doc_UniformData_m_type = R"doc()doc";

static const char *__doc_UniformData_m_getDouble = R"doc()doc";

static const char *__doc_UniformData_m_getBool = R"doc()doc";

static const char *__doc_UniformData_m_getFloat3 = R"doc()doc";

static const char *__doc_UniformData_m_vectorFloat = R"doc()doc";

static const char *__doc_UniformData_m_vectorInt = R"doc()doc";

static const char *__doc_VectorFloat = R"doc()doc";

static const char *__doc_VectorFloat_m_getSize = R"doc()doc";

static const char *__doc_VectorFloat_m_getVector = R"doc()doc";

static const char *__doc_VectorInt = R"doc()doc";

static const char *__doc_VectorInt_m_getSize = R"doc()doc";

static const char *__doc_VectorInt_m_getVector = R"doc()doc";

static const char *__doc_ViewingRules =
R"doc(:ref:`ViewingRules`

Viewing Rules allow config authors to filter the list of views an application should offer based on the color space of an image. For example, a config may define a large number of views but not all of them may be appropriate for use with all color spaces. E.g., some views may be intended for use with scene-linear color space encodings and others with video color space encodings.

Each rule has a name key for applications to refer to the rule. Name values must be unique (using case insensitive comparison). Viewing Rules may also have the following keys:

- colorspaces: Either a single colorspace name or a list of names.
- encodings: One or more strings to be found in the colorspace's encoding attribute. Either this attribute or colorspaces must be present, but not both.
- custom : Allows arbitrary key / value string pairs, similar to :ref:`FileRules`.

Getters and setters are using the rule position, they will throw if the position is not valid.)doc";

static const char *__doc_ViewingRules_m_impl = R"doc()doc";

static const char *__doc_ViewingRules_Create = R"doc(Creates :ref:`ViewingRules` for a :ref:`Config`.)doc";

static const char *__doc_ViewingRules_createEditableCopy = R"doc(The method clones the content decoupling the two instances.)doc";

static const char *__doc_ViewingRules_getNumEntries = R"doc()doc";

static const char *__doc_ViewingRules_getIndexForRule = R"doc(Get the index from the rule name. Will throw if there is no rule named ruleName.)doc";

static const char *__doc_ViewingRules_getName = R"doc(Get name of the rule. Will throw if ruleIndex is invalid.)doc";

static const char *__doc_ViewingRules_getNumColorSpaces = R"doc(Get number of colorspaces. Will throw if ruleIndex is invalid.)doc";

static const char *__doc_ViewingRules_getColorSpace = R"doc(Get colorspace name. Will throw if ruleIndex or colorSpaceIndex is invalid.)doc";

static const char *__doc_ViewingRules_addColorSpace =
R"doc(Add colorspace name. Will throw if: 

- RuleIndex is invalid.
- :ref:`ViewingRules::getNumEncodings` is not 0.)doc";

static const char *__doc_ViewingRules_removeColorSpace = R"doc(Remove colorspace. Will throw if ruleIndex or colorSpaceIndex is invalid.)doc";

static const char *__doc_ViewingRules_getNumEncodings = R"doc(Get number of encodings. Will throw if ruleIndex is invalid.)doc";

static const char *__doc_ViewingRules_getEncoding = R"doc(Get encoding name. Will throw if ruleIndex or encodingIndex is invalid.)doc";

static const char *__doc_ViewingRules_addEncoding =
R"doc(Add encoding name. Will throw if: 

- RuleIndex is invalid.
- :ref:`ViewingRules::getNumColorSpaces` is not 0.)doc";

static const char *__doc_ViewingRules_removeEncoding = R"doc(Remove encoding. Will throw if ruleIndex or encodingIndex is invalid.)doc";

static const char *__doc_ViewingRules_getNumCustomKeys = R"doc(Get number of key/value pairs. Will throw if ruleIndex is invalid.)doc";

static const char *__doc_ViewingRules_getCustomKeyName = R"doc(Get name of key. Will throw if ruleIndex or keyIndex is invalid.)doc";

static const char *__doc_ViewingRules_getCustomKeyValue = R"doc(Get value for the key. Will throw if ruleIndex or keyIndex is invalid.)doc";

static const char *__doc_ViewingRules_setCustomKey = R"doc(Adds a key/value or replace value if key exists. Setting a NULL or an empty value will erase the key. Will throw if ruleIndex is invalid.)doc";

static const char *__doc_ViewingRules_insertRule =
R"doc(Insert a rule at a given ruleIndex. 

Rule currently at ruleIndex will be pushed to index: ruleIndex + 1. If ruleIndex is ViewingRules::getNumEntries, a new rule will be added at the end. Will throw if:
- RuleIndex is invalid (must be less than or equal to ViewingRules::getNumEntries).
- RuleName already exists.)doc";

static const char *__doc_ViewingRules_removeRule = R"doc(Remove a rule. Throws if ruleIndex is not valid.)doc";

static const char *__doc_ViewingRules_ViewingRules = R"doc()doc";

static const char *__doc_ViewingRules_operator_assign = R"doc()doc";

static const char *__doc_ViewingRules_ViewingRules_2 = R"doc(Do not use (needed only for pybind11).)doc";

static const char *__doc_ViewingRules_ViewingRules_3 = R"doc()doc";

static const char *__doc_ViewingRules_getImpl = R"doc()doc";

static const char *__doc_ViewingRules_getImpl_2 = R"doc()doc";

static const char *__doc_ViewingRules_deleter = R"doc()doc";

static const char *__doc_ViewTransform =
R"doc(A *:ref:`ViewTransform`* provides a conversion from the main (usually scene-referred) reference space to the display-referred reference space. This allows splitting the conversion from the main reference space to a display into two parts: the :ref:`ViewTransform` plus a display color space.

It is also possible to provide a :ref:`ViewTransform` that converts from the display-referred reference space back to that space. This is useful in cases when a :ref:`ViewTransform` is needed when converting between displays (such as HDR to SDR).

The ReferenceSpaceType indicates whether the :ref:`ViewTransform` converts from scene-to-display reference or display-to-display reference.

The from_reference transform direction is the one that is used when going out towards a display.)doc";

static const char *__doc_ViewTransform_m_impl = R"doc()doc";

static const char *__doc_ViewTransform_Create = R"doc()doc";

static const char *__doc_ViewTransform_createEditableCopy = R"doc()doc";

static const char *__doc_ViewTransform_getName = R"doc()doc";

static const char *__doc_ViewTransform_setName = R"doc()doc";

static const char *__doc_ViewTransform_getFamily =
R"doc(.. see::
   :ref:`ColorSpace::getFamily`)doc";

static const char *__doc_ViewTransform_setFamily =
R"doc(.. see::
   :ref:`ColorSpace::setFamily`)doc";

static const char *__doc_ViewTransform_getDescription = R"doc()doc";

static const char *__doc_ViewTransform_setDescription = R"doc()doc";

static const char *__doc_ViewTransform_hasCategory =
R"doc(.. see::
   :ref:`ColorSpace::hasCategory`)doc";

static const char *__doc_ViewTransform_addCategory =
R"doc(.. see::
   :ref:`ColorSpace::addCategory`)doc";

static const char *__doc_ViewTransform_removeCategory =
R"doc(.. see::
   :ref:`ColorSpace::removeCategory`)doc";

static const char *__doc_ViewTransform_getNumCategories =
R"doc(.. see::
   :ref:`ColorSpace::getNumCategories`)doc";

static const char *__doc_ViewTransform_getCategory =
R"doc(.. see::
   :ref:`ColorSpace::getCategory`)doc";

static const char *__doc_ViewTransform_clearCategories =
R"doc(.. see::
   :ref:`ColorSpace::clearCategories`)doc";

static const char *__doc_ViewTransform_getReferenceSpaceType = R"doc()doc";

static const char *__doc_ViewTransform_getTransform = R"doc(If a transform in the specified direction has been specified, return it. Otherwise return a null ConstTransformRcPtr)doc";

static const char *__doc_ViewTransform_setTransform = R"doc(Specify the transform for the appropriate direction. Setting the transform to null will clear it.)doc";

static const char *__doc_ViewTransform_ViewTransform = R"doc()doc";

static const char *__doc_ViewTransform_operator_assign = R"doc()doc";

static const char *__doc_ViewTransform_ViewTransform_2 = R"doc(Do not use (needed only for pybind11).)doc";

static const char *__doc_ViewTransform_ViewTransform_3 = R"doc()doc";

static const char *__doc_ViewTransform_ViewTransform_4 = R"doc()doc";

static const char *__doc_ViewTransform_getImpl = R"doc()doc";

static const char *__doc_ViewTransform_getImpl_2 = R"doc()doc";

static const char *__doc_ViewTransform_deleter = R"doc()doc";

static const char *__doc_PyOpenColorIO_2 =
R"doc(C++ Transforms 
===============

Typically only needed when creating and/or manipulating configurations

rst:: C++ Types 
==========)doc";

static const char *__doc_PyOpenColorIO_LoggingLevel = R"doc()doc";

static const char *__doc_PyOpenColorIO_LoggingLevel_LOGGING_LEVEL_NONE = R"doc()doc";

static const char *__doc_PyOpenColorIO_LoggingLevel_LOGGING_LEVEL_WARNING = R"doc()doc";

static const char *__doc_PyOpenColorIO_LoggingLevel_LOGGING_LEVEL_INFO = R"doc()doc";

static const char *__doc_PyOpenColorIO_LoggingLevel_LOGGING_LEVEL_DEBUG = R"doc()doc";

static const char *__doc_PyOpenColorIO_LoggingLevel_LOGGING_LEVEL_UNKNOWN = R"doc()doc";

static const char *__doc_PyOpenColorIO_LoggingLevel_LOGGING_LEVEL_DEFAULT = R"doc()doc";

static const char *__doc_PyOpenColorIO_ReferenceSpaceType = R"doc(OCIO does not mandate the image state of the main reference space and it is not required to be scene-referred. This enum is used in connection with the display color space and view transform features which do assume that the main reference space is scene-referred and the display reference space is display-referred. If a config used a non-scene-referred reference space, presumably it would not use either display color spaces or view transforms, so this enum becomes irrelevant.)doc";

static const char *__doc_PyOpenColorIO_ReferenceSpaceType_REFERENCE_SPACE_SCENE = R"doc(the main scene reference space)doc";

static const char *__doc_PyOpenColorIO_ReferenceSpaceType_REFERENCE_SPACE_DISPLAY = R"doc(the reference space for display color spaces)doc";

static const char *__doc_PyOpenColorIO_SearchReferenceSpaceType = R"doc()doc";

static const char *__doc_PyOpenColorIO_SearchReferenceSpaceType_SEARCH_REFERENCE_SPACE_SCENE = R"doc()doc";

static const char *__doc_PyOpenColorIO_SearchReferenceSpaceType_SEARCH_REFERENCE_SPACE_DISPLAY = R"doc()doc";

static const char *__doc_PyOpenColorIO_SearchReferenceSpaceType_SEARCH_REFERENCE_SPACE_ALL = R"doc()doc";

static const char *__doc_PyOpenColorIO_ColorSpaceVisibility = R"doc()doc";

static const char *__doc_PyOpenColorIO_ColorSpaceVisibility_COLORSPACE_ACTIVE = R"doc()doc";

static const char *__doc_PyOpenColorIO_ColorSpaceVisibility_COLORSPACE_INACTIVE = R"doc()doc";

static const char *__doc_PyOpenColorIO_ColorSpaceVisibility_COLORSPACE_ALL = R"doc()doc";

static const char *__doc_PyOpenColorIO_NamedTransformVisibility = R"doc()doc";

static const char *__doc_PyOpenColorIO_NamedTransformVisibility_NAMEDTRANSFORM_ACTIVE = R"doc()doc";

static const char *__doc_PyOpenColorIO_NamedTransformVisibility_NAMEDTRANSFORM_INACTIVE = R"doc()doc";

static const char *__doc_PyOpenColorIO_NamedTransformVisibility_NAMEDTRANSFORM_ALL = R"doc()doc";

static const char *__doc_PyOpenColorIO_ViewType = R"doc()doc";

static const char *__doc_PyOpenColorIO_ViewType_VIEW_SHARED = R"doc()doc";

static const char *__doc_PyOpenColorIO_ViewType_VIEW_DISPLAY_DEFINED = R"doc()doc";

static const char *__doc_PyOpenColorIO_ColorSpaceDirection = R"doc()doc";

static const char *__doc_PyOpenColorIO_ColorSpaceDirection_COLORSPACE_DIR_TO_REFERENCE = R"doc()doc";

static const char *__doc_PyOpenColorIO_ColorSpaceDirection_COLORSPACE_DIR_FROM_REFERENCE = R"doc()doc";

static const char *__doc_PyOpenColorIO_ViewTransformDirection = R"doc()doc";

static const char *__doc_PyOpenColorIO_ViewTransformDirection_VIEWTRANSFORM_DIR_TO_REFERENCE = R"doc()doc";

static const char *__doc_PyOpenColorIO_ViewTransformDirection_VIEWTRANSFORM_DIR_FROM_REFERENCE = R"doc()doc";

static const char *__doc_PyOpenColorIO_TransformDirection = R"doc()doc";

static const char *__doc_PyOpenColorIO_TransformDirection_TRANSFORM_DIR_FORWARD = R"doc()doc";

static const char *__doc_PyOpenColorIO_TransformDirection_TRANSFORM_DIR_INVERSE = R"doc()doc";

static const char *__doc_PyOpenColorIO_TransformType = R"doc()doc";

static const char *__doc_PyOpenColorIO_TransformType_TRANSFORM_TYPE_ALLOCATION = R"doc()doc";

static const char *__doc_PyOpenColorIO_TransformType_TRANSFORM_TYPE_BUILTIN = R"doc()doc";

static const char *__doc_PyOpenColorIO_TransformType_TRANSFORM_TYPE_CDL = R"doc()doc";

static const char *__doc_PyOpenColorIO_TransformType_TRANSFORM_TYPE_COLORSPACE = R"doc()doc";

static const char *__doc_PyOpenColorIO_TransformType_TRANSFORM_TYPE_DISPLAY_VIEW = R"doc()doc";

static const char *__doc_PyOpenColorIO_TransformType_TRANSFORM_TYPE_EXPONENT = R"doc()doc";

static const char *__doc_PyOpenColorIO_TransformType_TRANSFORM_TYPE_EXPONENT_WITH_LINEAR = R"doc()doc";

static const char *__doc_PyOpenColorIO_TransformType_TRANSFORM_TYPE_EXPOSURE_CONTRAST = R"doc()doc";

static const char *__doc_PyOpenColorIO_TransformType_TRANSFORM_TYPE_FILE = R"doc()doc";

static const char *__doc_PyOpenColorIO_TransformType_TRANSFORM_TYPE_FIXED_FUNCTION = R"doc()doc";

static const char *__doc_PyOpenColorIO_TransformType_TRANSFORM_TYPE_GRADING_PRIMARY = R"doc()doc";

static const char *__doc_PyOpenColorIO_TransformType_TRANSFORM_TYPE_GRADING_RGB_CURVE = R"doc()doc";

static const char *__doc_PyOpenColorIO_TransformType_TRANSFORM_TYPE_GRADING_TONE = R"doc()doc";

static const char *__doc_PyOpenColorIO_TransformType_TRANSFORM_TYPE_GROUP = R"doc()doc";

static const char *__doc_PyOpenColorIO_TransformType_TRANSFORM_TYPE_LOG_AFFINE = R"doc()doc";

static const char *__doc_PyOpenColorIO_TransformType_TRANSFORM_TYPE_LOG_CAMERA = R"doc()doc";

static const char *__doc_PyOpenColorIO_TransformType_TRANSFORM_TYPE_LOG = R"doc()doc";

static const char *__doc_PyOpenColorIO_TransformType_TRANSFORM_TYPE_LOOK = R"doc()doc";

static const char *__doc_PyOpenColorIO_TransformType_TRANSFORM_TYPE_LUT1D = R"doc()doc";

static const char *__doc_PyOpenColorIO_TransformType_TRANSFORM_TYPE_LUT3D = R"doc()doc";

static const char *__doc_PyOpenColorIO_TransformType_TRANSFORM_TYPE_MATRIX = R"doc()doc";

static const char *__doc_PyOpenColorIO_TransformType_TRANSFORM_TYPE_RANGE = R"doc()doc";

static const char *__doc_PyOpenColorIO_Interpolation =
R"doc(Specify the interpolation type to use If the specified interpolation type is not supported in the requested context (for example, using tetrahedral interpolationon 1D LUTs) an exception will be thrown.

INTERP_DEFAULT will choose the default interpolation type for the requested context:

1D LUT INTERP_DEFAULT: LINEAR 3D LUT INTERP_DEFAULT: LINEAR

INTERP_BEST will choose the best interpolation type for the requested context:

1D LUT INTERP_BEST: LINEAR 3D LUT INTERP_BEST: TETRAHEDRAL

Note: INTERP_BEST and INTERP_DEFAULT are subject to change in minor releases, so if you care about locking off on a specific interpolation type, we'd recommend directly specifying it.)doc";

static const char *__doc_PyOpenColorIO_Interpolation_INTERP_UNKNOWN = R"doc()doc";

static const char *__doc_PyOpenColorIO_Interpolation_INTERP_NEAREST = R"doc(nearest neighbor)doc";

static const char *__doc_PyOpenColorIO_Interpolation_INTERP_LINEAR = R"doc(linear interpolation (trilinear for Lut3D))doc";

static const char *__doc_PyOpenColorIO_Interpolation_INTERP_TETRAHEDRAL = R"doc(tetrahedral interpolation (Lut3D only))doc";

static const char *__doc_PyOpenColorIO_Interpolation_INTERP_CUBIC = R"doc(cubic interpolation (not supported))doc";

static const char *__doc_PyOpenColorIO_Interpolation_INTERP_DEFAULT = R"doc(the default interpolation type)doc";

static const char *__doc_PyOpenColorIO_Interpolation_INTERP_BEST = R"doc(the 'best' suitable interpolation type)doc";

static const char *__doc_PyOpenColorIO_BitDepth = R"doc(Used in a configuration file to indicate the bit-depth of a color space, and by the :ref:`Processor` to specify the input and output bit-depths of images to process. Note that :ref:`Processor` only supports: UINT8, UINT10, UINT12, UINT16, F16 and F32.)doc";

static const char *__doc_PyOpenColorIO_BitDepth_BIT_DEPTH_UNKNOWN = R"doc()doc";

static const char *__doc_PyOpenColorIO_BitDepth_BIT_DEPTH_UINT8 = R"doc()doc";

static const char *__doc_PyOpenColorIO_BitDepth_BIT_DEPTH_UINT10 = R"doc()doc";

static const char *__doc_PyOpenColorIO_BitDepth_BIT_DEPTH_UINT12 = R"doc()doc";

static const char *__doc_PyOpenColorIO_BitDepth_BIT_DEPTH_UINT14 = R"doc()doc";

static const char *__doc_PyOpenColorIO_BitDepth_BIT_DEPTH_UINT16 = R"doc()doc";

static const char *__doc_PyOpenColorIO_BitDepth_BIT_DEPTH_UINT32 = R"doc(Here for historical reason but that's not supported.)doc";

static const char *__doc_PyOpenColorIO_BitDepth_BIT_DEPTH_F16 = R"doc()doc";

static const char *__doc_PyOpenColorIO_BitDepth_BIT_DEPTH_F32 = R"doc()doc";

static const char *__doc_PyOpenColorIO_Lut1DHueAdjust = R"doc(Used by :cpp:class`:ref:`Lut1DTransform`` to control optional hue restoration algorithm.)doc";

static const char *__doc_PyOpenColorIO_Lut1DHueAdjust_HUE_NONE = R"doc(No adjustment.)doc";

static const char *__doc_PyOpenColorIO_Lut1DHueAdjust_HUE_DW3 = R"doc(Algorithm used in ACES Output Transforms through v0.7.)doc";

static const char *__doc_PyOpenColorIO_Lut1DHueAdjust_HUE_WYPN = R"doc(Weighted Yellow Power Norm -- NOT IMPLEMENTED YET.)doc";

static const char *__doc_PyOpenColorIO_ChannelOrdering = R"doc(Used by :ref:`PackedImageDesc` to indicate the channel ordering of the image to process.)doc";

static const char *__doc_PyOpenColorIO_ChannelOrdering_CHANNEL_ORDERING_RGBA = R"doc()doc";

static const char *__doc_PyOpenColorIO_ChannelOrdering_CHANNEL_ORDERING_BGRA = R"doc()doc";

static const char *__doc_PyOpenColorIO_ChannelOrdering_CHANNEL_ORDERING_ABGR = R"doc()doc";

static const char *__doc_PyOpenColorIO_ChannelOrdering_CHANNEL_ORDERING_RGB = R"doc()doc";

static const char *__doc_PyOpenColorIO_ChannelOrdering_CHANNEL_ORDERING_BGR = R"doc()doc";

static const char *__doc_PyOpenColorIO_Allocation = R"doc()doc";

static const char *__doc_PyOpenColorIO_Allocation_ALLOCATION_UNKNOWN = R"doc()doc";

static const char *__doc_PyOpenColorIO_Allocation_ALLOCATION_UNIFORM = R"doc()doc";

static const char *__doc_PyOpenColorIO_Allocation_ALLOCATION_LG2 = R"doc()doc";

static const char *__doc_PyOpenColorIO_GpuLanguage = R"doc(Used when there is a choice of hardware shader language.)doc";

static const char *__doc_PyOpenColorIO_GpuLanguage_GPU_LANGUAGE_CG = R"doc(Nvidia Cg shader.)doc";

static const char *__doc_PyOpenColorIO_GpuLanguage_GPU_LANGUAGE_GLSL_1_2 = R"doc(OpenGL Shading Language.)doc";

static const char *__doc_PyOpenColorIO_GpuLanguage_GPU_LANGUAGE_GLSL_1_3 = R"doc(OpenGL Shading Language.)doc";

static const char *__doc_PyOpenColorIO_GpuLanguage_GPU_LANGUAGE_GLSL_4_0 = R"doc(OpenGL Shading Language.)doc";

static const char *__doc_PyOpenColorIO_GpuLanguage_GPU_LANGUAGE_HLSL_DX11 = R"doc(DirectX Shading Language.)doc";

static const char *__doc_PyOpenColorIO_GpuLanguage_LANGUAGE_OSL_1 = R"doc(Open Shading Language.)doc";

static const char *__doc_PyOpenColorIO_GpuLanguage_GPU_LANGUAGE_GLSL_ES_1_0 = R"doc(OpenGL ES Shading Language.)doc";

static const char *__doc_PyOpenColorIO_GpuLanguage_GPU_LANGUAGE_GLSL_ES_3_0 = R"doc(OpenGL ES Shading Language.)doc";

static const char *__doc_PyOpenColorIO_GpuLanguage_GPU_LANGUAGE_MSL_2_0 = R"doc(Metal Shading Language.)doc";

static const char *__doc_PyOpenColorIO_EnvironmentMode = R"doc(Controls which environment variables are loaded into a :ref:`Context` object.)doc";

static const char *__doc_PyOpenColorIO_EnvironmentMode_ENV_ENVIRONMENT_UNKNOWN = R"doc()doc";

static const char *__doc_PyOpenColorIO_EnvironmentMode_ENV_ENVIRONMENT_LOAD_PREDEFINED = R"doc(Only load vars in the config's environment section.)doc";

static const char *__doc_PyOpenColorIO_EnvironmentMode_ENV_ENVIRONMENT_LOAD_ALL = R"doc(Load all env. vars (note: may reduce performance))doc";

static const char *__doc_PyOpenColorIO_RangeStyle = R"doc(A :ref:`RangeTransform` may be set to clamp the values, or not.)doc";

static const char *__doc_PyOpenColorIO_RangeStyle_RANGE_NO_CLAMP = R"doc()doc";

static const char *__doc_PyOpenColorIO_RangeStyle_RANGE_CLAMP = R"doc()doc";

static const char *__doc_PyOpenColorIO_FixedFunctionStyle = R"doc(Enumeration of the :cpp:class:`:ref:`FixedFunctionTransform`` transform algorithms.)doc";

static const char *__doc_PyOpenColorIO_FixedFunctionStyle_FIXED_FUNCTION_ACES_RED_MOD_03 = R"doc(Red modifier (ACES 0.3/0.7))doc";

static const char *__doc_PyOpenColorIO_FixedFunctionStyle_FIXED_FUNCTION_ACES_RED_MOD_10 = R"doc(Red modifier (ACES 1.0))doc";

static const char *__doc_PyOpenColorIO_FixedFunctionStyle_FIXED_FUNCTION_ACES_GLOW_03 = R"doc(Glow function (ACES 0.3/0.7))doc";

static const char *__doc_PyOpenColorIO_FixedFunctionStyle_FIXED_FUNCTION_ACES_GLOW_10 = R"doc(Glow function (ACES 1.0))doc";

static const char *__doc_PyOpenColorIO_FixedFunctionStyle_FIXED_FUNCTION_ACES_DARK_TO_DIM_10 = R"doc(Dark to dim surround correction (ACES 1.0))doc";

static const char *__doc_PyOpenColorIO_FixedFunctionStyle_FIXED_FUNCTION_REC2100_SURROUND = R"doc(Rec.2100 surround correction (takes one double for the gamma param))doc";

static const char *__doc_PyOpenColorIO_FixedFunctionStyle_FIXED_FUNCTION_RGB_TO_HSV = R"doc(Classic RGB to HSV function.)doc";

static const char *__doc_PyOpenColorIO_FixedFunctionStyle_FIXED_FUNCTION_XYZ_TO_xyY = R"doc(CIE XYZ to 1931 xy chromaticity coordinates.)doc";

static const char *__doc_PyOpenColorIO_FixedFunctionStyle_FIXED_FUNCTION_XYZ_TO_uvY = R"doc(CIE XYZ to 1976 u'v' chromaticity coordinates.)doc";

static const char *__doc_PyOpenColorIO_FixedFunctionStyle_FIXED_FUNCTION_XYZ_TO_LUV = R"doc(CIE XYZ to 1976 CIELUV colour space (D65 white))doc";

static const char *__doc_PyOpenColorIO_FixedFunctionStyle_FIXED_FUNCTION_ACES_GAMUTMAP_02 = R"doc(ACES 0.2 Gamut clamping algorithm -- NOT IMPLEMENTED YET.)doc";

static const char *__doc_PyOpenColorIO_FixedFunctionStyle_FIXED_FUNCTION_ACES_GAMUTMAP_07 = R"doc(ACES 0.7 Gamut clamping algorithm -- NOT IMPLEMENTED YET.)doc";

static const char *__doc_PyOpenColorIO_FixedFunctionStyle_FIXED_FUNCTION_ACES_GAMUT_COMP_13 = R"doc(ACES 1.3 Parametric Gamut Compression (expects ACEScg values))doc";

static const char *__doc_PyOpenColorIO_ExposureContrastStyle = R"doc(Enumeration of the :cpp:class:`:ref:`ExposureContrastTransform`` transform algorithms.)doc";

static const char *__doc_PyOpenColorIO_ExposureContrastStyle_EXPOSURE_CONTRAST_LINEAR = R"doc(E/C to be applied to a linear space image.)doc";

static const char *__doc_PyOpenColorIO_ExposureContrastStyle_EXPOSURE_CONTRAST_VIDEO = R"doc(E/C to be applied to a video space image.)doc";

static const char *__doc_PyOpenColorIO_ExposureContrastStyle_EXPOSURE_CONTRAST_LOGARITHMIC = R"doc(E/C to be applied to a log space image.)doc";

static const char *__doc_PyOpenColorIO_CDLStyle =
R"doc(Enumeration of the :cpp:class:`:ref:`CDLTransform`` transform algorithms.

.. note::
   The default for reading .cc/.ccc/.cdl files, config file YAML, and :ref:`CDLTransform` is no-clamp, since that is what is primarily desired in VFX. However, the CLF format default is ASC.)doc";

static const char *__doc_PyOpenColorIO_CDLStyle_CDL_ASC = R"doc(ASC CDL specification v1.2.)doc";

static const char *__doc_PyOpenColorIO_CDLStyle_CDL_NO_CLAMP = R"doc(CDL that does not clamp.)doc";

static const char *__doc_PyOpenColorIO_CDLStyle_CDL_TRANSFORM_DEFAULT = R"doc()doc";

static const char *__doc_PyOpenColorIO_NegativeStyle = R"doc(Negative values handling style for :ref:`ExponentTransform` and :ref:`ExponentWithLinearTransform` transform algorithms.)doc";

static const char *__doc_PyOpenColorIO_NegativeStyle_NEGATIVE_CLAMP = R"doc(Clamp negative values.)doc";

static const char *__doc_PyOpenColorIO_NegativeStyle_NEGATIVE_MIRROR = R"doc(Positive curve is rotated 180 degrees around the origin to handle negatives.)doc";

static const char *__doc_PyOpenColorIO_NegativeStyle_NEGATIVE_PASS_THRU = R"doc(Negative values are passed through unchanged.)doc";

static const char *__doc_PyOpenColorIO_NegativeStyle_NEGATIVE_LINEAR = R"doc(Linearly extrapolate the curve for negative values.)doc";

static const char *__doc_PyOpenColorIO_GradingStyle = R"doc(Styles for grading transforms.)doc";

static const char *__doc_PyOpenColorIO_GradingStyle_GRADING_LOG = R"doc(Algorithms for Logarithmic color spaces.)doc";

static const char *__doc_PyOpenColorIO_GradingStyle_GRADING_LIN = R"doc(Algorithms for Scene Linear color spaces.)doc";

static const char *__doc_PyOpenColorIO_GradingStyle_GRADING_VIDEO = R"doc(Algorithms for Video color spaces.)doc";

static const char *__doc_PyOpenColorIO_DynamicPropertyType = R"doc(Types for dynamic properties.)doc";

static const char *__doc_PyOpenColorIO_DynamicPropertyType_DYNAMIC_PROPERTY_EXPOSURE = R"doc(Image exposure value (double floating point value))doc";

static const char *__doc_PyOpenColorIO_DynamicPropertyType_DYNAMIC_PROPERTY_CONTRAST = R"doc(Image contrast value (double floating point value))doc";

static const char *__doc_PyOpenColorIO_DynamicPropertyType_DYNAMIC_PROPERTY_GAMMA = R"doc(Image gamma value (double floating point value))doc";

static const char *__doc_PyOpenColorIO_DynamicPropertyType_DYNAMIC_PROPERTY_GRADING_PRIMARY = R"doc(Used by :ref:`GradingPrimaryTransform`.)doc";

static const char *__doc_PyOpenColorIO_DynamicPropertyType_DYNAMIC_PROPERTY_GRADING_RGBCURVE = R"doc(Used by :ref:`GradingRGBCurveTransform`.)doc";

static const char *__doc_PyOpenColorIO_DynamicPropertyType_DYNAMIC_PROPERTY_GRADING_TONE = R"doc(Used by :ref:`GradingToneTransform`.)doc";

static const char *__doc_PyOpenColorIO_RGBCurveType = R"doc(Types for :ref:`GradingRGBCurve`.)doc";

static const char *__doc_PyOpenColorIO_RGBCurveType_RGB_RED = R"doc()doc";

static const char *__doc_PyOpenColorIO_RGBCurveType_RGB_GREEN = R"doc()doc";

static const char *__doc_PyOpenColorIO_RGBCurveType_RGB_BLUE = R"doc()doc";

static const char *__doc_PyOpenColorIO_RGBCurveType_RGB_MASTER = R"doc()doc";

static const char *__doc_PyOpenColorIO_RGBCurveType_RGB_NUM_CURVES = R"doc()doc";

static const char *__doc_PyOpenColorIO_UniformDataType = R"doc(Types for uniform data.)doc";

static const char *__doc_PyOpenColorIO_UniformDataType_UNIFORM_DOUBLE = R"doc()doc";

static const char *__doc_PyOpenColorIO_UniformDataType_UNIFORM_BOOL = R"doc()doc";

static const char *__doc_PyOpenColorIO_UniformDataType_UNIFORM_FLOAT3 = R"doc(Array of 3 floats.)doc";

static const char *__doc_PyOpenColorIO_UniformDataType_UNIFORM_VECTOR_FLOAT = R"doc(Vector of floats (size is set by uniform).)doc";

static const char *__doc_PyOpenColorIO_UniformDataType_UNIFORM_VECTOR_INT = R"doc(Vector of int pairs (size is set by uniform).)doc";

static const char *__doc_PyOpenColorIO_UniformDataType_UNIFORM_UNKNOWN = R"doc()doc";

static const char *__doc_PyOpenColorIO_OptimizationFlags = R"doc(Provides control over how the ops in a :ref:`Processor` are combined in order to improve performance.)doc";

static const char *__doc_PyOpenColorIO_OptimizationFlags_OPTIMIZATION_NONE = R"doc(Do not optimize.)doc";

static const char *__doc_PyOpenColorIO_OptimizationFlags_OPTIMIZATION_IDENTITY = R"doc(Replace identity ops (other than gamma).)doc";

static const char *__doc_PyOpenColorIO_OptimizationFlags_OPTIMIZATION_IDENTITY_GAMMA = R"doc(Replace identity gamma ops.)doc";

static const char *__doc_PyOpenColorIO_OptimizationFlags_OPTIMIZATION_PAIR_IDENTITY_CDL = R"doc(Replace a pair of ops where one is the inverse of the other.)doc";

static const char *__doc_PyOpenColorIO_OptimizationFlags_OPTIMIZATION_PAIR_IDENTITY_EXPOSURE_CONTRAST = R"doc()doc";

static const char *__doc_PyOpenColorIO_OptimizationFlags_OPTIMIZATION_PAIR_IDENTITY_FIXED_FUNCTION = R"doc()doc";

static const char *__doc_PyOpenColorIO_OptimizationFlags_OPTIMIZATION_PAIR_IDENTITY_GAMMA = R"doc()doc";

static const char *__doc_PyOpenColorIO_OptimizationFlags_OPTIMIZATION_PAIR_IDENTITY_LUT1D = R"doc()doc";

static const char *__doc_PyOpenColorIO_OptimizationFlags_OPTIMIZATION_PAIR_IDENTITY_LUT3D = R"doc()doc";

static const char *__doc_PyOpenColorIO_OptimizationFlags_OPTIMIZATION_PAIR_IDENTITY_LOG = R"doc()doc";

static const char *__doc_PyOpenColorIO_OptimizationFlags_OPTIMIZATION_PAIR_IDENTITY_GRADING = R"doc()doc";

static const char *__doc_PyOpenColorIO_OptimizationFlags_OPTIMIZATION_COMP_EXPONENT = R"doc(Compose a pair of ops into a single op.)doc";

static const char *__doc_PyOpenColorIO_OptimizationFlags_OPTIMIZATION_COMP_GAMMA = R"doc()doc";

static const char *__doc_PyOpenColorIO_OptimizationFlags_OPTIMIZATION_COMP_MATRIX = R"doc()doc";

static const char *__doc_PyOpenColorIO_OptimizationFlags_OPTIMIZATION_COMP_LUT1D = R"doc()doc";

static const char *__doc_PyOpenColorIO_OptimizationFlags_OPTIMIZATION_COMP_LUT3D = R"doc()doc";

static const char *__doc_PyOpenColorIO_OptimizationFlags_OPTIMIZATION_COMP_RANGE = R"doc()doc";

static const char *__doc_PyOpenColorIO_OptimizationFlags_OPTIMIZATION_COMP_SEPARABLE_PREFIX = R"doc(For integer and half bit-depths only, replace separable ops (i.e. no channel crosstalk ops) by a single 1D LUT of input bit-depth domain.)doc";

static const char *__doc_PyOpenColorIO_OptimizationFlags_OPTIMIZATION_LUT_INV_FAST = R"doc(Implement inverse Lut1D and Lut3D evaluations using a a forward LUT (faster but less accurate). Note that GPU evals always do FAST.)doc";

static const char *__doc_PyOpenColorIO_OptimizationFlags_OPTIMIZATION_FAST_LOG_EXP_POW = R"doc()doc";

static const char *__doc_PyOpenColorIO_OptimizationFlags_OPTIMIZATION_SIMPLIFY_OPS = R"doc()doc";

static const char *__doc_PyOpenColorIO_OptimizationFlags_OPTIMIZATION_NO_DYNAMIC_PROPERTIES = R"doc(Turn off dynamic control of any ops that offer adjustment of parameter values after finalization (e.g. ExposureContrast).)doc";

static const char *__doc_PyOpenColorIO_OptimizationFlags_OPTIMIZATION_ALL = R"doc(Apply all possible optimizations.)doc";

static const char *__doc_PyOpenColorIO_OptimizationFlags_OPTIMIZATION_LOSSLESS = R"doc()doc";

static const char *__doc_PyOpenColorIO_OptimizationFlags_OPTIMIZATION_VERY_GOOD = R"doc()doc";

static const char *__doc_PyOpenColorIO_OptimizationFlags_OPTIMIZATION_GOOD = R"doc()doc";

static const char *__doc_PyOpenColorIO_OptimizationFlags_OPTIMIZATION_DRAFT = R"doc(For quite lossy optimizations.)doc";

static const char *__doc_PyOpenColorIO_OptimizationFlags_OPTIMIZATION_DEFAULT = R"doc()doc";

static const char *__doc_PyOpenColorIO_ProcessorCacheFlags = R"doc(cpp:type:: Enum to control the behavior of the internal caches e.g. the processor cache in)doc";

static const char *__doc_PyOpenColorIO_ProcessorCacheFlags_PROCESSOR_CACHE_OFF = R"doc()doc";

static const char *__doc_PyOpenColorIO_ProcessorCacheFlags_PROCESSOR_CACHE_ENABLED = R"doc()doc";

static const char *__doc_PyOpenColorIO_ProcessorCacheFlags_PROCESSOR_CACHE_SHARE_DYN_PROPERTIES = R"doc()doc";

static const char *__doc_PyOpenColorIO_ProcessorCacheFlags_PROCESSOR_CACHE_DEFAULT = R"doc()doc";

static const char *__doc_PyOpenColorIO_AutoStride = R"doc()doc";

static const char *__doc_PyOpenColorIO_OCIO_CONFIG_ENVVAR =
R"doc(The envvar 'OCIO' provides a path to the config file used by :ref:`Config::CreateFromEnv`. 

Env. variables.

These environmental variables are used by the OpenColorIO library. For variables that allow specifying more than one token, they should be separated by commas.)doc";

static const char *__doc_PyOpenColorIO_OCIO_ACTIVE_DISPLAYS_ENVVAR = R"doc(The envvar 'OCIO_ACTIVE_DISPLAYS' provides a list of displays overriding the 'active_displays' list from the config file.)doc";

static const char *__doc_PyOpenColorIO_OCIO_ACTIVE_VIEWS_ENVVAR = R"doc(The envvar 'OCIO_ACTIVE_VIEWS' provides a list of views overriding the 'active_views' list from the config file.)doc";

static const char *__doc_PyOpenColorIO_OCIO_INACTIVE_COLORSPACES_ENVVAR = R"doc(The envvar 'OCIO_INACTIVE_COLORSPACES' provides a list of inactive color spaces overriding the 'inactive_color_spaces' list from the config file.)doc";

static const char *__doc_PyOpenColorIO_OCIO_OPTIMIZATION_FLAGS_ENVVAR = R"doc(The envvar 'OCIO_OPTIMIZATION_FLAGS' provides a way to force a given optimization level. Remove the variable or set the value to empty to not use it. Set the value of the variable to the desired optimization level as either an integer or hexadecimal value. Ex: OCIO_OPTIMIZATION_FLAGS="20479" or "0x4FFF" for OPTIMIZATION_LOSSLESS.)doc";

static const char *__doc_PyOpenColorIO_OCIO_USER_CATEGORIES_ENVVAR = R"doc(The envvar 'OCIO_USER_CATEGORIES' allows the end-user to filter color spaces shown by applications. Only color spaces that include at least one of the supplied categories will be shown in application menus. Note that applications may also impose their own category filtering in addition to the user-supplied categories. For example, an application may filter by 'working-space' for a menu to select a working space while the user may also filter by '3d-basic' to only show spaces intended for 3d artists who should see the basic set of color spaces. The categories will be ignored if they would result in no color spaces being found.)doc";

static const char *__doc_PyOpenColorIO_ROLE_DEFAULT =
R"doc("default" 

VarsRoles

rst:: Roles

:ref:`ColorSpace` Roles are used so that plugins, in addition to this API can have abstract ways of asking for common colorspaces, without referring to them by hardcoded names.

Internal:: Extracting color space from file path - (ROLE_DEFAULT) Interchange color spaces between configs - (ROLE_EXCHANGE_SCENE, ROLE_EXCHANGE_DISPLAY)

App Helpers:: :ref:`LegacyViewingPipeline` - (ROLE_SCENE_LINEAR (LinearCC for exposure)) (ROLE_COLOR_TIMING (ColorTimingCC)) :ref:`MixingColorSpaceManager` - (ROLE_COLOR_PICKING)

External Plugins (currently known):: 

    Colorpicker UIs       - (ROLE_COLOR_PICKING)
    Compositor LogConvert - (ROLE_SCENE_LINEAR, ROLE_COMPOSITING_LOG))doc";

static const char *__doc_PyOpenColorIO_ROLE_REFERENCE = R"doc("reference")doc";

static const char *__doc_PyOpenColorIO_ROLE_DATA = R"doc("data")doc";

static const char *__doc_PyOpenColorIO_ROLE_COLOR_PICKING = R"doc("color_picking")doc";

static const char *__doc_PyOpenColorIO_ROLE_SCENE_LINEAR = R"doc("scene_linear")doc";

static const char *__doc_PyOpenColorIO_ROLE_COMPOSITING_LOG = R"doc("compositing_log")doc";

static const char *__doc_PyOpenColorIO_ROLE_COLOR_TIMING = R"doc("color_timing")doc";

static const char *__doc_PyOpenColorIO_ROLE_TEXTURE_PAINT = R"doc(This role defines the transform for painting textures. In some workflows this is just a inverse display gamma with some limits)doc";

static const char *__doc_PyOpenColorIO_ROLE_MATTE_PAINT = R"doc(This role defines the transform for matte painting. In some workflows this is a 1D HDR to LDR allocation. It is normally combined with another display transform in the host app for preview.)doc";

static const char *__doc_PyOpenColorIO_ROLE_RENDERING = R"doc(The rendering role may be used to identify a specific color space to be used by CGI renderers. This is typically a scene-linear space but the primaries also matter since they influence the resulting color, especially in areas of indirect illumination.)doc";

static const char *__doc_PyOpenColorIO_ROLE_INTERCHANGE_SCENE = R"doc(The aces_interchange role is used to specify which color space in the config implements the standard ACES2065-1 color space (SMPTE ST2065-1). This may be used when converting scene-referred colors from one config to another.)doc";

static const char *__doc_PyOpenColorIO_ROLE_INTERCHANGE_DISPLAY = R"doc(The cie_xyz_d65_interchange role is used to specify which color space in the config implements CIE XYZ colorimetry with the neutral axis at D65. This may be used when converting display-referred colors from one config to another.)doc";

static const char *__doc_PyOpenColorIO_OCIO_VIEW_USE_DISPLAY_NAME =
R"doc(VarsSharedView

rst:: Shared View A shared view using this for the color space name will use a display color space that has the same name as the display the shared view is used by.)doc";

static const char *__doc_PyOpenColorIO_METADATA_DESCRIPTION =
R"doc(VarsFormatMetadata

rst:: :ref:`FormatMetadata`

These constants describe various types of rich metadata. They are used with :ref:`FormatMetadata` objects as the "name" part of a (name, value) pair. All of these types of metadata are supported in the CLF/CTF file formats whereas other formats support some or none of them.

Although the string constants used here match those used in the CLF/CTF formats, the concepts are generic, so the goal is for other file formats to reuse the same constants within a :ref:`FormatMetadata` object (even if the syntax used in a given format is somewhat different). A description string -- used as the "Description" element in CLF/CTF and CDL, and to hold comments for other LUT formats when baking.)doc";

static const char *__doc_PyOpenColorIO_METADATA_INFO = R"doc(A block of informative metadata such as the "Info" element in CLF/CTF. Usually contains child elements.)doc";

static const char *__doc_PyOpenColorIO_METADATA_INPUT_DESCRIPTOR = R"doc(A string describing the expected input color space -- used as the "InputDescriptor" element in CLF/CTF and the "InputDescription" in CDL.)doc";

static const char *__doc_PyOpenColorIO_METADATA_OUTPUT_DESCRIPTOR = R"doc(A string describing the output color space -- used as the "OutputDescriptor" element in CLF/CTF and the "OutputDescription" in CDL.)doc";

static const char *__doc_PyOpenColorIO_METADATA_NAME = R"doc(A name string -- used as a "name" attribute in CLF/CTF elements. Use on a :ref:`GroupTransform` to get/set the name for the CLF/CTF ProcessList. Use on an individual :ref:`Transform` (i.e. :ref:`MatrixTransform`, etc.) to get/set the name of the corresponding process node.)doc";

static const char *__doc_PyOpenColorIO_METADATA_ID = R"doc(An ID string -- used as an "id" attribute in CLF/CTF elements. Use on a :ref:`GroupTransform` to get/set the id for the CLF/CTF ProcessList. Use on an individual :ref:`Transform` (i.e. :ref:`MatrixTransform`, etc.) to get/set the id of the corresponding process node.)doc";

static const char *__doc_PyOpenColorIO_OCIO_DISABLE_ALL_CACHES =
R"doc(rst:: 

VarsCaches

rst:: Caches)doc";

static const char *__doc_PyOpenColorIO_OCIO_DISABLE_PROCESSOR_CACHES = R"doc(rst::)doc";

static const char *__doc_PyOpenColorIO_OCIO_DISABLE_CACHE_FALLBACK = R"doc(rst::)doc";

static const char *__doc_PyOpenColorIO_OCIO_CONFIG_DEFAULT_NAME = R"doc()doc";

static const char *__doc_PyOpenColorIO_OCIO_CONFIG_DEFAULT_FILE_EXT = R"doc()doc";

static const char *__doc_PyOpenColorIO_OCIO_CONFIG_ARCHIVE_FILE_EXT = R"doc()doc";

static const char *__doc_PyOpenColorIO_std_ostream_operator_lshift = R"doc()doc";

static const char *__doc_PyOpenColorIO_std_ostream_operator_lshift_2 = R"doc()doc";

static const char *__doc_PyOpenColorIO_std_ostream_operator_lshift_3 = R"doc()doc";

static const char *__doc_PyOpenColorIO_std_ostream_operator_lshift_4 = R"doc()doc";

static const char *__doc_PyOpenColorIO_std_ostream_operator_lshift_5 = R"doc()doc";

static const char *__doc_PyOpenColorIO_ClearAllCaches =
R"doc(During normal usage, OpenColorIO tends to cache certain global information (such as the contents of LUTs on disk, intermediate results, etc.). Calling this function will flush all such information. The global information are related to LUT file identifications, loaded LUT file content and CDL transforms from loaded CDL files.

Under normal usage, this is not necessary, but it can be helpful in particular instances, such as designing OCIO profiles, and wanting to re-read luts without restarting.

.. note::
   The method does not apply to instance specific caches such as the processor cache in a config instance or the GPU and CPU processor caches in a processor instance. Here deleting the instance flushes the cache.)doc";

static const char *__doc_PyOpenColorIO_GetVersion =
R"doc(Get the version number for the library, as a dot-delimited string (e.g., "1.0.0"). 

This is also available at compile time as OCIO_VERSION_FULL_STR.)doc";

static const char *__doc_PyOpenColorIO_GetVersionHex =
R"doc(Get the version number for the library, as a single 4-byte hex number (e.g., 0x01050200 for "1.5.2"), to be used for numeric comparisons. 

This is also at compile time as OCIO_VERSION_HEX.)doc";

static const char *__doc_PyOpenColorIO_GetLoggingLevel =
R"doc(Get the global logging level. 

You can override this at runtime using the OCIO_LOGGING_LEVEL environment variable. The client application that sets this should use :ref:`SetLoggingLevel`, and not the environment variable. The default value is INFO.)doc";

static const char *__doc_PyOpenColorIO_SetLoggingLevel = R"doc(Set the global logging level.)doc";

static const char *__doc_PyOpenColorIO_SetLoggingFunction =
R"doc(Set the logging function to use; otherwise, use the default (i.e. std::cerr). 

.. note::
   The logging mechanism is thread-safe.)doc";

static const char *__doc_PyOpenColorIO_ResetToDefaultLoggingFunction = R"doc()doc";

static const char *__doc_PyOpenColorIO_LogMessage = R"doc(Log a message using the library logging function.)doc";

static const char *__doc_PyOpenColorIO_SetComputeHashFunction =
R"doc(Set the Compute Hash Function to use; otherwise, use the default. 

This is not used when using CreateFromFile with an OCIOZ archive or CreateFromConfigIOProxy.

:param ComputeHashFunction:)doc";

static const char *__doc_PyOpenColorIO_ResetComputeHashFunction = R"doc()doc";

static const char *__doc_PyOpenColorIO_GetEnvVariable = R"doc(Another call modifies the string obtained from a previous call as the method always uses the same memory buffer.)doc";

static const char *__doc_PyOpenColorIO_SetEnvVariable =
R"doc(.. warning::
   This method is not thread safe.)doc";

static const char *__doc_PyOpenColorIO_UnsetEnvVariable =
R"doc(.. warning::
   This method is not thread safe.)doc";

static const char *__doc_PyOpenColorIO_IsEnvVariablePresent = R"doc(cpp:function::)doc";

static const char *__doc_PyOpenColorIO_GetCurrentConfig = R"doc(Get the current configuration.)doc";

static const char *__doc_PyOpenColorIO_SetCurrentConfig = R"doc(Set the current configuration. This will then store a copy of the specified config.)doc";

static const char *__doc_PyOpenColorIO_ExtractOCIOZArchive =
R"doc(Extract an OCIO :ref:`Config` archive. 

Converts an archived config file (.ocioz file) back to its original form as a config file and associated LUT files. This creates destinationDir and then creates a config.ocio file at the root of that working directory and then unpacks the LUT files into their relative locations relative to that working directory, creating any necessary sub-directories in the process. Note that configs which contain LUT files outside the working directory are not archivable, and so this function will not create directories outside the working directory.

:param archivePath: Absolute path to the .ocioz file. 
:param destinationDir: Absolute path of the directory you want to be created to contain the contents of the unarchived config. 

:exception :ref:`Exception`: If the archive is not found or there is a problem extracting it.)doc";

static const char *__doc_PyOpenColorIO_std_ostream_operator_lshift_6 = R"doc()doc";

static const char *__doc_PyOpenColorIO_std_ostream_operator_lshift_7 = R"doc()doc";

static const char *__doc_PyOpenColorIO_std_ostream_operator_lshift_8 = R"doc()doc";

static const char *__doc_PyOpenColorIO_std_ostream_operator_lshift_9 = R"doc()doc";

static const char *__doc_PyOpenColorIO_ConstColorSpaceSetRcPtr_operator_lor =
R"doc(Perform the union of two sets. 

ColorSpaceSetOperators 

.. note::
   This function provides operations on two color space sets where the result contains copied color spaces and no duplicates.

:param lcss: 
:param rcss:)doc";

static const char *__doc_PyOpenColorIO_ConstColorSpaceSetRcPtr_operator_land =
R"doc(Perform the intersection of two sets. 

.. note::
   This function provides operations on two color space sets where the result contains copied color spaces and no duplicates.

:param lcss: 
:param rcss:)doc";

static const char *__doc_PyOpenColorIO_ConstColorSpaceSetRcPtr_operator_sub =
R"doc(Perform the difference of two sets. 

.. note::
   This function provides operations on two color space sets where the result contains copied color spaces and no duplicates.

:param lcss: 
:param rcss:)doc";

static const char *__doc_PyOpenColorIO_std_ostream_operator_lshift_10 = R"doc()doc";

static const char *__doc_PyOpenColorIO_std_ostream_operator_lshift_11 = R"doc()doc";

static const char *__doc_PyOpenColorIO_std_ostream_operator_lshift_12 = R"doc()doc";

static const char *__doc_PyOpenColorIO_std_ostream_operator_lshift_13 = R"doc()doc";

static const char *__doc_PyOpenColorIO_std_ostream_operator_lshift_14 = R"doc()doc";

static const char *__doc_PyOpenColorIO_std_ostream_operator_lshift_15 = R"doc()doc";

static const char *__doc_PyOpenColorIO_std_ostream_operator_lshift_16 = R"doc()doc";

static const char *__doc_PyOpenColorIO_std_ostream_operator_lshift_17 = R"doc()doc";

static const char *__doc_PyOpenColorIO_std_ostream_operator_lshift_18 = R"doc()doc";

static const char *__doc_PyOpenColorIO_std_ostream_operator_lshift_19 = R"doc()doc";

static const char *__doc_PyOpenColorIO_std_ostream_operator_lshift_20 = R"doc()doc";

static const char *__doc_PyOpenColorIO_std_ostream_operator_lshift_21 = R"doc()doc";

static const char *__doc_PyOpenColorIO_std_ostream_operator_lshift_22 = R"doc()doc";

static const char *__doc_PyOpenColorIO_std_ostream_operator_lshift_23 = R"doc()doc";

static const char *__doc_PyOpenColorIO_std_ostream_operator_lshift_24 = R"doc()doc";

static const char *__doc_PyOpenColorIO_std_ostream_operator_lshift_25 = R"doc()doc";

static const char *__doc_PyOpenColorIO_std_ostream_operator_lshift_26 = R"doc()doc";

static const char *__doc_PyOpenColorIO_std_ostream_operator_lshift_27 = R"doc()doc";

static const char *__doc_PyOpenColorIO_std_ostream_operator_lshift_28 = R"doc()doc";

static const char *__doc_PyOpenColorIO_std_ostream_operator_lshift_29 = R"doc()doc";

static const char *__doc_PyOpenColorIO_std_ostream_operator_lshift_30 = R"doc()doc";

static const char *__doc_PyOpenColorIO_std_ostream_operator_lshift_31 = R"doc()doc";

static const char *__doc_PyOpenColorIO_std_ostream_operator_lshift_32 = R"doc()doc";

static const char *__doc_PyOpenColorIO_std_ostream_operator_lshift_33 = R"doc()doc";

static const char *__doc_PyOpenColorIO_std_ostream_operator_lshift_34 = R"doc()doc";

static const char *__doc_PyOpenColorIO_std_ostream_operator_lshift_35 = R"doc()doc";

static const char *__doc_PyOpenColorIO_std_ostream_operator_lshift_36 = R"doc()doc";

static const char *__doc_PyOpenColorIO_std_ostream_operator_lshift_37 = R"doc()doc";

static const char *__doc_PyOpenColorIO_std_ostream_operator_lshift_38 = R"doc()doc";

static const char *__doc_PyOpenColorIO_std_ostream_operator_lshift_39 = R"doc()doc";

static const char *__doc_PyOpenColorIO_std_ostream_operator_lshift_40 = R"doc()doc";

static const char *__doc_PyOpenColorIO_std_ostream_operator_lshift_41 = R"doc()doc";

static const char *__doc_PyOpenColorIO_std_ostream_operator_lshift_42 = R"doc()doc";

static const char *__doc_PyOpenColorIO_std_ostream_operator_lshift_43 = R"doc()doc";

static const char *__doc_PyOpenColorIO_std_ostream_operator_lshift_44 = R"doc()doc";

static const char *__doc_PyOpenColorIO_std_ostream_operator_lshift_45 = R"doc()doc";

static const char *__doc_PyOpenColorIO_DynamicPtrCast = R"doc()doc";

static const char *__doc_PyOpenColorIO_BoolToString = R"doc()doc";

static const char *__doc_PyOpenColorIO_BoolFromString = R"doc()doc";

static const char *__doc_PyOpenColorIO_LoggingLevelToString = R"doc()doc";

static const char *__doc_PyOpenColorIO_LoggingLevelFromString = R"doc()doc";

static const char *__doc_PyOpenColorIO_TransformDirectionToString = R"doc()doc";

static const char *__doc_PyOpenColorIO_TransformDirectionFromString = R"doc(Will throw if string is not recognized.)doc";

static const char *__doc_PyOpenColorIO_GetInverseTransformDirection = R"doc()doc";

static const char *__doc_PyOpenColorIO_CombineTransformDirections = R"doc()doc";

static const char *__doc_PyOpenColorIO_BitDepthToString = R"doc()doc";

static const char *__doc_PyOpenColorIO_BitDepthFromString = R"doc()doc";

static const char *__doc_PyOpenColorIO_BitDepthIsFloat = R"doc()doc";

static const char *__doc_PyOpenColorIO_BitDepthToInt = R"doc()doc";

static const char *__doc_PyOpenColorIO_AllocationToString = R"doc()doc";

static const char *__doc_PyOpenColorIO_AllocationFromString = R"doc()doc";

static const char *__doc_PyOpenColorIO_InterpolationToString = R"doc()doc";

static const char *__doc_PyOpenColorIO_InterpolationFromString = R"doc()doc";

static const char *__doc_PyOpenColorIO_GpuLanguageToString = R"doc()doc";

static const char *__doc_PyOpenColorIO_GpuLanguageFromString = R"doc()doc";

static const char *__doc_PyOpenColorIO_EnvironmentModeToString = R"doc()doc";

static const char *__doc_PyOpenColorIO_EnvironmentModeFromString = R"doc()doc";

static const char *__doc_PyOpenColorIO_CDLStyleToString = R"doc()doc";

static const char *__doc_PyOpenColorIO_CDLStyleFromString = R"doc()doc";

static const char *__doc_PyOpenColorIO_RangeStyleToString = R"doc()doc";

static const char *__doc_PyOpenColorIO_RangeStyleFromString = R"doc()doc";

static const char *__doc_PyOpenColorIO_FixedFunctionStyleToString = R"doc()doc";

static const char *__doc_PyOpenColorIO_FixedFunctionStyleFromString = R"doc()doc";

static const char *__doc_PyOpenColorIO_GradingStyleToString = R"doc()doc";

static const char *__doc_PyOpenColorIO_GradingStyleFromString = R"doc()doc";

static const char *__doc_PyOpenColorIO_ExposureContrastStyleToString = R"doc()doc";

static const char *__doc_PyOpenColorIO_ExposureContrastStyleFromString = R"doc()doc";

static const char *__doc_PyOpenColorIO_NegativeStyleToString = R"doc()doc";

static const char *__doc_PyOpenColorIO_NegativeStyleFromString = R"doc()doc";

static const char *__doc_ColorSpaceHelpers = R"doc()doc";

static const char *__doc_ColorSpaceHelpers_AddColorSpace =
R"doc(Add a new color space to the config instance. The output of the userTransform must be in the specified connectionColorSpace.

Note: If the config does not already use categories, we do not add them since that would make a big change to how existing color spaces show up in menus.)doc";

static const char *__doc_DisplayViewHelpers = R"doc()doc";

static const char *__doc_DisplayViewHelpers_GetProcessor = R"doc(Get the processor from the working color space to (display, view) pair (forward) or (display, view) pair to working (inverse). The working color space name could be a role name or a color space name. ChannelView can be empty. If not already present, each of these functions adds ExposureContrastTransforms to enable changing exposure, contrast, and gamma after the processor has been created using dynamic properties.)doc";

static const char *__doc_DisplayViewHelpers_GetProcessor_2 = R"doc()doc";

static const char *__doc_DisplayViewHelpers_GetIdentityProcessor = R"doc(Get an identity processor containing only the ExposureContrastTransforms.)doc";

static const char *__doc_DisplayViewHelpers_AddDisplayView = R"doc(Add a new (display, view) pair and the new color space to a configuration instance. The input to the userTransform must be in the specified connectionColorSpace.)doc";

static const char *__doc_DisplayViewHelpers_RemoveDisplayView = R"doc(Remove a (display, view) pair including the associated color space (only if not used). Note that the view is always removed but the display is only removed if empty.)doc";

static const char *__doc_DynamicPropertyValue = R"doc()doc";

static const char *__doc_DynamicPropertyValue_AsDouble = R"doc(Get the property as DynamicPropertyDoubleRcPtr to access the double value. Will throw if property type is not a type that holds a double such as DYNAMIC_PROPERTY_EXPOSURE.)doc";

static const char *__doc_DynamicPropertyValue_AsGradingPrimary = R"doc(Get the property as DynamicPropertyGradingPrimaryRcPtr to access the :ref:`GradingPrimary` value. Will throw if property type is not DYNAMIC_PROPERTY_GRADING_PRIMARY.)doc";

static const char *__doc_DynamicPropertyValue_AsGradingRGBCurve = R"doc(Get the property as DynamicPropertyGradingRGBCurveRcPtr to access the GradingRGBCurveRcPtr value. Will throw if property type is not DYNAMIC_PROPERTY_GRADING_RGBCURVE.)doc";

static const char *__doc_DynamicPropertyValue_AsGradingTone = R"doc(Get the property as DynamicPropertyGradingToneRcPtr to access the :ref:`GradingTone` value. Will throw if property type is not DYNAMIC_PROPERTY_GRADING_TONE.)doc";

#if defined(__GNUG__)
#pragma GCC diagnostic pop
#endif
